------------------------------------------------------------------------------

2016-07-03  groepaz <groepaz@gmx.net>

	* src/tape/t64.c, src/tape/t64.h: t64 fixes and added warnings on
	broken t64 files, patch by Bas Wassink.

2016-07-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/pci-drv.c: Fixed log message.

2016-07-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/catweaselmkiii-drv.c, src/arch/msdos/hardsid-drv.c,
	src/arch/msdos/hs-pci.c, src/arch/msdos/parsid-drv.c: Updated.

2016-07-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/sid/catweaselmkiii.c: Fixed.

2016-07-01  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uimon.c: Fix GTK_CRITICAL message when using
	remote monitor, patch by compyx

2016-07-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/catweaselmkiii-drv.c, src/arch/msdos/hardsid-drv.c:
	Updated.

2016-07-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/hs-pci.c: Fixed for pci hardsid.

2016-07-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/pci-drv.c: More descriptive log messages about pci
	check status.

2016-07-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/hs-isa.c: Fixed the name of the board in the log
	output.

2016-06-30  groepaz <groepaz@gmx.net>

	* src/arch/unix/io-access.c: added error handling

2016-06-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/parsid-drv.c, src/arch/win32/parsid-drv.c,
	src/arch/win32/ps-dll.c, src/arch/win32/ps-io.c: Updated.

2016-06-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/amigaos/genintl_h.sh,
	src/arch/win32/hs-dll.c, src/arch/win32/ps-ieee1284.c,
	src/gentranslate_h.sh: Fixed.

2016-06-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/parsid-drv.c, src/arch/unix/parsid-drv.c,
	src/arch/unix/ps-io.c: Updated.

2016-06-28  groepaz <groepaz@gmx.net>

	* src/sounddrv/sounddx.c: print 'can not set cooperative level' error
	to log only so -console mode can start without the ui messagebox
	getting in the way

2016-06-28  groepaz <groepaz@gmx.net>

	* src/sid/catweaselmkiii.c: added missing include

2016-06-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/unix/ps-file.c: Added FreeBSD ppi* support
	for parsid.

2016-06-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/parsid-drv.c, src/arch/unix/parsid-drv.c,
	src/arch/unix/ps-io.c: Updated.

2016-06-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/hardsid-drv.c, src/arch/msdos/hs-isa.c,
	src/arch/unix/hardsid-drv.c, src/arch/unix/hs-isa.c,
	src/arch/unix/ssi2001-drv.c, src/arch/win32/hardsid-drv.c,
	src/arch/win32/hs-dll.c, src/arch/win32/hs-isa.c: Updated.

2016-06-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/hardsid-drv.c, src/arch/msdos/hs-isa.c,
	src/arch/unix/hardsid-drv.c, src/arch/unix/hs-isa.c,
	src/arch/win32/hardsid-drv.c, src/arch/win32/hs-dll.c,
	src/arch/win32/hs-isa.c, src/c64/c64cia2.c: Updated.

2016-06-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/io-access.c: Added device based I/O access.

2016-06-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/hs-isa.c, src/arch/unix/ssi2001-drv.c: Updated.

2016-06-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/pci-drv.c: Added some log messages to the dos pci
	driver.

2016-06-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/io-access.c: Fixed for FreeBSD.

2016-06-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/io-access.c: Fixed for OpenBSD.

2016-06-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/ssi2001-drv.c: Updated.

2016-06-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/io-access.c: Some simplification.

2016-06-25  Kajtar Zsolt <soci@c64.rulez.org>

	* src/65816core.c: Fix BCD

2016-06-25  Kajtar Zsolt <soci@c64.rulez.org>

	* src/65c02core.c: Fix BCD SBC as well

2016-06-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/ps-ieee1284.c: Fixed for windows.

2016-06-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* arch/unix/catweaselmkiii-drv.c: Fixed.

2016-06-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/hardsid-drv.c, src/arch/msdos/hs-isa.c,
	src/arch/unix/ssi2001-drv.c, src/arch/win32/hardsid-drv.c,
	src/arch/win32/hs-dll.c, src/arch/win32/hs-isa.c: Updated.

2016-06-25  Kajtar Zsolt <soci@c64.rulez.org>

	* src/65c02core.c: Decimal ADC was wrong, typo

2016-06-25  Kajtar Zsolt <soci@c64.rulez.org>

	* src/65c02core.c: Fix 0x5C NOP behaviour

2016-06-24  groepaz <groepaz@gmx.net>

	* src/arch/unix/ps-ieee1284.c: fix segfault

2016-06-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/ps-ieee1284.c: Fix warnings.

2016-06-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/ps-ieee1284.c: Fix attempt #2.

2016-06-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/ps-ieee1284.c: Fixed.

2016-06-23  groepaz <groepaz@gmx.net>

	* data/C128/Makefile.am, data/C128/pepto-palold.vpl,
	data/C64/Makefile.am, data/C64/pepto-palold.vpl,
	data/CBM-II/Makefile.am, data/CBM-II/pepto-palold.vpl,
	data/SCPU64/Makefile.am, data/SCPU64/pepto-palold.vpl, src/palette.c:
	added old PAL palette

2016-06-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/ssi2001-drv.c, src/arch/win32/ssi2001-drv.c: Updated.

2016-06-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/parsid-drv.c, src/arch/unix/ps-file.c,
	src/arch/unix/ps-ieee1284.c, src/arch/unix/ps-io.c,
	src/arch/win32/ps-dll.c, src/arch/win32/ps-ieee1284.c,
	src/arch/win32/ps-io.c, src/sid/parsid.c: Proper parsid line handling.

2016-06-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/ssi2001-drv.c, src/arch/win32/ssi2001-drv.c: Updated.

2016-06-22  groepaz <groepaz@gmx.net>

	* doc/vice.pdf: regenerated vice.pdf.... checking in a 0-byte file is
	NOT a good idea :=)

2016-06-22  groepaz <groepaz@gmx.net>

	* doc/building/Linux-Native-Howto.txt: Updated

2016-06-22  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/win32/parsid-drv.c: Added another missing (mingw) include.

2016-06-21  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uicommands.c: use c64sc.vsf for the x64sc
	quicksnapshot. other UIs have similar problems which have to be fixed
	in the UI code

2016-06-21  groepaz <groepaz@gmx.net>

	* src/c64/cart/kcs.c: use more sane logic derived by gideon

2016-06-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/hs_gg2_isa.c, src/arch/msdos/hardsid-drv.c,
	src/arch/msdos/hs-isa.c, src/arch/msdos/ssi2001-drv.c,
	src/arch/unix/hs-isa.c, src/arch/win32/hardsid-drv.c,
	src/arch/win32/hs-dll.c, src/arch/win32/hs-isa.c,
	src/arch/win32/ssi2001-drv.c: Added detection of 'classic' HardSID,
	unlike the HardSID Quattro the 'classic' HardSID does not 'care' about
	the extra address bits and 'reacts' to all 32bit address ranges.

2016-06-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/ps-io.c: Typo fix.

2016-06-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/hs-isa.c: Fixed.

2016-06-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/msdos/hardsid-drv.c,
	src/arch/msdos/hs-isa.c, src/arch/msdos/ssi2001-drv.c,
	src/arch/win32/hs-isa.c, src/arch/win32/ssi2001-drv.c: Updated.

2016-06-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/parsid-drv.c, src/arch/win32/ps-dll.c,
	src/arch/win32/ps-io.c: Changed the way the parsid control lines are
	handled, the hardware register is write only.

2016-06-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.pdf, src/arch/amigaos/genintl_h.sh, src/arch/unix/ps-io.c,
	src/gentranslate_h.sh, src/monitor/mon_lex.c: Fixed.

2016-06-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/ps-file.c, src/arch/unix/ps-io.c: Changed the way the
	parsid control lines are handled, the hardware register is write only.

2016-06-19  Kajtar Zsolt <soci@c64.rulez.org>

	* src/monitor/mon_lex.l: Accept dots in labelnames

2016-06-19  groepaz <groepaz@gmx.net>

	* src/arch/unix/ssi2001-drv.c: added missing include

2016-06-19  groepaz <groepaz@gmx.net>

	* src/arch/unix/ps-io.c: fix prototype, fix typo

2016-06-19  groepaz <groepaz@gmx.net>

	* src/arch/unix/ps-file.c: fix prototype

2016-06-19  groepaz <groepaz@gmx.net>

	* src/arch/unix/hs-isa.c: added missing include

2016-06-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/cw_clockport.c, src/arch/amigaos/cw_device.c,
	src/arch/amigaos/cw_openpci.c, src/arch/amigaos/cw_os4.c,
	src/arch/amigaos/cw_zorro.c, src/arch/amigaos/hs_gg2_isa.c,
	src/arch/amigaos/hs_openpci.c, src/arch/amigaos/hs_os4.c,
	src/arch/amigaos/ssi2001-drv.c, src/arch/msdos/catweaselmkiii-drv.c,
	src/arch/msdos/hs-isa.c, src/arch/msdos/hs-pci.c,
	src/arch/msdos/parsid-drv.c, src/arch/msdos/ssi2001-drv.c,
	src/arch/unix/catweaselmkiii-drv.c, src/arch/unix/hs-isa.c,
	src/arch/unix/hs-linux.c, src/arch/unix/ps-file.c,
	src/arch/unix/ps-ieee1284.c, src/arch/unix/ps-io.c,
	src/arch/unix/ps.h, src/arch/unix/ssi2001-drv.c,
	src/arch/win32/catweaselmkiii-drv.c, src/arch/win32/hs-dll.c,
	src/arch/win32/hs-isa.c, src/arch/win32/ps-dll.c,
	src/arch/win32/ps-ieee1284.c, src/arch/win32/ps-io.c,
	src/arch/win32/ssi2001-drv.c: Added more consistent 'log_message'
	calls to the hardware sid drivers.

2016-06-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_darwin_runtime_os.c,
	src/platform/platform_macosx.c: Fixed 'binary compatibility' comments.

2016-06-16  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/win32/hs-isa.c, src/c64/cart/crt.c: Fixed some (mingw32)
	warnings.

2016-06-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_darwin_runtime_os.c,
	src/platform/platform_macosx.c: Updated.

2016-06-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_netbsd_version.h: Updated for NetBSD 7.0.1

2016-06-15  groepaz <groepaz@gmx.net>

	* src/autostart.c: do hard reset before autostart instead of soft
	reset. this is needed to properly reset the drives in x64(sc) when
	'reset goes to iec' is disabled.

2016-06-15  groepaz <groepaz@gmx.net>

	* src/sid/parsid.c: added missing include

2016-06-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64dtvui.c,
	src/arch/unix/gui/c64scui.c, src/arch/unix/gui/c64ui.c,
	src/arch/unix/gui/cbm2ui.c, src/arch/unix/gui/scpu64ui.c: Added sid
	model settings to the 'normal' sid settings menus as well.

2016-06-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/parsid-drv.c, src/arch/unix/ps-file.c,
	src/arch/unix/ps-io.c, src/arch/unix/ps.h: Fixed.

2016-06-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/amigaos/intl_text.c,
	src/arch/msdos/parsid-drv.c, src/arch/msdos/uisidc128.c,
	src/arch/msdos/uisidc64.c, src/arch/msdos/uisidcart.c,
	src/arch/msdos/uisidcbm2.c, src/arch/msdos/uisiddtv.c,
	src/arch/sdl/Makefile.am, src/arch/sdl/ps-device.c,
	src/arch/sdl/ps-ieee1284.c, src/arch/sdl/ps-io.c,
	src/arch/sdl/win32-watcom/arch.tgt,
	src/arch/sdl/win32-watcom/genwt.bat,
	src/arch/sdl/win32-watcom/vice.wpj, src/arch/unix/Makefile.am,
	src/arch/unix/parsid-drv.c, src/arch/unix/ps-file.c,
	src/arch/unix/ps-ieee1284.c, src/arch/unix/ps-io.c,
	src/arch/unix/ps.h, src/arch/win32/Makefile.am,
	src/arch/win32/parsid-drv.c, src/arch/win32/ps-dll.c,
	src/arch/win32/ps-ieee1284.c, src/arch/win32/ps-io.c,
	src/arch/win32/ps.h, src/arch/win32/vs_tmpl/arch_native.tmpl,
	src/arch/win32/vs_tmpl/arch_sdl.tmpl, src/arch/win32/watcom/arch.tgt,
	src/arch/win32/watcom/vice.wpj, src/parsid.h, src/sid/parsid.c,
	src/sid/sid-cmdline-options.c, src/sid/sid-resources.c,
	src/sid/sid-snapshot.c, src/sid/sid.c, src/sid/sid.h: Rewrite of the
	parSID drivers.

2016-06-14  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/x11mouse.c: fix codestyle

2016-06-14  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uimenu.c: fix codestyle

2016-06-14  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uicrtc.c, src/arch/unix/gui/uited.c,
	src/arch/unix/gui/uivdc.c, src/arch/unix/gui/uivic.c: free palette
	menus at shutdown

2016-06-13  groepaz <groepaz@gmx.net>

	* src/lib.c: slightly rearranged output

2016-06-13  groepaz <groepaz@gmx.net>

	* src/resources.c: added debug output

2016-06-13  groepaz <groepaz@gmx.net>

	* src/util.c: added some debug stuff

2016-06-13  groepaz <groepaz@gmx.net>

	* src/lib.c: fixed backtracing and enabled it by default, so in debug
	mode the emulators will print a callstack trace for each detected
	memory leak.

2016-06-13  groepaz <groepaz@gmx.net>

	* src/machine.c, src/machine.h: fix another memory leak

2016-06-13  groepaz <groepaz@gmx.net>

	* src/keyboard.c: fix memory leak(s)

2016-06-13  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64scui.c,
	src/arch/unix/gui/c64ui.c, src/arch/unix/gui/scpu64ui.c,
	src/arch/unix/gui/uic64cart.c, src/arch/unix/gui/uic64cart.h: free
	memory at shutdown

2016-06-13  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uivicii.c: free memory at shutdown

2016-06-10  groepaz <groepaz@gmx.net>

	* src/vic20/cart/ultimem.c: fix ultimem io, patch by marko makela

2016-06-10  groepaz <groepaz@gmx.net>

	* src/vic20/cart/ultimem.c: removed support for 16MB ultimem images,
	no such hardware exists

2016-06-09  groepaz <groepaz@gmx.net>

	* src/arch/unix/parsid-drv.c: commented out unused WIP stuff to
	silence warnings

2016-06-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl_text.c, src/arch/win32/res.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64dtv.rc,
	src/translate_text.c: Did a 'make trans-update' to push the dutch
	translation corrections through to the windows/amiga/global
	translation files.

2016-06-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po: Fixed for utf-8.

2016-06-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po: Applied dutch translation fixes as provided by 'K.C.'.

2016-06-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, src/arch/sdl/io-access.c: Added sdl unix
	io-access.c wrapper.

2016-06-05  pottendo  <pottendo@aon.at>

	* po/de.po: Summary: Updated.

2016-06-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/ssi2001-drv.c: Return 0 if io access could not be
	done.

2016-06-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* ChangeLog, build/android/build-android.sh, configure.proto,
	doc/vice.chm, doc/vice.hlp, doc/vice.inf, doc/vice.pdf, doc/vice.txt,
	po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po, po/ko.po,
	po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	src/arch/android/AnVICE/AndroidManifest.xml,
	src/arch/win32/vice-version.bat, src/version.h: VICE 2.4.28

2016-06-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, src/arch/amigaos/intl_text.c, src/arch/win32/res.rc,
	src/arch/win32/resiocollisions.rc, src/arch/win32/resvic20.rc,
	src/arch/win32/resvsid.rc, src/translate_text.c: Did a
	'make trans-update'.

2016-06-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, po/translations-status.txt: Updated.

2016-06-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_darwin_runtime_os.c,
	src/platform/platform_macosx.c: Fixed detection of 'Rosetta'.

2016-06-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt: Did a 'make update-po'.

2016-06-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_darwin_runtime_os.c,
	src/platform/platform_macosx.h: Updated.

2016-06-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_darwin_runtime_os.c: Updated.

2016-05-31  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uisid.c: fix shutdown

2016-05-31  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uisid.c: make dynamic sid menu actually work :)

2016-05-31  groepaz <groepaz@gmx.net>

	* src/sid/ssi2001.c: added missing include

2016-05-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/x64_ui.c, src/arch/sdl/x64dtv_ui.c,
	src/arch/sdl/x64sc_ui.c, src/arch/sdl/xcbm2_ui.c,
	src/arch/sdl/xpet_ui.c, src/arch/sdl/xplus4_ui.c,
	src/arch/sdl/xscpu64_ui.c, src/arch/sdl/xvic_ui.c: Added missing
	includes.

2016-05-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/sid/catweaselmkiii.c, src/sid/hardsid.c, src/sid/ssi2001.c:
	Added 'maximum sid' guards.

2016-05-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/uisid.c: Fixed.

2016-05-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64dtvui.c,
	src/arch/unix/gui/c64scui.c, src/arch/unix/gui/c64ui.c,
	src/arch/unix/gui/cbm2ui.c, src/arch/unix/gui/petui.c,
	src/arch/unix/gui/plus4ui.c, src/arch/unix/gui/scpu64ui.c,
	src/arch/unix/gui/uisid.c, src/arch/unix/gui/uisid.h,
	src/arch/unix/gui/vic20ui.c, src/arch/unix/gui/vsidui.c,
	src/sid/sid.h: Changed the unix sid menus into dynamic ones.

2016-05-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_sid.c, src/arch/sdl/menu_sid.h,
	src/arch/sdl/x128_ui.c, src/arch/sdl/x64_ui.c,
	src/arch/sdl/x64dtv_ui.c, src/arch/sdl/x64sc_ui.c,
	src/arch/sdl/xcbm2_ui.c, src/arch/sdl/xpet_ui.c,
	src/arch/sdl/xplus4_ui.c, src/arch/sdl/xscpu64_ui.c,
	src/arch/sdl/xvic_ui.c, src/sid/sid.h: Changed the sdl sid menus into
	dynamic ones.

2016-05-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/hs-isa.c: Added device mapping to the *nix hardsid
	drivers.

2016-05-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_darwin_runtime_os.c: Updated.

2016-05-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/hs-isa.c: Added device mapping to the windows hardsid
	drivers.

2016-05-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/hs-isa.c, src/arch/msdos/hs-pci.c: Added device
	mapping to the dos hardsid drivers.

2016-05-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/hs_gg2_isa.c, src/arch/amigaos/hs_openpci.c,
	src/arch/amigaos/hs_os4.c: Added device mapping to the amigaos hardsid
	drivers.

2016-05-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/cw_os4.c, src/arch/amigaos/hs_os4.c: Fixed for
	amigaos4.

2016-05-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_darwin_runtime_os.c: Updated.

2016-05-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_darwin_runtime_os.c: Updated.

2016-05-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_darwin_runtime_os.c: Fixed for ppc darwin.

2016-05-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/c128ui.c, src/arch/msdos/c64dtvui.c,
	src/arch/msdos/c64ui.c, src/arch/msdos/cbm2ui.c,
	src/arch/msdos/cbm5x0ui.c, src/arch/msdos/plus4ui.c,
	src/arch/msdos/scpu64ui.c, src/arch/msdos/uisidc128.c,
	src/arch/msdos/uisidc128.h, src/arch/msdos/uisidc64.c,
	src/arch/msdos/uisidc64.h, src/arch/msdos/uisidcart.c,
	src/arch/msdos/uisidcbm2.c, src/arch/msdos/uisidcbm2.h,
	src/arch/msdos/uisiddtv.c, src/arch/msdos/uisiddtv.h, src/sid/sid.h:
	Changed the msdos sid menus into dynamic ones.

2016-05-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/catweaselmkiii-drv.c: Use constant 'define' instead
	of 'magic number'.

2016-05-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/mui/uisid.c, src/arch/amigaos/mui/uisidcart.c,
	src/arch/amigaos/mui/uisiddtv.c, src/sid/sid.h: Changed the amiga sid
	dialogs into dynamic ones.

2016-05-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/catweaselmkiii-drv.c,
	src/arch/win32/catweaselmkiii-drv.c: Removed 'atexit' inits, since the
	sid engine is already closed upon exit.

2016-05-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/cw_clockport.c, src/arch/amigaos/cw_device.c,
	src/arch/amigaos/cw_openpci.c, src/arch/amigaos/cw_zorro.c,
	src/arch/amigaos/hardsid-drv.c, src/arch/amigaos/hs_gg2_isa.c,
	src/arch/amigaos/hs_openpci.c, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/uiiocollisions.c, src/arch/amigaos/ssi2001-drv.c:
	Some amiga fixes.

2016-05-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/hardsid-drv.c, src/arch/amigaos/hs_gg2_isa.c,
	src/arch/amigaos/hs_openpci.c, src/arch/amigaos/hs_os4.c,
	src/arch/amigaos/ssi2001-drv.c, src/arch/msdos/Makefile.am,
	src/arch/msdos/hardsid-drv.c, src/arch/msdos/hs-isa.c,
	src/arch/msdos/hs-pci.c, src/arch/msdos/hs.h,
	src/arch/msdos/ssi2001-drv.c, src/arch/unix/hardsid-drv.c,
	src/arch/unix/hs-isa.c, src/arch/unix/hs-linux.c,
	src/arch/unix/ssi2001-drv.c, src/arch/win32/hardsid-drv.c,
	src/arch/win32/hs-dll.c, src/arch/win32/hs-isa.c,
	src/arch/win32/ssi2001-drv.c, src/sid/hardsid.c,
	src/sid/sid-snapshot.c, src/sid/sid-snapshot.h, src/sid/ssi2001.c,
	src/ssi2001.h: Some hardsid and ssi2001 improvements.

2016-05-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/catweaselmkiii-drv.c,
	src/arch/amigaos/cw_clockport.c, src/arch/amigaos/cw_device.c,
	src/arch/amigaos/cw_openpci.c, src/arch/amigaos/cw_os4.c,
	src/arch/amigaos/cw_zorro.c, src/arch/msdos/catweaselmkiii-drv.c,
	src/arch/unix/catweaselmkiii-drv.c,
	src/arch/win32/catweaselmkiii-drv.c, src/sid/catweaselmkiii.c: Some
	cw3 improvements.

2016-05-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.texi: Slight fix.

2016-05-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/ssi2001-drv.c: Some more improvements.

2016-05-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/catweaselmkiii-drv.c, src/arch/amigaos/cw.h,
	src/arch/amigaos/cw_clockport.c, src/arch/amigaos/cw_device.c,
	src/arch/amigaos/cw_openpci.c, src/arch/amigaos/cw_os4.c,
	src/arch/amigaos/cw_zorro.c, src/arch/amigaos/hardsid-drv.c,
	src/arch/amigaos/hs.h, src/arch/amigaos/hs_gg2_isa.c,
	src/arch/amigaos/hs_openpci.c, src/arch/amigaos/hs_os4.c,
	src/arch/amigaos/ssi2001-drv.c: Made the amiga sid drivers consistent.

2016-05-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/macosx/cocoa/view/viceglview.m: Fixed for older
	builds.

2016-05-26  groepaz <groepaz@gmx.net>

	* src/arch/unix/hs-isa.c, src/arch/unix/io-access.c: fix warnings

2016-05-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/io-access.c: Removed obsolete '#endif'.

2016-05-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/Makefile.am, src/arch/unix/hs-isa.c,
	src/arch/unix/io-access.c, src/arch/unix/io-access.h,
	src/arch/unix/ssi2001-drv.c: Moved *nix host I/O access code to a
	seperate file and made the appropriate sid drivers use it.

2016-05-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/catweaselmkiii-drv.c,
	src/arch/msdos/hardsid-drv.c, src/arch/msdos/parsid-drv.c,
	src/arch/msdos/pci-drv.c, src/arch/msdos/pci-drv.h: Moved msdos PCI
	handling code to a seperate file and made cw3 and hardsid use it.

2016-05-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, doc/vice.pdf: Added missing 'esac'.

2016-05-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/hs-isa.c, src/arch/unix/ssi2001-drv.c: Fixed I/O
	permission calls.

2016-05-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/unix/parsid-drv.c: Started on adding unix
	parallel port file device support.

2016-05-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/Makefile.am, src/arch/amigaos/hardsid-drv.c,
	src/arch/amigaos/hs.h, src/arch/amigaos/hs_gg2_isa.c,
	src/arch/amigaos/hs_openpci.c, src/arch/amigaos/hs_os4.c,
	src/arch/amigaos/ssi2001-drv.c: Added amigaos Golden Gate 2+ based
	hardsid/ssi2001 ISA support, and modularized the hardsid support.

2016-05-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/hardsid-drv.c, src/arch/msdos/ssi2001-drv.c: Added
	debug messages and fixed crash when run on windows nt.

2016-05-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/ssi2001-drv.c: Added some debug messages.

2016-05-25  groepaz <groepaz@gmx.net>

	* src/arch/unix/hardsid-drv.c, src/arch/unix/ssi2001-drv.c: unbreak
	unix compilation

2016-05-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/sdl/menu_snapshot.c,
	src/arch/sdl/msvc-files/ide-config.h,
	src/arch/sdl/win32-watcom/ide-config.h, src/arch/win32/archdep.h,
	src/arch/win32/hs-isa.c, src/arch/win32/msvc/ide-config.h,
	src/arch/win32/parsid-drv.c, src/arch/win32/ssi2001-drv.c,
	src/arch/win32/watcom/ide-config.h, src/sid/catweaselmkiii.c,
	src/sid/parsid.c, src/sid/sid-resources.c, src/sid/sid-snapshot.c,
	src/sid/ssi2001.c: Changed configuration options for the
	'hardware sid' devices to be enabled (checked for) by default and
	added some fixes.

2016-05-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/sdl/Makefile.am,
	src/arch/sdl/archdep_win32.c, src/arch/sdl/hs-device.c,
	src/arch/sdl/hs-isa.c, src/arch/sdl/win32-watcom/arch.tgt,
	src/arch/sdl/win32-watcom/vice.wpj, src/arch/win32/archdep.c: Added
	isa hardsid support to the sdl hardsid wrapper and fixed usleep calls
	for msvc/ow.

2016-05-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/hs-isa.c, src/arch/win32/ssi2001-drv.c: Fix windows
	nt (family) detection, fixes bug #752.

2016-05-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/Makefile.am, src/arch/unix/hardsid-drv.c,
	src/arch/unix/hs-isa.c, src/arch/unix/hs-linux.c, src/arch/unix/hs.h:
	Added isa hardsid support to the *nix hardsid driver.

2016-05-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am, src/arch/win32/hardsid-drv.c,
	src/arch/win32/hs-dll.c, src/arch/win32/hs-isa.c, src/arch/win32/hs.h,
	src/arch/win32/vs_tmpl/arch_native.tmpl,
	src/arch/win32/vs_tmpl/arch_sdl.tmpl, src/arch/win32/watcom/arch.tgt,
	src/arch/win32/watcom/vice.wpj: Added isa hardsid support to the
	windows hardsid driver.

2016-05-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/parsid-drv.c, src/arch/win32/ssi2001-drv.c: Made some
	variables 'static'.

2016-05-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/hardsid-drv.c: Added isa hardsid support to the msdos
	hardsid driver.

2016-05-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/ssi2001-drv.c: Fixed use lib flag.

2016-05-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am: Typo fix, fixes bug #751.

2016-05-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/sounddrv/soundcoreaudio.c: Fixed for older builds.

2016-05-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Fixed 'cocoa detection' for configure summary.

2016-05-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/sid/sid-snapshot.c: Added sid extended snapshot module
	information.

2016-05-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/Makefile.am, src/arch/amigaos/catweaselmkiii-drv.c,
	src/arch/amigaos/cw.h, src/arch/amigaos/cw_clockport.c,
	src/arch/amigaos/cw_device.c, src/arch/amigaos/cw_openpci.c,
	src/arch/amigaos/cw_os4.c, src/arch/amigaos/cw_zorro.c: Added amigaos
	catweasel clockport device support.

2016-05-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/hardsid-drv.c: Cosmetic fix.

2016-05-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/ssi2001-drv.c, src/arch/unix/ssi2001-drv.c,
	src/arch/win32/ssi2001-drv.c: Added sid detection to the ssi2001
	drivers.

2016-05-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/catweaselmkiii-drv.c: Changed order of checking,
	zorro before pci.

2016-05-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/sid/sid-resources.c: Fixed a 'misnamed' #ifdef.

2016-05-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/Makefile.am, src/arch/amigaos/hardsid-drv.c,
	src/arch/msdos/Makefile.am, src/arch/msdos/catweaselmkiii-drv.c,
	src/arch/msdos/hardsid-drv.c, src/arch/msdos/ssi2001-drv.c,
	src/arch/sdl/Makefile.am, src/arch/sdl/ssi2001-drv.c,
	src/arch/sdl/win32-watcom/arch.tgt, src/arch/sdl/win32-watcom/sid.tgt,
	src/arch/sdl/win32-watcom/vice.wpj, src/arch/unix/Makefile.am,
	src/arch/unix/catweaselmkiii-drv.c, src/arch/unix/ssi2001-drv.c,
	src/arch/win32/Makefile.am, src/arch/win32/msvc/ide-config.h,
	src/arch/win32/ssi2001-drv.c, src/arch/win32/vs_tmpl/arch_native.tmpl,
	src/arch/win32/vs_tmpl/arch_sdl.tmpl, src/arch/win32/vs_tmpl/sid.tmpl,
	src/arch/win32/watcom/arch.tgt, src/arch/win32/watcom/sid.tgt,
	src/arch/win32/watcom/vice.wpj, src/c64/c64sound.c,
	src/sid/Makefile.am, src/sid/sid-cmdline-options.c,
	src/sid/sid-resources.c, src/sid/sid-snapshot.c,
	src/sid/sid-snapshot.h, src/sid/sid.c, src/sid/sid.h,
	src/sid/ssi2001.c, src/ssi2001.h, src/translate.c, src/translate.txt,
	src/translate_text.c: Added experimental SSI-2001 (ISA SID card)
	driver, no gui changes yet.

2016-05-18  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/x11video.c: Move the #include back down, since
	its #define of BYTE conflicts with the typedef for BYTE in <X11/Xmd.h>
	included from <X11/Xproto.h> from <X11/Xlibint.h>.

2016-05-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/parsid-drv.c,
	src/arch/msdos/parsid.c, src/arch/sdl/Makefile.am,
	src/arch/sdl/parsid-drv.c, src/arch/sdl/parsid.c,
	src/arch/sdl/win32-watcom/arch.tgt, src/arch/sdl/win32-watcom/sid.tgt,
	src/arch/sdl/win32-watcom/vice.wpj, src/arch/unix/Makefile.am,
	src/arch/unix/parsid-drv.c, src/arch/unix/parsid.c,
	src/arch/win32/Makefile.am, src/arch/win32/parsid-drv.c,
	src/arch/win32/parsid.c, src/arch/win32/vs_tmpl/arch_native.tmpl,
	src/arch/win32/vs_tmpl/arch_sdl.tmpl, src/arch/win32/vs_tmpl/sid.tmpl,
	src/arch/win32/watcom/arch.tgt, src/arch/win32/watcom/sid.tgt,
	src/arch/win32/watcom/vice.wpj, src/parsid.h, src/sid/Makefile.am,
	src/sid/hardsid.c, src/sid/parsid.c, src/sid/sid-snapshot.c,
	src/sid/sid-snapshot.h: Parsid driver improvements and added parsid
	snapshot support.

2016-05-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/hardsid.c: Removed obsolete file.

2016-05-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/Makefile.am, src/arch/amigaos/hardsid-drv.c,
	src/arch/amigaos/hardsid.c, src/arch/msdos/Makefile.am,
	src/arch/msdos/hardsid-drv.c, src/arch/msdos/hardsid.c,
	src/arch/sdl/Makefile.am, src/arch/sdl/hardsid-drv.c,
	src/arch/sdl/hardsid.c, src/arch/sdl/win32-watcom/arch.tgt,
	src/arch/sdl/win32-watcom/sid.tgt, src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/unix/Makefile.am, src/arch/unix/hardsid-drv.c,
	src/arch/unix/hardsid.c, src/arch/win32/Makefile.am,
	src/arch/win32/hardsid-drv.c, src/arch/win32/vs_tmpl/arch_native.tmpl,
	src/arch/win32/vs_tmpl/arch_sdl.tmpl, src/arch/win32/vs_tmpl/sid.tmpl,
	src/arch/win32/watcom/arch.tgt, src/arch/win32/watcom/sid.tgt,
	src/arch/win32/watcom/vice.wpj, src/hardsid.h, src/sid/Makefile.am,
	src/sid/hardsid.c, src/sid/sid-snapshot.c, src/sid/sid-snapshot.h:
	Hardsid driver improvements and added hardsid snapshot support.

2016-05-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/xaw/x11video.c: Slight order change.

2016-05-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/Makefile.am: Fixed.

2016-05-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/Makefile.am, src/arch/amigaos/catweaselmkiii-drv.c,
	src/arch/amigaos/cw.h, src/arch/amigaos/cw_zorro.c: Added zorro bus
	cw3 support for the amiga port.

2016-05-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/cw_device.c, src/arch/amigaos/cw_openpci.c,
	src/arch/amigaos/cw_os4.c, src/arch/msdos/catweaselmkiii-drv.c,
	src/arch/unix/catweaselmkiii-drv.c, src/sid/catweaselmkiii.c: Some cw3
	driver fixes.

2016-05-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/catweaselmkiii.h, src/sid/fastsid.h: Added missing includes,
	fixes bug #747.

2016-05-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/Makefile.am, src/arch/amigaos/catweaselmkiii-drv.c,
	src/arch/amigaos/catweaselmkiii.c, src/arch/amigaos/cw_device.c,
	src/arch/amigaos/cw_openpci.c, src/arch/amigaos/cw_os4.c,
	src/arch/msdos/Makefile.am, src/arch/msdos/catweaselmkiii-drv.c,
	src/arch/msdos/catweaselmkiii.c, src/arch/sdl/Makefile.am,
	src/arch/sdl/catweaselmkiii-drv.c, src/arch/sdl/catweaselmkiii.c,
	src/arch/sdl/win32-watcom/arch.tgt, src/arch/sdl/win32-watcom/sid.tgt,
	src/arch/sdl/win32-watcom/vice.wpj, src/arch/unix/Makefile.am,
	src/arch/unix/catweaselmkiii-drv.c, src/arch/unix/catweaselmkiii.c,
	src/arch/win32/Makefile.am, src/arch/win32/catweaselmkiii-drv.c,
	src/arch/win32/catweaselmkiii.c,
	src/arch/win32/vs_tmpl/arch_native.tmpl,
	src/arch/win32/vs_tmpl/arch_sdl.tmpl, src/arch/win32/vs_tmpl/sid.tmpl,
	src/arch/win32/watcom/arch.tgt, src/arch/win32/watcom/sid.tgt,
	src/arch/win32/watcom/vice.wpj, src/catweaselmkiii.h,
	src/sid/Makefile.am, src/sid/catweaselmkiii.c, src/sid/sid-snapshot.c,
	src/sid/sid-snapshot.h: Abstracted the cw3 code and turned arch cw3
	code into 'drivers', and added cw3 snapshot support.

2016-05-14  groepaz <groepaz@gmx.net>

	* src/c64/c64memsnapshot.c, src/c64dtv/c64dtvblitter.c,
	src/c64dtv/c64dtvdma.c: fix warnings about unused variables

2016-05-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/sid/fastsid.c, src/sid/fastsid.h, src/sid/sid-snapshot.c,
	src/sid/sid-snapshot.h: Improved resid snapshot support, added fastsid
	snapshot support and improved overal sid snapshot support.

2016-05-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_solaris_runtime_os.c: Updated.

2016-05-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/hardsid.c: Removed unused variable.

2016-05-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64memsnapshot.c: Some more snapshot updates.

2016-05-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/lib.c: Fix for sunos.

2016-05-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/sid/sid-snapshot.c, src/sidcart.h,
	src/vic20/cart/vic20-sidcart.c, src/vic20/cart/vic20cart.c: Improved
	SID snapshot support and added vic20 sidcart snapshot support.

2016-05-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/Makefile.am, src/platform/platform_sunos_runtime_os.c:
	Added missing source file to Makefile.am

2016-05-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/os2/watcom/ide-config.h,
	src/arch/sdl/msvc-files/ide-config-mips.h,
	src/arch/sdl/msvc-files/ide-config.h,
	src/arch/sdl/win32-watcom/ide-config.h,
	src/arch/win32/msvc/ide-config.h, src/arch/win32/watcom/ide-config.h:
	Added test and replacement function for strtoul.

2016-05-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/monitor/mon_disassemble.c: Compatibility fix.

2016-05-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/core/cs8900.c, src/core/cs8900.h: Changed tfe_* names to
	cs8900_*.

2016-05-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/tapeport/cp-clockf83.c, src/tapeport/dtl-basic-dongle.c,
	src/tapeport/tapelog.c, src/tapeport/tapeport.c,
	src/userport/userport.c, src/userport/userport_4bit_sampler.c,
	src/userport/userport_8bss.c, src/userport/userport_dac.c,
	src/userport/userport_digimax.c, src/userport/userport_joystick.c,
	src/userport/userport_rtc_58321a.c,
	src/userport/userport_rtc_ds1307.c, src/vic20/cart/ioramcart.c,
	src/vic20/cart/vic20-midi.c: Some more snapshot updates.

2016-05-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/opencbm.h: Fixed for sunos.

2016-05-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/readmes/Readme-SDL.txt,
	src/platform/platform_solaris_runtime_os.c: Updated.

2016-05-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/nextstep/build.sh, build/openstep/build.sh,
	build/rhapsody/build.sh: Added vsid to the build nextstep, openstep
	and rhapsody build scripts.

2016-05-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/rtc/bq4830y.c, src/rtc/bq4830y.h, src/rtc/ds1202_1302.c,
	src/rtc/ds1216e.c, src/rtc/ds1216e.h, src/rtc/ds12c887.c,
	src/rtc/ds1307.c, src/rtc/ds1602.c, src/rtc/pcf8583.c,
	src/rtc/rtc-58321a.c, src/rtc/rtc-72421.c, src/rtc/rtc-72421.h: Some
	more snapshot updates.

2016-05-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* Makefile.am: Fixed.

2016-05-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/nextstep/build.sh: Some nextstep fixes.

2016-05-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/mouse.c, src/joyport/paperclip64.c, src/midi.c,
	src/pet/petreu.c, src/printerdrv/interface-userport.c: Some more
	snapshot updates.

2016-05-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/Makefile.am: Disable autotools version of building pdf
	documentation.

2016-05-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/final3.c, src/c64/cart/funplay.c,
	src/c64/cart/retroreplay.c, src/c64/cart/rexep256.c,
	src/c64/cart/rexutility.c, src/c64/cart/rgcd.c, src/c64/cart/ross.c,
	src/c64/cart/sfx_soundexpander.c, src/c64/cart/sfx_soundsampler.c,
	src/c64/cart/silverrock128.c, src/c64/cart/simonsbasic.c,
	src/c64/cart/stb.c, src/c64/cart/superexplode5.c,
	src/c64/cart/supergames.c, src/c64/cart/supersnapshot.c,
	src/c64/cart/warpspeed.c, src/c64/cart/westermann.c,
	src/c64/plus256k.c, src/c64/plus60k.c, src/drive/ieee/fdc.c,
	src/interrupt.c, src/joyport/bbrtc.c, src/joyport/lightpen.c,
	src/snapshot.c, src/snapshot.h, src/translate.txt,
	src/translate_text.c: Some more snapshot updates.

2016-05-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/nextstep/build.sh, src/arch/unix/socketimpl.h,
	src/arch/win32/utils/geninfocontrib.c: Some nextstep fixes.

2016-05-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/lib/Makefile.am: Some more in-tree ffmpeg
	fixes.

2016-05-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/lib/libffmpeg/Makefile: static ffmpeg 'make install' fix.

2016-05-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/nextstep/build.sh: Updated.

2016-05-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/nextstep/build.sh, src/Makefile.am: Some fixes.

2016-05-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/delaep256.c, src/c64/cart/delaep64.c,
	src/c64/cart/delaep7x8.c, src/c64/cart/diashowmaker.c,
	src/c64/cart/epyxfastload.c, src/c64/cart/final.c,
	src/c64/cart/freezeframe.c, src/c64/cart/freezemachine.c,
	src/c64/cart/georam.c, src/c64/cart/kcs.c, src/c64/cart/mach5.c,
	src/c64/cart/pagefox.c, src/c64/cart/prophet64.c, src/c64/cart/reu.c,
	src/c64/cart/shortbus.c, src/c64/cart/shortbus_digimax.c,
	src/c64/cart/snapshot64.c, src/c64/cart/supersnapshot4.c,
	src/c64/cart/zaxxon.c, src/c64dtv/c64dtvblitter.c,
	src/c64dtv/c64dtvdma.c, src/core/mc6821core.c: Some more snapshot
	updates.

2016-04-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/expert.c, src/c64/cart/finalplus.c,
	src/c64/cart/formel64.c, src/c64/cart/gamekiller.c,
	src/c64/cart/ide64.c, src/c64/cart/isepic.c, src/c64/cart/kingsoft.c,
	src/c64/cart/magicformel.c, src/c64/cart/mikroass.c,
	src/c64/cart/mmc64.c, src/c64/cart/ocean.c, src/c64/cart/ramcart.c,
	src/c64/cart/reu.c: Some more snapshot updates.

2016-04-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/resid/configure.in: Some updates.

2016-04-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/aciacore.c, src/c64/c64-memory-hacks.c, src/c64/c64_256k.c,
	src/c64/c64gluelogic.c, src/c64/cart/actionreplay.c,
	src/c64/cart/actionreplay2.c, src/c64/cart/actionreplay3.c,
	src/c64/cart/actionreplay4.c, src/c64/cart/atomicpower.c,
	src/c64/cart/c64-generic.c, src/c64/cart/c64-midi.c,
	src/c64/cart/capture.c, src/c64/cart/comal80.c,
	src/c64/cart/cpmcart.c, src/c64/cart/digimax.c,
	src/c64/cart/dinamic.c, src/c64/cart/dqbb.c,
	src/c64/cart/ds12c887rtc.c, src/c64/cart/easycalc.c,
	src/c64/cart/easyflash.c, src/c64/cart/exos.c, src/core/tpicore.c,
	src/core/viacore.c, src/drive/driverom.c, src/drive/iec/fdd.c,
	src/drive/iec/wd1770.c, src/drive/ieee/fdc.c, src/joyport/bbrtc.c,
	src/joyport/lightpen.c, src/joyport/mouse.c,
	src/joyport/paperclip64.c, src/joyport/sampler2bit.c, src/keyboard.c,
	src/midi.c, src/pet/6809.c: Some snapshot improvements.

2016-04-29  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uisnapshot.c: added missing include

2016-04-28  groepaz <groepaz@gmx.net>

	* src/arch/win32/res.rc, src/arch/win32/uiram.c, src/ram.c, src/ram.h:
	made ram pattern preview a bit more elaborated

2016-04-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/attach.c, src/autostart.c, src/c128/c128memsnapshot.c,
	src/c1541.c, src/c64/c64-memory-hacks.c, src/c64/c64_256k.c,
	src/c64/cart/actionreplay.c, src/c64/cart/actionreplay2.c,
	src/c64/cart/actionreplay3.c, src/c64/cart/actionreplay4.c,
	src/c64/cart/atomicpower.c, src/c64/cart/c64-generic.c,
	src/c64/cart/c64-midi.c, src/c64/cart/capture.c,
	src/c64/cart/comal80.c, src/c64/cart/cpmcart.c,
	src/c64/cart/digimax.c, src/c64/cart/dinamic.c, src/c64/cart/dqbb.c,
	src/c64/cart/ds12c887rtc.c, src/c64/cart/easycalc.c,
	src/c64/cart/easyflash.c, src/c64/cart/exos.c, src/c64/cart/expert.c,
	src/c64/cart/finalplus.c, src/c64/cart/formel64.c,
	src/c64/cart/gamekiller.c, src/c64/cart/isepic.c,
	src/c64/cart/kingsoft.c, src/c64/cart/magicformel.c,
	src/c64/cart/mikroass.c, src/c64/cart/mmc64.c, src/c64/cart/ramcart.c,
	src/c64/cart/reu.c, src/c64/cart/shortbus.c,
	src/c64/cart/shortbus_digimax.c, src/c64/cart/snapshot64.c,
	src/c64/cart/supersnapshot4.c, src/c64/cart/tfe.c,
	src/c64/cart/zaxxon.c, src/c64dtv/c64dtvblitter.c,
	src/c64dtv/c64dtvdma.c, src/core/cs8900.c, src/core/riotcore.c,
	src/rtc/rtc-58321a.c, src/snapshot.c, src/snapshot.h,
	src/translate.txt, src/translate_text.c: Some snapshot improvements:
	descriptive error message when trying to load a snapshot which has a
	higher version than supported, and the start of 'universal' backwards
	compatibility handling.

2016-04-26  groepaz <groepaz@gmx.net>

	* src/cbm2/cbm2iec.c, src/pet/petiec.c: added missing stubs for debug
	mode

2016-04-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/uisnapshot.c, src/arch/beos/ui.cc,
	src/arch/beos/ui_file.cc, src/arch/msdos/uisnapshot.c,
	src/arch/os2/dialogs/menubar.c, src/arch/sdl/menu_snapshot.c,
	src/arch/unix/gui/uicommands.c, src/arch/unix/x11/gnome/uisnapshot.c,
	src/arch/unix/x11/xaw/uisnapshot.c, src/arch/win32/uiquicksnapshot.c,
	src/arch/win32/uisnapshot.c, src/snapshot.c, src/snapshot.h,
	src/translate.txt, src/translate_text.c: Made the snapshot error
	messages more descriptive.

2016-04-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64memsnapshot.c: Added snapshot support for the 6510 cpu
	port bit fade.

2016-04-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/drive.tgt, src/arch/os2/watcom/mainsrc.tgt,
	src/arch/os2/watcom/vice.wpj, src/arch/os2/watcom/x128.tgt,
	src/arch/os2/watcom/x64.tgt, src/arch/os2/watcom/x64dtv.tgt,
	src/arch/os2/watcom/x64sc.tgt, src/arch/os2/watcom/xcbm2.tgt,
	src/arch/os2/watcom/xcbm5x0.tgt, src/arch/os2/watcom/xpet.tgt,
	src/arch/os2/watcom/xplus4.tgt, src/arch/os2/watcom/xscpu64.tgt,
	src/arch/os2/watcom/xvic.tgt: Fixed os/2 ow project files for the
	recent changes.

2016-04-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/lightpen.c: Fixed '#endif' position.

2016-04-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/base.tgt,
	src/arch/sdl/win32-watcom/drive.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/sdl/win32-watcom/x128.tgt, src/arch/sdl/win32-watcom/x64.tgt,
	src/arch/sdl/win32-watcom/x64dtv.tgt,
	src/arch/sdl/win32-watcom/x64sc.tgt,
	src/arch/sdl/win32-watcom/xcbm2.tgt,
	src/arch/sdl/win32-watcom/xcbm5x0.tgt,
	src/arch/sdl/win32-watcom/xpet.tgt,
	src/arch/sdl/win32-watcom/xplus4.tgt,
	src/arch/sdl/win32-watcom/xscpu64.tgt,
	src/arch/sdl/win32-watcom/xvic.tgt: Fixed sdl ow project files for the
	recent changes.

2016-04-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/watcom/arch.tgt, src/arch/win32/watcom/base.tgt,
	src/arch/win32/watcom/drive.tgt, src/arch/win32/watcom/vice.wpj,
	src/arch/win32/watcom/x128.tgt, src/arch/win32/watcom/x64.tgt,
	src/arch/win32/watcom/x64dtv.tgt, src/arch/win32/watcom/x64sc.tgt,
	src/arch/win32/watcom/xcbm2.tgt, src/arch/win32/watcom/xcbm5x0.tgt,
	src/arch/win32/watcom/xpet.tgt, src/arch/win32/watcom/xplus4.tgt,
	src/arch/win32/watcom/xscpu64.tgt, src/arch/win32/watcom/xvic.tgt:
	Fixed windows ow project files for the recent changes.

2016-04-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/base.tmpl,
	src/arch/win32/vs_tmpl/c64dtvstubs.tmpl,
	src/arch/win32/vs_tmpl/drive.tmpl, src/arch/win32/vs_tmpl/x128.tmpl,
	src/arch/win32/vs_tmpl/x64.tmpl, src/arch/win32/vs_tmpl/x64dtv.tmpl,
	src/arch/win32/vs_tmpl/x64sc.tmpl, src/arch/win32/vs_tmpl/xcbm2.tmpl,
	src/arch/win32/vs_tmpl/xcbm5x0.tmpl, src/arch/win32/vs_tmpl/xpet.tmpl,
	src/arch/win32/vs_tmpl/xplus4.tmpl,
	src/arch/win32/vs_tmpl/xscpu64.tmpl, src/arch/win32/vs_tmpl/xvic.tmpl:
	Fixed msvc project template files for the recent changes.

2016-04-24  groepaz <groepaz@gmx.net>

	* src/Makefile.am, src/c64/c64iec.c, src/c64dtv/c64dtviec.c,
	src/cbm2/cbm2iec.c, src/pet/petiec.c, src/vic20/vic20iec.c: remaining
	fixes for drive I/O dump, bug #745 should be fixed

2016-04-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/mmc64.c: Added mmc64 snapshot support (no mmc/sd images
	are saved into the snapshot, this part still needs thought).

2016-04-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128-snapshot.c, src/c64/c64-snapshot.c,
	src/c64dtv/c64dtv-snapshot.c, src/cbm2/cbm5x0-snapshot.c,
	src/plus4/plus4-snapshot.c, src/scpu64/scpu64-snapshot.c,
	src/vic20/vic20-snapshot.c: Fixed keyboard snapshot calls.

2016-04-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/joyport.c, src/joyport/joystick.c: Fixed joyport
	snapshot identifiers, fixes bug #742.

2016-04-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/drive/Makefile.am, src/drive/drivemem.c: Added includes and
	include dirs.

2016-04-24  groepaz <groepaz@gmx.net>

	* src/Makefile.am: link iec lib to pet/cbm2

2016-04-24  groepaz <groepaz@gmx.net>

	* src/cbm2/cbm2iec.c, src/pet/petiec.c: added dummy functions

2016-04-24  groepaz <groepaz@gmx.net>

	* src/pet/petiec.c: added dummy functions

2016-04-24  groepaz <groepaz@gmx.net>

	* src/c128/c128mem.c, src/c128/c128mmu.c, src/c128/c128mmu.h,
	src/c64/c64io.c, src/c64/c64mem.c, src/c64/c64memsc.c,
	src/c64/vsidmem.c, src/c64dtv/c64dtvmem.c, src/cbm2/cbm2io.c,
	src/core/riotcore.c, src/drive/drivemem.c, src/drive/iec/cia1571d.c,
	src/drive/iec/cia1581d.c, src/drive/iec/ciad.h,
	src/drive/iec/memiec.h, src/drive/iec/via1d1541.c,
	src/drive/iec/via1d1541.h, src/drive/iec/via4000.c,
	src/drive/iec/via4000.h, src/drive/iecieee/via2d.c,
	src/drive/ieee/riot1d.c, src/drive/ieee/riot2d.c,
	src/drive/ieee/riotd.h, src/drive/tcbm/tpid.c, src/drive/tcbm/tpid.h,
	src/drive/viad.h, src/mem.h, src/monitor/monitor.c, src/monitor.h,
	src/pet/petio.c, src/pet/petmem.c, src/plus4/plus4io.c,
	src/plus4/plus4mem.c, src/riot.h, src/scpu64/scpu64mem.c,
	src/vdc/vdc-mem.c, src/vdc/vdc-mem.h, src/vic20/vic20io.c:
	preperations for adding I/O dump to drives

2016-04-23  Kajtar Zsolt <soci@c64.rulez.org>

	* src/drive/iec/pc8477.c, src/drive/iec/wd1770.c: Looks OK.

2016-04-23  groepaz <groepaz@gmx.net>

	* src/drive/iec/pc8477.c: simplified

2016-04-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_solaris_version.h: Added support for solaris
	11.3

2016-04-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/tapeport/tapeport.c: Fix crash.

2016-04-23  groepaz <groepaz@gmx.net>

	* src/core/riotcore.c, src/drive/drivemem.c, src/drive/drivemem.h,
	src/drive/drivetypes.h, src/drive/iec/c64exp/dolphindos3.c,
	src/drive/iec/c64exp/profdos.c, src/drive/iec/c64exp/supercard.c,
	src/drive/iec/memiec.c, src/drive/iec/pc8477.c,
	src/drive/iec/pc8477.h, src/drive/iec/wd1770.c,
	src/drive/iec/wd1770.h, src/drive/ieee/memieee.c,
	src/drive/ieee/riot1d.c, src/drive/ieee/riot2d.c,
	src/drive/ieee/riotd.h, src/drive/tcbm/mem1551.c, src/riot.h:
	implemented I/O 'peek' function for drives, added 'peek' function to
	pc8477, wd1770 and riot cores

2016-04-23  groepaz <groepaz@gmx.net>

	* src/6510dtvcore.c: changed ANE 'magic constant' to 0xff, which makes
	spectipede tapeloader work

2016-04-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am, src/c128/c128-snapshot.c, src/c64/c64-snapshot.c,
	src/c64/vsidstubs.c, src/c64dtv/c64dtvcart.c,
	src/cbm2/cbm2-snapshot.c, src/cbm2/cbm5x0-snapshot.c, src/datasette.c,
	src/datasette.h, src/pet/pet-snapshot.c, src/plus4/plus4-snapshot.c,
	src/rtc/ds1602.c, src/rtc/pcf8583.c, src/rtc/pcf8583.h,
	src/scpu64/scpu64stubs.c, src/tape/tape-snapshot.c,
	src/tapeport/cp-clockf83.c, src/tapeport/dtl-basic-dongle.c,
	src/tapeport/sense-dongle.c, src/tapeport/tapelog.c,
	src/tapeport/tapeport.c, src/tapeport/tapeport.h,
	src/vic20/vic20-snapshot.c: Added tapeport snapshot support.

2016-04-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/c64-midi.c, src/midi.c, src/vic20/cart/vic20-midi.c:
	Added midi snapshot support.

2016-04-20  pottendo  <pottendo@aon.at>

	* po/de.po: Updated.

2016-04-20  groepaz <groepaz@gmx.net>

	* src/drive/iec/fdd.c, src/drive/iec/fdd.h, src/drive/iec/pc8477.c,
	src/drive/iec/pc8477.h, src/drive/iec/wd1770.c,
	src/drive/iec/wd1770.h: removed 'inline' from a couple of functions.
	since they are used from a different compilation unit than they get
	compiled to they would not get inlined (always) anyway. fixes warnings
	when compiling with clang. to get them inlined as intended the code
	should be reworked so these functions exist as inline functions in the
	headers rather than the .c files.

2016-04-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* acinclude.m4: Added 'lib-ld.m4' macros for platforms that don't have
	it.

2016-04-19  groepaz <groepaz@gmx.net>

	* data/C128/Makefile.am, data/C128/community-colors.vpl,
	data/C128/deekay.vpl, data/C128/ptoing.vpl, data/C64/Makefile.am,
	data/C64/community-colors.vpl, data/C64/deekay.vpl,
	data/C64/ptoing.vpl, data/CBM-II/Makefile.am,
	data/CBM-II/community-colors.vpl, data/CBM-II/deekay.vpl,
	data/CBM-II/ptoing.vpl, data/SCPU64/Makefile.am,
	data/SCPU64/community-colors.vpl, data/SCPU64/deekay.vpl,
	data/SCPU64/ptoing.vpl, src/palette.c: added some alternative palettes

2016-04-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128-snapshot.c, src/c64/c64-snapshot.c,
	src/c64dtv/c64dtv-snapshot.c, src/cbm2/cbm2-snapshot.c,
	src/pet/pet-snapshot.c, src/plus4/plus4-snapshot.c,
	src/printerdrv/interface-userport.c, src/rtc/ds12c887.c,
	src/rtc/ds1307.c, src/rtc/ds1307.h, src/rtc/rtc-58321a.c,
	src/rtc/rtc-58321a.h, src/scpu64/scpu64-snapshot.c,
	src/userport/userport.c, src/userport/userport.h,
	src/userport/userport_4bit_sampler.c, src/userport/userport_8bss.c,
	src/userport/userport_dac.c, src/userport/userport_digimax.c,
	src/userport/userport_joystick.c, src/userport/userport_rtc_58321a.c,
	src/userport/userport_rtc_ds1307.c, src/vic20/vic20-snapshot.c: Added
	snapshot support to the userport system and all its devices.

2016-04-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64-memory-hacks.c: Only reconfigure memory upon snapshot
	load if any memory hacks are active before loading the snapshot.
	(Fixes bug #739)

2016-04-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/mouse.c: Fixed 'neos_state' warning.

2016-04-18  groepaz <groepaz@gmx.net>

	* src/6510core.c: add braces

2016-04-18  groepaz <groepaz@gmx.net>

	* src/6510core.c, src/c64dtv/c64dtvcpu.c: fix warning - someone with
	DTV knowledge should review this one

2016-04-18  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uiscreenshot.c: fix warning

2016-04-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128-snapshot.c, src/c64/c64-snapshot.c,
	src/c64/vsidstubs.c, src/c64dtv/c64dtv-snapshot.c,
	src/cbm2/cbm2-snapshot.c, src/cbm2/cbm5x0-snapshot.c,
	src/joyport/bbrtc.c, src/joyport/joyport.c,
	src/joyport/joyport.h, src/joyport/joystick.c, src/joyport/joystick.h,
	src/joyport/lightpen.c, src/joyport/mouse.c,
	src/joyport/paperclip64.c, src/joyport/sampler2bit.c,
	src/joyport/sampler4bit.c, src/pet/pet-snapshot.c,
	src/plus4/plus4-snapshot.c, src/rtc/ds1602.c, src/rtc/ds1602.h,
	src/scpu64/scpu64-snapshot.c, src/vic20/vic20-snapshot.c: Added
	snapshot support to the joyport system and all its devices.

2016-04-17  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uimenu.c: fix warning

2016-04-17  groepaz <groepaz@gmx.net>

	* src/vicii/viciidtv-draw.c: fix warnings

2016-04-17  groepaz <groepaz@gmx.net>

	* src/c64/cart/mmc64.c: fix warnings

2016-04-17  groepaz <groepaz@gmx.net>

	* src/printerdrv/drv-1520.c: fix warnings

2016-04-17  groepaz <groepaz@gmx.net>

	* src/plus4/ted-badline.c, src/plus4/ted-mem.c: fix warnings

2016-04-17  groepaz <groepaz@gmx.net>

	* src/c64/cart/silverrock128.c, src/raster/raster.c: fix warnings

2016-04-17  groepaz <groepaz@gmx.net>

	* src/c64/cart/reu.c: fix warning

2016-04-17  groepaz <groepaz@gmx.net>

	* src/video/video-color.c: fix warnings

2016-04-17  groepaz <groepaz@gmx.net>

	* doc/vice.guide, doc/vice.pdf, doc/vice.txt: updated

2016-04-17  groepaz <groepaz@gmx.net>

	* src/arch/win32/utils/geninfocontrib.c: fix warning when building on
	unix

2016-04-17  groepaz <groepaz@gmx.net>

	* doc/vice.texi, src/sounddrv/soundcoreaudio.c: provide control over
	choice of audio device on OS X coreaudio via SoundDeviceArg /
	-soundarg. patch by David Hogan

2016-04-16  groepaz <groepaz@gmx.net>

	* src/arch/win32/uicia.c: fixed typo, should fix bug #738

2016-04-16  groepaz <groepaz@gmx.net>

	* src/vic20/cart/vic20cart.c: removed unused variable

2016-04-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/bbrtc.c, src/joyport/joyport.c, src/joyport/joyport.h,
	src/joyport/joystick.c, src/joyport/lightpen.c, src/joyport/mouse.c,
	src/joyport/paperclip64.c, src/joyport/sampler2bit.c,
	src/joyport/sampler4bit.c: Started on a framework for joyport snapshot
	support, still wip.

2016-04-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/plus4/plus4cart.c: Removed comment.

2016-04-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* ChangeLog, build/android/build-android.sh, configure.proto,
	doc/vice.chm, doc/vice.guide, doc/vice.hlp, doc/vice.inf, doc/vice.pdf,
	po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po, po/ko.po,
	po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	src/arch/android/AnVICE/AndroidManifest.xml,
	src/arch/win32/vice-version.bat, src/version.h: VICE 2.4.27

2016-04-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl_text.c, src/arch/win32/res.rc,
	src/arch/win32/resc64dtv.rc, src/arch/win32/rescpclockf83.rc,
	src/arch/win32/reside64.rc, src/arch/win32/resiocollisions.rc,
	src/arch/win32/resjoyport.rc, src/arch/win32/restapelog.rc,
	src/arch/win32/resvic20.rc, src/arch/win32/resvsid.rc,
	src/translate_text.c: Did a 'make trans-update'.

2016-04-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am: Fixed xvic linking for *nix too.

2016-04-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am: Reversed vic20/vic20cart linking order, makes xvic
	link again.

2016-04-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/vic20/cart/ioramcart.c, src/vic20/cart/ioramcart.h,
	src/vic20/cart/vic20cart.c: Added vic20 io-2/3 ramcart snapshot
	support.

2016-04-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/vic20/cart/vic20cart.c: Exclude 'debugcart' from snapshot
	writing/reading.

2016-04-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/digimaxcore.c: Cosmetic fix.

2016-04-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am, src/arch/os2/watcom/vic20.tgt,
	src/arch/os2/watcom/vice.wpj, src/arch/sdl/win32-watcom/vic20.tgt,
	src/arch/sdl/win32-watcom/vice.wpj, src/arch/win32/vs_tmpl/vic20.tmpl,
	src/arch/win32/watcom/vic20.tgt, src/arch/win32/watcom/vice.wpj,
	src/c128/c128.c, src/c64/Makefile.am, src/c64/c64.c,
	src/c64/c64export.c, src/c64/c64export.h, src/c64/cart/actionreplay.c,
	src/c64/cart/actionreplay2.c, src/c64/cart/actionreplay3.c,
	src/c64/cart/actionreplay4.c, src/c64/cart/atomicpower.c,
	src/c64/cart/c64-generic.c, src/c64/cart/c64-midi.c,
	src/c64/cart/c64acia1.c, src/c64/cart/c64cart.c,
	src/c64/cart/c64carthooks.c, src/c64/cart/c64tpi.c,
	src/c64/cart/capture.c, src/c64/cart/comal80.c,
	src/c64/cart/cpmcart.c, src/c64/cart/debugcart.c,
	src/c64/cart/delaep256.c, src/c64/cart/delaep64.c,
	src/c64/cart/delaep7x8.c, src/c64/cart/diashowmaker.c,
	src/c64/cart/digimax.c, src/c64/cart/dinamic.c, src/c64/cart/dqbb.c,
	src/c64/cart/ds12c887rtc.c, src/c64/cart/easycalc.c,
	src/c64/cart/easyflash.c, src/c64/cart/epyxfastload.c,
	src/c64/cart/exos.c, src/c64/cart/expert.c, src/c64/cart/final.c,
	src/c64/cart/final3.c, src/c64/cart/finalplus.c,
	src/c64/cart/formel64.c, src/c64/cart/freezeframe.c,
	src/c64/cart/freezemachine.c, src/c64/cart/funplay.c,
	src/c64/cart/gamekiller.c, src/c64/cart/georam.c, src/c64/cart/gs.c,
	src/c64/cart/ide64.c, src/c64/cart/isepic.c, src/c64/cart/kcs.c,
	src/c64/cart/kingsoft.c, src/c64/cart/mach5.c,
	src/c64/cart/magicdesk.c, src/c64/cart/magicformel.c,
	src/c64/cart/magicvoice.c, src/c64/cart/mikroass.c,
	src/c64/cart/mmc64.c, src/c64/cart/mmcreplay.c, src/c64/cart/ocean.c,
	src/c64/cart/pagefox.c, src/c64/cart/prophet64.c,
	src/c64/cart/ramcart.c, src/c64/cart/retroreplay.c,
	src/c64/cart/reu.c, src/c64/cart/rexep256.c,
	src/c64/cart/rexutility.c, src/c64/cart/rgcd.c, src/c64/cart/ross.c,
	src/c64/cart/rrnetmk3.c, src/c64/cart/sfx_soundexpander.c,
	src/c64/cart/sfx_soundsampler.c, src/c64/cart/silverrock128.c,
	src/c64/cart/simonsbasic.c, src/c64/cart/snapshot64.c,
	src/c64/cart/stardos.c, src/c64/cart/stb.c,
	src/c64/cart/superexplode5.c, src/c64/cart/supergames.c,
	src/c64/cart/supersnapshot.c, src/c64/cart/supersnapshot4.c,
	src/c64/cart/tfe.c, src/c64/cart/warpspeed.c,
	src/c64/cart/westermann.c, src/c64/cart/zaxxon.c, src/c64/plus256k.c,
	src/c64/plus60k.c, src/c64/vsid-debugcart.c, src/cartridge.h,
	src/export.h, src/scpu64/scpu64.c, src/sidcart.h,
	src/vic20/Makefile.am, src/vic20/cart/Makefile.am,
	src/vic20/cart/debugcart.c, src/vic20/cart/finalexpansion.c,
	src/vic20/cart/ioramcart.c, src/vic20/cart/ioramcart.h,
	src/vic20/cart/mascuerade-stubs.c, src/vic20/cart/mascuerade-stubs.h,
	src/vic20/cart/megacart.c, src/vic20/cart/ultimem.c,
	src/vic20/cart/vic-fp.c, src/vic20/cart/vic20-ieee488.c,
	src/vic20/cart/vic20-ieee488.h, src/vic20/cart/vic20-midi.c,
	src/vic20/cart/vic20-midi.h, src/vic20/cart/vic20-sidcart.c,
	src/vic20/cart/vic20cart.c, src/vic20/cart/vic20cartmem.c,
	src/vic20/vic20export.c: Generalized the (c64) export system and added
	it to the vic20 emulation and extended/fixed vic20 cart snapshot
	support.

2016-04-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Solaris fix for pcap detection.

2016-04-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/westermann.c: Fixed westermann snapshot support.

2016-04-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/warpspeed.c: Fixed warpspeed snapshot support.

2016-04-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/supersnapshot.c: Fixed 'super snapshot' snapshot
	support.

2016-04-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/supergames.c: Fixed super games snapshot
	support.

2016-04-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/superexplode5.c: Fixed super explode 5 snapshot
	support.

2016-04-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/stb.c: Fixed structured basic snapshot support.

2016-04-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/simonsbasic.c: Fixed simons basic snapshot support.

2016-04-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/silverrock128.c: Fixed silverrock128 snapshot support.

2016-04-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/ross.c: Fixed ross snapshot support.

2016-04-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/rexutility.c: Fixed rex utility snapshot support.

2016-04-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/c64carthooks.c, src/c64/cart/cpmcart.c,
	src/c64/cart/cpmcart.h, src/cartridge.h: Added c64 cp/m cart snapshot
	support.

2016-04-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/rexep256.c: Fixed rex ep 256 snapshot support.

2016-04-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/prophet64.c: Fixed prophet64 snapshot support.

2016-04-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/pagefox.c: Fixed pagefox snapshot support.

2016-04-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/mach5.c: Fixed mach5 snapshot support.

2016-04-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/ide64.c, src/c64/cart/shortbus.c,
	src/c64/cart/shortbus.h, src/c64/cart/shortbus_digimax.c,
	src/c64/cart/shortbus_digimax.h, src/rtc/ds1202_1302.c,
	src/rtc/ds1202_1302.h: Fixed ds1202/1302 snapshot support, added
	shortbus snapshot support and added saving of rtc and shortbus
	snapshot modules to the ide64 snapshot code.

2016-04-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/gs.c: Fixed gs snapshot support.

2016-04-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/georam.c: Fixed georam snapshot support.

2016-04-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/funplay.c: Fixed funplay snapshot support.

2016-04-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/freezeframe.c: Fixed freeze frame snapshot support.

2016-04-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/final3.c: Fixed final cart 3 snapshot support.

2016-04-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/final.c: Fixed final cart snapshot support.

2016-04-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/epyxfastload.c: Fixed epyx fast load snapshot support.

2016-04-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/ds12c887rtc.c, src/rtc/ds12c887.c, src/rtc/ds12c887.h:
	Fixed the c64 ds12c887rtc cart snapshot support, fixed the generic
	ds12c887 rtc snapshot code and added saving of the rtc regs/ram to the
	c64 ds12c887rtc cart.

2016-04-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/diashowmaker.c: Fixed diashow maker snapshot support.

2016-04-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/delaep256.c: Fixed dela ep 256 snapshot support.

2016-04-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/delaep64.c: Fixed dela ep 64 snapshot support.

2016-04-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/delaep7x8.c: Fixed dela ep 7x8 snapshot support.

2016-04-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/comal80.c: Some cosmetic fixes.

2016-04-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64-memory-hacks.c, src/c64/c64-memory-hacks.h,
	src/c64/c64-snapshot.c, src/c64/c64_256k.c, src/c64/c64_256k.h,
	src/c64/plus256k.c, src/c64/plus256k.h, src/c64/plus60k.c,
	src/c64/plus60k.h: Added snapshot support to the c64 memory expansion
	hacks.

2016-04-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/ide-config.h,
	src/arch/sdl/msvc-files/ide-config-mips.h,
	src/arch/sdl/msvc-files/ide-config.h,
	src/arch/sdl/win32-watcom/ide-config.h,
	src/arch/win32/msvc/ide-config.h, src/arch/win32/watcom/ide-config.h:
	Define "#HAVE_TIME_T_IN_TIME_H" to make msvc and ow work again.

2016-04-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/unix/x11/xaw/x11kbd.c: Added check for
	'XKBlib.h".

2016-04-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, po/translations-status.txt: Updated.

2016-04-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/rtc/bq4830y.c, src/rtc/ds1202_1302.c, src/rtc/ds1216e.c,
	src/rtc/ds12c887.c, src/rtc/ds1307.c, src/rtc/ds1602.c,
	src/rtc/pcf8583.c, src/rtc/rtc-58321a.c, src/rtc/rtc-72421.c,
	src/rtc/rtc.h: Fixed rtc snapshot code for 64/32bit time_t.

2016-04-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Fixed ac_defines

2016-04-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Added check for time_t and its size.

2016-04-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/sounddrv/soundsun.c: Fixed usleep replacement.

2016-04-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Check for usleep

2016-04-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt: Did a 'make update-po'.

2016-04-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* ChangeLog, ChangeLog.1, ChangeLog.2, ChangeLog.3,
	data/PRINTER/1520.vpl, data/PRINTER/nl10.vpl, data/SCPU64/Makefile.am,
	data/SCPU64/amiga_pos.vkm, data/SCPU64/amiga_sym.vkm,
	data/SCPU64/beos_pos.vkm, data/SCPU64/beos_sym.vkm,
	data/SCPU64/c64hq.vpl, data/SCPU64/c64s.vpl, data/SCPU64/ccs64.vpl,
	data/SCPU64/default.vpl, data/SCPU64/default.vrs,
	data/SCPU64/dos_pos.vkm, data/SCPU64/dos_sym.vkm,
	data/SCPU64/frodo.vpl, data/SCPU64/godot.vpl, data/SCPU64/os2.vkm,
	data/SCPU64/os2_sym.vkm, data/SCPU64/osx_pos.vkm,
	data/SCPU64/osx_sym.vkm, data/SCPU64/osx_sym_de.vkm,
	data/SCPU64/pc64.vpl, data/SCPU64/pepto-ntsc-sony.vpl,
	data/SCPU64/pepto-ntsc.vpl, data/SCPU64/rgb.vpl,
	data/SCPU64/scpu64mem.sym, data/SCPU64/sdl_pos.vkm,
	data/SCPU64/sdl_pos_da.vkm, data/SCPU64/sdl_pos_de.vkm,
	data/SCPU64/sdl_pos_fi.vkm, data/SCPU64/sdl_pos_no.vkm,
	data/SCPU64/sdl_sym.vkm, data/SCPU64/vice.vpl,
	data/SCPU64/win_hotkeys.vhk, data/SCPU64/win_pos.vkm,
	data/SCPU64/win_shortcuts.vsc, data/SCPU64/win_sym.vkm,
	data/SCPU64/win_sym_de.vkm, data/SCPU64/win_sym_it.vkm,
	data/SCPU64/x11_pos.vkm, data/SCPU64/x11_pos_de.vkm,
	data/SCPU64/x11_sym.vkm, data/SCPU64/x11_sym_de.vkm,
	data/VIC20/mike-ntsc.vpl, data/VIC20/mike-pal.vpl,
	data/VIC20/osx_pos.vkm, data/VIC20/osx_sym.vkm, doc/.indent.pro,
	doc/coding-guidelines.txt, doc/html/checklinks.sh,
	doc/html/robots.txt, doc/html/sitemap.xml, doc/html/vice.css,
	po/ChangeLog, po/ChangeLog.1, po/da.po, po/de.po, po/es.po, po/fr.po,
	po/hu.po, po/it.po, po/ko.po, po/nl.po, po/pl.po, po/po2tbl.sed,
	po/ru.po, po/sv.po, po/tr.po, po/translations-status.txt,
	src/ChangeLog, src/ChangeLog.1, src/ChangeLog.2, src/ChangeLog.3,
	src/ChangeLog.4, src/ChangeLog.5, src/ChangeLog.6,
	src/arch/sdl/menu_jam.c, src/arch/sdl/menu_jam.h,
	src/arch/unix/gui/uisupersnapshot.c,
	src/arch/unix/gui/uisupersnapshot.h, src/arch/unix/gui/uiuserport.c,
	src/arch/unix/gui/uiuserport.h,
	src/arch/unix/macosx/Resources/English.lproj/DisassemblyWindow.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/DriveSettings.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/FilePanelImageContents.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/IECDriveSettings.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/IOTree.plist,
	src/arch/unix/macosx/Resources/English.lproj/IOTreeWindow.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/JoystickSettings.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/KeyboardSettings.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/MemoryWindow.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/NetplayControl.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/PrinterSettings.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/RecordHistory.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/RecordMedia.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/RegisterWindow.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/ResourceEditor.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/ResourceTree.plist,
	src/arch/unix/macosx/Resources/English.lproj/SIDSettings.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/SoundSettings.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/VICEInformation.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/VideoSettings.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/x128.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/x64.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/x64dtv.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/x64sc.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/xcbm2.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/xcbm5x0.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/xpet.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/xplus4.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/xvic.nib/designable.nib,
	src/arch/unix/macosx/VICE.xcodeproj/project.pbxproj,
	src/arch/unix/macosx/todo.txt, src/arch/unix/ui-threads.c,
	src/arch/unix/ui-threads.h, src/arch/unix/x11/gnome/dragdrop.c,
	src/arch/unix/x11/gnome/dragdrop.h,
	src/arch/unix/x11/gnome/gnomekbd.h,
	src/arch/unix/x11/gnome/gtk2legacy.c,
	src/arch/unix/x11/gnome/gtk2legacy.h,
	src/arch/unix/x11/gnome/uicontents.c,
	src/arch/unix/x11/gnome/uicontents.h,
	src/arch/unix/x11/gnome/uidialogs.c,
	src/arch/unix/x11/gnome/uidrivestatus.c,
	src/arch/unix/x11/gnome/uidrivestatus.h,
	src/arch/unix/x11/gnome/uifilechooser.c,
	src/arch/unix/x11/gnome/uifilechooser.h,
	src/arch/unix/x11/gnome/uijoystatus.c,
	src/arch/unix/x11/gnome/uijoystatus.h,
	src/arch/unix/x11/gnome/uipalcontrol.h,
	src/arch/unix/x11/gnome/uistatusbar.c,
	src/arch/unix/x11/gnome/uistatusbar.h,
	src/arch/unix/x11/gnome/uitapestatus.c,
	src/arch/unix/x11/gnome/x11mouse.c,
	src/arch/unix/x11/gnome/x11mouse.h,
	src/arch/win32/vs_tmpl/joyport.tmpl, src/c64/cart/rgcd.c,
	src/c64/cart/rgcd.h, src/c64/cart/rrnetmk3.c, src/c64/cart/rrnetmk3.h,
	src/c64/musdrv.h, src/c64dtv/c64dtvmodel.c, src/c64dtv/c64dtvmodel.h,
	src/cbm2/cbm2cart.c, src/diskimage/fsimage-p64.c,
	src/diskimage/fsimage-p64.h, src/drive/iec/c64exp/supercard.c,
	src/drive/iec/c64exp/supercard.h, src/gfxoutputdrv/godotdrv.c,
	src/gfxoutputdrv/godotdrv.h, src/joyport/Makefile.am,
	src/lib/ffmpeg/Makefile.am, src/lib/libffmpeg/libavcodec/x86/Makefile,
	src/lib/libffmpeg/libavdevice/Makefile,
	src/lib/libffmpeg/libavfilter/Makefile,
	src/lib/libffmpeg/libavformat/Makefile,
	src/lib/libffmpeg/libavutil/Makefile,
	src/lib/libffmpeg/libavutil/x86/Makefile,
	src/lib/libffmpeg/libswresample/Makefile,
	src/lib/libffmpeg/libswscale/Makefile,
	src/lib/libffmpeg/libswscale/x86/Makefile,
	src/lib/libffmpeg/tools/bisect-create,
	src/lib/libffmpeg/tools/build_libstagefright,
	src/lib/libffmpeg/tools/clean-diff,
	src/lib/libffmpeg/tools/dvd2concat, src/lib/libffmpeg/tools/gen-rc,
	src/lib/libffmpeg/tools/make_chlayout_test,
	src/lib/libffmpeg/tools/missing_codec_desc,
	src/lib/libffmpeg/tools/normalize.py,
	src/lib/libffmpeg/tools/patcheck, src/lib/libffmpeg/tools/plotframes,
	src/lib/libffmpeg/tools/unwrap-diff,
	src/lib/libffmpeg/tools/zmqshell.py, src/lib/libffmpeg/version.sh,
	src/lib/liblame/ACM/tinyxml/makedistlinux,
	src/lib/liblame/ACM/tinyxml/makedistwin.bat,
	src/lib/liblame/ChangeLog, src/lib/liblame/README,
	src/lib/liblame/config.guess, src/lib/liblame/config.rpath,
	src/lib/liblame/config.sub, src/lib/liblame/configure,
	src/lib/liblame/configure.in, src/lib/liblame/debian/changelog,
	src/lib/liblame/depcomp, src/lib/liblame/frontend/depcomp,
	src/lib/liblame/install-sh, src/lib/liblame/lame.bat,
	src/lib/liblame/libmp3lame/depcomp, src/lib/liblame/ltmain.sh,
	src/lib/liblame/misc/Lame.vbs, src/lib/liblame/misc/auenc,
	src/lib/liblame/misc/depcomp, src/lib/liblame/misc/lame4dos.bat,
	src/lib/liblame/misc/lameid3.pl, src/lib/liblame/misc/mk_mp3.sh,
	src/lib/liblame/misc/mlame, src/lib/liblame/misc/mugeco.sh,
	src/lib/liblame/missing, src/lib/liblame/mpglib/depcomp,
	src/lib/liblame/vc_solution/arch_nasm.vsprops,
	src/lib/liblame/vc_solution/arch_sse2.vsprops,
	src/lib/liblame/vc_solution/arch_x87.vsprops,
	src/lib/liblame/vc_solution/vc9_lame.sln,
	src/lib/liblame/vc_solution/vc9_lame_acm.vcproj,
	src/lib/liblame/vc_solution/vc9_lame_acm_adbg.vcproj,
	src/lib/liblame/vc_solution/vc9_lame_acm_tinyxml.vcproj,
	src/lib/liblame/vc_solution/vc9_lame_clients.sln,
	src/lib/liblame/vc_solution/vc9_lame_config.vsprops,
	src/lib/liblame/vc_solution/vc9_lame_dll.vcproj,
	src/lib/liblame/vc_solution/vc9_lame_dll_example.vcproj,
	src/lib/liblame/vc_solution/vc9_lame_dshow.vcproj,
	src/lib/liblame/vc_solution/vc9_lame_lame.vcproj,
	src/lib/liblame/vc_solution/vc9_lame_mp3rtp.vcproj,
	src/lib/liblame/vc_solution/vc9_lame_mp3x.vcproj,
	src/lib/liblame/vc_solution/vc9_lame_test.vcproj,
	src/lib/liblame/vc_solution/vc9_libmp3lame.vcproj,
	src/lib/liblame/vc_solution/vc9_libmp3lame_dll.vcproj,
	src/lib/liblame/vc_solution/vc9_mpglib.vcproj,
	src/lib/libx264/config.guess, src/lib/libx264/config.sub,
	src/lib/libx264/configure, src/lib/libx264/extras/gas-preprocessor.pl,
	src/lib/libx264/tools/cltostr.sh,
	src/lib/libx264/tools/countquant_x264.pl,
	src/lib/libx264/tools/digress/__init__.py,
	src/lib/libx264/tools/digress/cli.py,
	src/lib/libx264/tools/digress/comparers.py,
	src/lib/libx264/tools/digress/constants.py,
	src/lib/libx264/tools/digress/errors.py,
	src/lib/libx264/tools/digress/scm/__init__.py,
	src/lib/libx264/tools/digress/scm/dummy.py,
	src/lib/libx264/tools/digress/scm/git.py,
	src/lib/libx264/tools/digress/testing.py,
	src/lib/libx264/tools/msvsdepend.sh,
	src/lib/libx264/tools/test_x264.py, src/lib/libx264/version.sh,
	src/lib/p64/Makefile.am, src/lib/p64/p64.c, src/lib/p64/p64.h,
	src/lib/p64/p64config.h, src/mididrv.h, src/monitor/asm65816.c,
	src/monitor/mon_assemble65816.c, src/monitor/mon_register.c,
	src/palette2c.sh, src/pet/petdww.c, src/pet/petdww.h,
	src/pet/pethre.h, src/plus4/plus4speech.c, src/plus4/plus4speech.h,
	src/printerdrv/drv-1520.c, src/printerdrv/drv-1520.h,
	src/printerdrv/drv-raw.c, src/printerdrv/drv-raw.h,
	src/resid/ChangeLog, src/resid/configure.in, src/resid/samp2src.pl,
	src/resid-dtv/ChangeLog, src/resid-dtv/configure.in,
	src/rtc/bq4830y.h, src/rtc/ds1202_1302.h, src/rtc/ds1216e.h,
	src/rtc/ds12c887.h, src/rtc/ds1307.h, src/rtc/ds1602.h,
	src/rtc/pcf8583.h, src/rtc/rtc-58321a.h, src/rtc/rtc-72421.h,
	src/rtc/rtc.h, src/sedinfocontrib_h.sh,
	src/tapeport/dtl-basic-dongle.c, src/tapeport/dtl-basic-dongle.h,
	src/vic20/cart/ultimem.c, src/vic20/cart/ultimem.h,
	src/vic20/cart/vic-fp.c, src/vic20/cart/vic-fp.h,
	src/vic20/vic20model.c, src/vic20/vic20model.h, src/vicefeatures.c,
	src/vicefeatures.h, src/video/render1x1crt.c,
	src/video/render1x1crt.h, src/video/render2x2crt.c,
	src/video/render2x2crt.h, src/video/render2x4.c,
	src/video/render2x4.h, src/video/render2x4crt.c,
	src/video/render2x4crt.h, src/video/video-sound.c,
	src/video/video-sound.h, src/wrap-u-ar.sh, tixbuildinfo,
	vice-gtk.spec.in, vice.spec.in: Finished the svn properties fixup run.

2016-04-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* data/C128/pepto-ntsc-sony.vpl, data/C128/pepto-ntsc.vpl,
	data/C128/rgb.vpl, data/C64/osx_sym.vkm, data/C64/pepto-ntsc-sony.vpl,
	data/C64/pepto-ntsc.vpl, data/C64/rgb.vpl, data/C64/sdl_keyrah.vkm,
	data/C64/sdl_keyrah_de.vkm, data/C64/sdl_sym.vkm,
	data/C64/win_pos_de.vkm, data/C64/x11_keyrah.vkm,
	data/C64/x11_keyrah_de.vkm, data/C64DTV/sdl_sym.vkm,
	data/C64DTV/spiff.vpl, data/CBM-II/osx_pos_uk.vkm,
	data/CBM-II/osx_sym_uk.vkm, data/CBM-II/pepto-ntsc-sony.vpl,
	data/CBM-II/pepto-ntsc.vpl, data/CBM-II/rgb.vpl,
	data/PET/osx_grus_sym.vkm, data/PET/osx_sym_uk.vkm,
	data/PET/romsuperpet.vrs, data/PET/sdl_sym.vkm, data/PET/win_sym.vkm,
	data/PET/x11_sym.vkm, data/PLUS4/osx_pos.vkm, data/PLUS4/osx_sym.vkm,
	src/lib/libffmpeg/doc/texi2pod.pl, src/lib/libffmpeg/doc/texidep.pl,
	src/lib/libffmpeg/libavcodec/Makefile: Some more svn property updates.

2016-04-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/xaw/x11video.c: Slight order change.

2016-04-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/fonts/Makefile.am, src/arch/os2/fonts/bdf2fnt.icc,
	src/arch/os2/fonts/chargen2fnt.icc,
	src/arch/os2/fonts/mps2chargen.icc: Removed some unneeded vac++
	project files.

2016-04-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/Documentation-Howto.txt: Updated.

2016-04-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/rtc/bq4830y.c, src/rtc/bq4830y.h, src/rtc/ds1202_1302.c,
	src/rtc/ds1202_1302.h, src/rtc/ds1216e.c, src/rtc/ds1216e.h,
	src/rtc/ds12c887.c, src/rtc/ds12c887.h, src/rtc/ds1307.c,
	src/rtc/ds1307.h, src/rtc/ds1602.c, src/rtc/ds1602.h,
	src/rtc/pcf8583.c, src/rtc/pcf8583.h, src/rtc/rtc-58321a.c,
	src/rtc/rtc-58321a.h, src/rtc/rtc-72421.c, src/rtc/rtc-72421.h: Added
	dump support to all the rtc's, not being used yet.

2016-04-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/ide64.c: Some more cosmetic fixes.

2016-04-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/c64acia1.c: Cosmetic fix.

2016-04-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uimediafile.c: Fixed.

2016-04-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/geninfocontrib_h.sh, src/gensvnversion.sh,
	src/gentranslate_h.sh, src/gentranslate_h.sh.in,
	src/gentranslatetable.sh, src/joyport/bbrtc.c, src/joyport/bbrtc.h,
	src/joyport/lightpen.c, src/joyport/lightpen.h,
	src/joyport/paperclip64.c, src/joyport/paperclip64.h,
	src/joyport/sampler2bit.c, src/joyport/sampler2bit.h,
	src/joyport/sampler4bit.c, src/joyport/sampler4bit.h,
	src/lib/ffmpeg/configure.gnu, src/lib/libffmpeg/compat/plan9/head,
	src/lib/libffmpeg/compat/plan9/printf,
	src/lib/libffmpeg/compat/windows/makedef, src/lib/libffmpeg/configure,
	src/lib/libffmpeg/doc/doxy-wrapper.sh: Some more svn property fixes.

2016-04-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* svn-instructions.txt, autogen.sh, build/amigaos/build-os4-native.sh,
	build/android/build-android.sh, build/android/build-android.sh.in,
	build/android/push-roms.sh, build/beos/intel-build-sdl.sh,
	build/beos/intel-build.sh, build/beos/ppc-build-sdl.sh,
	build/beos/ppc-build.sh, build/macosx/build-allext.sh,
	build/macosx/build-ffmpeglame.sh, build/macosx/build-gtk.sh,
	build/macosx/build-hidutils.sh, build/macosx/build-inc.sh,
	build/macosx/build-pcaplibnet.sh, build/macosx/build-sdlmain.sh,
	build/macosx/build-vice-dist.sh, build/macosx/build-vice-release.sh,
	build/mingw32/build-cross.sh, build/minix3/build-package.sh,
	build/minix3/build-sdl-package.sh, build/nextstep/build.sh,
	build/openstep/build.sh, build/qnx4/build.sh, build/rhapsody/build.sh,
	build.minix, check-activity.sh, config.guess, config.rpath,
	config.sub, configure.proto, doc/checkdoc.mak, doc/fixdox.sh,
	doc/html/texi2html, doc/mkdoxy.sh, doc/src2doxy.sh, doc/t2h.pl,
	doc/texi2chm.sh, doc/texi2guide.sh, doc/txt2doxy.sh, gcccpu.sh,
	install-sh, mkinstalldirs, po/check_obsolete.sh,
	po/gen_win32_files.sh, src/arch/amigaos/genintl_h.sh,
	src/arch/amigaos/genintl_h.sh.in, src/arch/amigaos/genintltable.sh,
	src/arch/amigaos/make-bindist.sh, src/arch/beos/make-bindist.sh,
	src/arch/beos/ppc-ar.sh, src/arch/beos/ppc-cc.sh,
	src/arch/msdos/make-bindist.sh, src/arch/os2/fonts/vice-cbm.cmd,
	src/arch/os2/install.cmd, src/arch/os2/makeclean.cmd,
	src/arch/os2/makedist.cmd, src/arch/os2/watcom/genwt.bat,
	src/arch/os2/watcom/genwt.cmd, src/arch/os2/watcom/makebindist.bat,
	src/arch/os2/watcom/makebindist.cmd, src/arch/sdl/archdep.c,
	src/arch/sdl/archdep.h, src/arch/sdl/archdep_unix.c,
	src/arch/sdl/archdep_unix.h, src/arch/sdl/blockdev.c,
	src/arch/sdl/console.c,
	src/arch/sdl/generate_msvc10_ffmpeg_project.bat,
	src/arch/sdl/generate_msvc10_project.bat,
	src/arch/sdl/generate_msvc11_ffmpeg_project.bat,
	src/arch/sdl/generate_msvc11_project.bat,
	src/arch/sdl/generate_msvc12_ffmpeg_project.bat,
	src/arch/sdl/generate_msvc12_project.bat,
	src/arch/sdl/generate_msvc6_project.bat,
	src/arch/sdl/generate_msvc70_ffmpeg_project.bat,
	src/arch/sdl/generate_msvc70_project.bat,
	src/arch/sdl/generate_msvc71_ffmpeg_project.bat,
	src/arch/sdl/generate_msvc71_project.bat,
	src/arch/sdl/generate_msvc8_ffmpeg_project.bat,
	src/arch/sdl/generate_msvc8_project.bat,
	src/arch/sdl/generate_msvc9_ffmpeg_project.bat,
	src/arch/sdl/generate_msvc9_project.bat,
	src/arch/sdl/generate_msvcmips_project.bat, src/arch/sdl/joy.c,
	src/arch/sdl/joy.h, src/arch/sdl/kbd.c, src/arch/sdl/kbd.h,
	src/arch/sdl/make-bindist_amiga.sh, src/arch/sdl/make-bindist_beos.sh,
	src/arch/sdl/make-bindist_dingoo.sh,
	src/arch/sdl/make-bindist_dingoo_native.sh,
	src/arch/sdl/make-bindist_qnx6.sh,
	src/arch/sdl/make-bindist_scosol.sh,
	src/arch/sdl/make-bindist_skyos.sh,
	src/arch/sdl/make-bindist_syllable.sh,
	src/arch/sdl/make-bindist_win32.sh,
	src/arch/sdl/msvc-files/make-bindist-mips.bat.proto,
	src/arch/sdl/msvc-files/make-bindist.bat.proto,
	src/arch/sdl/msvc-files/vice.manifest,
	src/arch/sdl/msvc-files/winid_arm.bat,
	src/arch/sdl/msvc-files/winid_ia64.bat,
	src/arch/sdl/msvc-files/winid_x64.bat,
	src/arch/sdl/msvc-files/winid_x86.bat, src/arch/sdl/qnx4/install_msg,
	src/arch/sdl/qnx4/make-bindist.sh, src/arch/sdl/sdlmain.c,
	src/arch/sdl/signals.c, src/arch/sdl/socketimpl.h,
	src/arch/sdl/types.h, src/arch/sdl/ui.c, src/arch/sdl/ui.h,
	src/arch/sdl/uicmdline.c, src/arch/sdl/uimon.c,
	src/arch/sdl/uipause.c, src/arch/sdl/uistatusbar.c,
	src/arch/sdl/video.c, src/arch/sdl/videoarch.h, src/arch/sdl/vsidui.c,
	src/arch/sdl/vsyncarch.c, src/arch/sdl/win32-watcom/genwt.bat,
	src/arch/sdl/win32-watcom/make-watcom-bindist.bat,
	src/arch/sdl/x128_ui.c, src/arch/sdl/x64_ui.c,
	src/arch/sdl/x64dtv_ui.c, src/arch/sdl/x64sc_ui.c,
	src/arch/sdl/xcbm2_ui.c, src/arch/sdl/xpet_ui.c,
	src/arch/sdl/xplus4_ui.c, src/arch/sdl/xscpu64_ui.c,
	src/arch/sdl/xvic_ui.c, src/arch/unix/gui/uiautostart.c,
	src/arch/unix/gui/uiautostart.h, src/arch/unix/gui/uieasyflash.c,
	src/arch/unix/gui/uieasyflash.h, src/arch/unix/gui/uipetdww.c,
	src/arch/unix/hpux/getdate.pl, src/arch/unix/hpux/getnow.pl,
	src/arch/unix/hpux/make-bindist.sh,
	src/arch/unix/macosx/analyze-vicerc.pl,
	src/arch/unix/macosx/make-bindist.sh,
	src/arch/unix/macosx/vice-launcher.sh,
	src/arch/unix/macosx/x11-launcher.sh, src/arch/unix/minix/minix-ar.sh,
	src/arch/unix/next_open_rhap/make-bindist.sh,
	src/arch/unix/next_open_rhap/nextfix.sh,
	src/arch/unix/qnx4/install_msg, src/arch/unix/qnx4/make-bindist.sh,
	src/arch/unix/qnx6/make-bindist.sh,
	src/arch/unix/sco_sol/checkinstall,
	src/arch/unix/sco_sol/make-bindist.sh,
	src/arch/unix/skyos/make-bindist.sh,
	src/arch/unix/x11/xaw/checkmark.xbm,
	src/arch/unix/x11/xaw/right_arrow.xbm,
	src/arch/win32/generate_msvc10_ffmpeg_project.bat,
	src/arch/win32/generate_msvc10_project.bat,
	src/arch/win32/generate_msvc11_ffmpeg_project.bat,
	src/arch/win32/generate_msvc11_project.bat,
	src/arch/win32/generate_msvc12_ffmpeg_project.bat,
	src/arch/win32/generate_msvc12_project.bat,
	src/arch/win32/generate_msvc14_ffmpeg_project.bat,
	src/arch/win32/generate_msvc14_project.bat,
	src/arch/win32/generate_msvc6_project.bat,
	src/arch/win32/generate_msvc70_ffmpeg_project.bat,
	src/arch/win32/generate_msvc70_project.bat,
	src/arch/win32/generate_msvc71_ffmpeg_project.bat,
	src/arch/win32/generate_msvc71_project.bat,
	src/arch/win32/generate_msvc8_ffmpeg_project.bat,
	src/arch/win32/generate_msvc8_project.bat,
	src/arch/win32/generate_msvc9_ffmpeg_project.bat,
	src/arch/win32/generate_msvc9_project.bat,
	src/arch/win32/genmenuid.sh, src/arch/win32/genstringid.sh,
	src/arch/win32/genwinres.sh, src/arch/win32/lightpendrv.c,
	src/arch/win32/lightpendrv.h, src/arch/win32/make-bindist.sh,
	src/arch/win32/msvc/make-msvc-bindist-native.bat.proto,
	src/arch/win32/msvc/winid_arm.bat, src/arch/win32/msvc/winid_ia64.bat,
	src/arch/win32/msvc/winid_x64.bat, src/arch/win32/msvc/winid_x86.bat,
	src/arch/win32/rs232dev.c, src/arch/win32/vice-version.bat,
	src/arch/win32/vice-version.bat.in, src/arch/win32/vice.manifest,
	src/arch/win32/vs_tmpl/avcodec-x86.tmpl,
	src/arch/win32/vs_tmpl/avcodec.tmpl,
	src/arch/win32/vs_tmpl/avfilter.tmpl,
	src/arch/win32/vs_tmpl/avformat.tmpl,
	src/arch/win32/vs_tmpl/avutil-x86.tmpl,
	src/arch/win32/vs_tmpl/avutil.tmpl,
	src/arch/win32/vs_tmpl/compat.tmpl, src/arch/win32/vs_tmpl/mkmsvc.dsp,
	src/arch/win32/vs_tmpl/mkmsvc.dsw, src/arch/win32/vs_tmpl/mkmsvc.exe,
	src/arch/win32/vs_tmpl/postproc.tmpl,
	src/arch/win32/vs_tmpl/swresample-x86.tmpl,
	src/arch/win32/vs_tmpl/swresample.tmpl,
	src/arch/win32/vs_tmpl/swscale-x86.tmpl,
	src/arch/win32/vs_tmpl/swscale.tmpl,
	src/arch/win32/vs_tmpl/x264common.tmpl,
	src/arch/win32/vs_tmpl/x264encoder.tmpl,
	src/arch/win32/vs_tmpl/x264filter.tmpl,
	src/arch/win32/vs_tmpl/x264input.tmpl,
	src/arch/win32/vs_tmpl/x264output.tmpl,
	src/arch/win32/watcom/genwt.bat,
	src/arch/win32/watcom/make-watcom-bindist.bat, src/c64/cart/exos.h,
	src/c64/cart/rexutility.c, src/c64/cart/rexutility.h,
	src/convert_owcc_libs.sh, src/core/ata.c, src/findhacks.sh: Some svn
	property fixes.

2016-04-10  groepaz <groepaz@gmx.net>

	* src/plus4/plus4memhannes256k.c: make dump actually work :)

2016-04-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* Makefile.am, src/arch/sdl/make-bindist_scosol.sh: Fixed for solaris.

2016-04-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Fixed order.

2016-04-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/unix/x11/xaw/console.c: Fixed.

2016-04-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Changed to use config.rpath to get the runtime link
	path command line.

2016-04-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* config.rpath: Changed config.rpath to take parameters and to return
	the proper runtime path command line.

2016-04-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* Makefile.am, config.rpath: Added config.rpath script for properly
	adding runtime linking paths, not in use yet.

2016-04-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/sco_sol/checkinstall: Fixed.

2016-04-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/plus4/plus4memhannes256k.c: Added dump support to the plus4
	hannes memory expansion.

2016-04-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/vic20/cart/vic20-ieee488.c, src/vic20/vic20ieeevia.h,
	src/vic20/vic20ieeevia1.c, src/vic20/vic20ieeevia2.c: Added dump
	support to the vic20 ieee488 cart emulation.

2016-04-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/plus4/plus4speech.c, src/plus4/plus4speech.h: Added dump support
	to the v364 speech system.

2016-04-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/plus4/plus4memcsory256k.c: Added dump support to the plus4 csory
	memory expansion.

2016-04-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/plus4/plus4mem.c: Added dump support to the plus4 memory
	configuration system.

2016-04-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/petreu.c: Added dump support for the pet reu device.

2016-04-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/petdww.c: Added dump support for the pet dww device.

2016-04-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/cbm2/cbm2mem.c, src/cbm2/cbm5x0mem.c: Added dump support for tpi
	emulation in xcbm2 and xcbm5x0.

2016-04-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/cbm2/cbm2mem.c, src/cbm2/cbm5x0mem.c: Added dump support for cia
	emulation in xcbm2 and xcbm5x0.

2016-04-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/cbm2/debugcart.c, src/pet/debugcart.c, src/plus4/debugcart.c,
	src/plus4/digiblaster.c, src/vic20/cart/debugcart.c,
	src/vic20/cart/ioramcart.c: Fixed some 'dump' comments.

2016-04-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128.c, src/c64/c64.c, src/c64/c64sound.c,
	src/cbm2/cbm2mem.c, src/cbm2/cbm5x0mem.c, src/pet/pet-sidcart.c,
	src/plus4/plus4-sidcart.c, src/sid/sid.c, src/sid/sid.h, src/sound.c,
	src/sound.h, src/vic20/cart/vic20-sidcart.c: Added dump support to the
	sid devices, only fastsid returns a valid dump, resid dump info still
	needs to be added.

2016-04-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/westermann.c: Added dump support for the westermann
	cart emulation.

2016-04-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/warpspeed.c: Added dump support for the warpspeed cart
	emulation.

2016-04-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/superexplode5.c: Added dump support for the super
	explode 5 cart emulation.

2016-04-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/stb.c: Added dump support for the structured basic cart
	emulation.

2016-04-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/stardos.c: Added dump support for the stardos cart
	emulation.

2016-04-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/simonsbasic.c: Added dump support for the simons basic
	cart emulation.

2016-04-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/rexutility.c: Added dump support for the rex utility
	cart emulation.

2016-04-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/sounddrv/soundsun.c: Added usleep replacement function to the
	sun audio driver for when the current platform doesn't have usleep.

2016-04-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/mach5.c: Added dump support for the mach5 cart
	emulation.

2016-04-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/freezeframe.c: Added dump support for the freeze frame
	cart emulation.

2016-04-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/finalplus.c: Added dump support for the final plus cart
	emulation.

2016-04-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Solaris fix.

2016-04-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/final.c: Added dump support for the final cart
	emulation.

2016-04-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/epyxfastload.c: Added dump support for the epyx fast
	load cart emulation.

2016-04-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/diashowmaker.c: Added dump support for the diashowmaker
	cart emulation.

2016-04-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/atomicpower.c: Added dump support for the atomic power
	cart emulation.

2016-04-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/printerdrv/output-text.c: Comment fix.

2016-04-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/actionreplay4.c: Added dump support for the action
	replay 4 cart emulation.

2016-04-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/ide64.c, src/rtc/ds1202_1302.c, src/rtc/ds1202_1302.h:
	Added dump support for the ds1202/1302 to the ide64 cart emulation.

2016-04-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/digimax.c, src/c64/cart/epyxfastload.c,
	src/c64/cart/expert.c, src/c64/cart/final.c, src/c64/cart/formel64.c,
	src/c64/cart/freezeframe.c, src/c64/cart/freezemachine.c,
	src/c64/cart/gamekiller.c, src/c64/cart/kcs.c, src/c64/cart/mach5.c,
	src/c64/cart/magicformel.c, src/c64/cart/mikroass.c,
	src/c64/cart/rexutility.c, src/c64/cart/sfx_soundsampler.c,
	src/c64/cart/shortbus_digimax.c, src/c64/cart/stardos.c,
	src/c64/cart/stb.c, src/c64/cart/superexplode5.c,
	src/c64/cart/supersnapshot4.c, src/c64/cart/warpspeed.c: Dump comments
	updates.

2016-04-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/easycalc.c: Added dump support to the easycalc cart
	emulation.

2016-04-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/ds12c887rtc.c, src/rtc/ds12c887.c, src/rtc/ds12c887.h:
	Added dump support to the ds12c887 rtc cart emulation.

2016-04-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/debugcart.h, src/c64/vsid-debugcart.c,
	src/c64/vsid-debugcart.h, src/c64dtv/debugcart.c,
	src/c64dtv/debugcart.h, src/cbm2/debugcart.c, src/cbm2/debugcart.h,
	src/pet/debugcart.c, src/pet/debugcart.h, src/plus4/debugcart.c,
	src/plus4/debugcart.h, src/vic20/cart/debugcart.c,
	src/vic20/cart/debugcart.h: Did some svn property fixes.

2016-04-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/debugcart.c: Added dump comment.

2016-04-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/cpmcart.c: Added dump support to the c64 cpm cart
	emulation.

2016-04-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vsidui.c: Made 'features' menu item work for windows
	vsid (fixes bug #734).

2016-04-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/POTFILES.in, src/arch/win32/Makefile.am, src/arch/win32/c128ui.c,
	src/arch/win32/c64ui.c, src/arch/win32/cbm2ui.c,
	src/arch/win32/cbm5x0ui.c, src/arch/win32/petui.c,
	src/arch/win32/plus4ui.c, src/arch/win32/res.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/rescbm2.rc, src/arch/win32/rescbm5x0.rc,
	src/arch/win32/resdialogs.txt, src/arch/win32/resiocollisions.rc,
	src/arch/win32/resmenu.txt, src/arch/win32/respet.rc,
	src/arch/win32/resplus4.rc, src/arch/win32/resscpu64.rc,
	src/arch/win32/resstrings.txt, src/arch/win32/resvic20.rc,
	src/arch/win32/scpu64ui.c, src/arch/win32/uiiocollisions.c,
	src/arch/win32/uiiocollisions.h, src/arch/win32/vic20ui.c,
	src/arch/win32/vs_tmpl/arch_native.tmpl,
	src/arch/win32/vs_tmpl/x128.tmpl, src/arch/win32/vs_tmpl/x64.tmpl,
	src/arch/win32/vs_tmpl/x64sc.tmpl, src/arch/win32/vs_tmpl/xcbm2.tmpl,
	src/arch/win32/vs_tmpl/xcbm5x0.tmpl, src/arch/win32/vs_tmpl/xpet.tmpl,
	src/arch/win32/vs_tmpl/xplus4.tmpl,
	src/arch/win32/vs_tmpl/xscpu64.tmpl, src/arch/win32/vs_tmpl/xvic.tmpl,
	src/arch/win32/watcom/arch.tgt, src/arch/win32/watcom/cartconv.tgt,
	src/arch/win32/watcom/vice.wpj: Added I/O collision settings to the
	windows gui.

2016-04-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/c128ui.c,
	src/arch/msdos/c64ui.c, src/arch/msdos/cbm2ui.c,
	src/arch/msdos/cbm5x0ui.c, src/arch/msdos/petui.c,
	src/arch/msdos/plus4ui.c, src/arch/msdos/scpu64ui.c,
	src/arch/msdos/uiiocollisions.c, src/arch/msdos/uiiocollisions.h,
	src/arch/msdos/vic20ui.c: Added I/O collision settings to the dos tui.

2016-04-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/c64ui.cc,
	src/arch/beos/cbm2ui.cc, src/arch/beos/cbm5x0ui.cc,
	src/arch/beos/constants.txt, src/arch/beos/petui.cc,
	src/arch/beos/plus4ui.cc, src/arch/beos/scpu64ui.cc,
	src/arch/beos/vic20ui.cc, src/arch/beos/vicemenu.cc: Added I/O
	collision settings to the beos gui.

2016-04-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c128ui.c, src/arch/amigaos/c128uires.h,
	src/arch/amigaos/c64ui.c, src/arch/amigaos/c64uires.h,
	src/arch/amigaos/cbm2ui.c, src/arch/amigaos/cbm2uires.h,
	src/arch/amigaos/cbm5x0ui.c, src/arch/amigaos/cbm5x0uires.h,
	src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/Makefile.am,
	src/arch/amigaos/mui/uiiocollisions.c,
	src/arch/amigaos/mui/uiiocollisions.h, src/arch/amigaos/petui.c,
	src/arch/amigaos/petuires.h, src/arch/amigaos/plus4ui.c,
	src/arch/amigaos/plus4uires.h, src/arch/amigaos/scpu64ui.c,
	src/arch/amigaos/scpu64uires.h, src/arch/amigaos/uires.h,
	src/arch/amigaos/vic20ui.c, src/arch/amigaos/vic20uires.h: Added I/O
	collision settings to the amiga gui.

2016-04-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c64cart.c, src/arch/sdl/menu_cbm2cart.c,
	src/arch/sdl/menu_petcart.c, src/arch/sdl/menu_plus4cart.c,
	src/arch/sdl/menu_vic20cart.c: Extended the sdl i/o collisions menu
	items to the other emulators that have an i/o system.

2016-04-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64scui.c,
	src/arch/unix/gui/c64ui.c, src/arch/unix/gui/cbm2ui.c,
	src/arch/unix/gui/petui.c, src/arch/unix/gui/plus4ui.c,
	src/arch/unix/gui/scpu64ui.c, src/arch/unix/gui/vic20ui.c: Extended
	the unix i/o collisions menu items to the other emulators that have an
	i/o system.

2016-04-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/vic20/vic20io.c: Cosmetic fix.

2016-04-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_dos_runtime_os.c: Removed debug messages.

2016-04-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_openbsd_runtime_os.c: Added OpenBSD 5.9
	comment.

2016-04-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_freebsd_runtime_os.c,
	src/platform/platform_freebsd_version.h: Support FreeBSD 10.3.

2016-04-05  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/uicartridge.c,
	src/arch/unix/x11/xaw/uiedisk.c, src/arch/unix/x11/xaw/uisnapshot.c:
	Simplify the use of ENABLE_TEXTFIELD a bit.

2016-04-05  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/uiscreenshot.c: Address ticket #624: add
	FFMPEG options in the screenshot dialog. For good measure, add the
	Doodle and Koala options too.

2016-04-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resmenu.txt, src/arch/win32/resstrings.txt,
	src/arch/win32/resvsid.rc, src/arch/win32/vsidui.c: Improved windows
	vsid gui a bit: added 'shortcut keys' help menu item which shows what
	keys are available, added menu items to control the sound volume, and
	added '+' and '-" shortcut keys to increase/decrease the sound volume.

2016-04-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/unix/x11/xaw/console.c, src/opencbm.h:
	Openserver 5 fixes.

2016-04-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/unix/x11/xaw/console.c: Openserver 6
	fixes.

2016-04-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Check for libiconv before checking the libintl
	stuff.

2016-04-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc, src/arch/win32/resdialogs.txt,
	src/arch/win32/resstrings.txt, src/arch/win32/uimediafile.c: Added
	doodle/koala settings items to the windows gui.

2016-04-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/menudefs.c, src/arch/msdos/uiscreenshot.c,
	src/arch/msdos/uiscreenshot.h: Added doodle/koala settings menu to the
	dos tui.

2016-04-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/c64dtvui.cc,
	src/arch/beos/c64ui.cc, src/arch/beos/cbm2ui.cc,
	src/arch/beos/cbm5x0ui.cc, src/arch/beos/petui.cc,
	src/arch/beos/plus4ui.cc, src/arch/beos/scpu64ui.cc,
	src/arch/beos/ui.cc, src/arch/beos/vic20ui.cc: Added missing includes.

2016-04-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/c64dtvui.cc,
	src/arch/beos/c64ui.cc, src/arch/beos/cbm2ui.cc,
	src/arch/beos/cbm5x0ui.cc, src/arch/beos/constants.txt,
	src/arch/beos/petui.cc, src/arch/beos/plus4ui.cc,
	src/arch/beos/scpu64ui.cc, src/arch/beos/ui.cc,
	src/arch/beos/vic20ui.cc, src/arch/beos/vicemenu.cc: Added
	doodle/koala settings menu to the beos gui.

2016-04-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c128uires.h, src/arch/amigaos/c64dtvuires.h,
	src/arch/amigaos/c64uires.h, src/arch/amigaos/cbm2uires.h,
	src/arch/amigaos/cbm5x0uires.h, src/arch/amigaos/intl.txt,
	src/arch/amigaos/intl_text.c, src/arch/amigaos/mui/Makefile.am,
	src/arch/amigaos/mui/uiscreenshot.c,
	src/arch/amigaos/mui/uiscreenshot.h, src/arch/amigaos/petuires.h,
	src/arch/amigaos/plus4uires.h, src/arch/amigaos/scpu64uires.h,
	src/arch/amigaos/ui.c, src/arch/amigaos/uires.h,
	src/arch/amigaos/vic20uires.h: Added doodle/koala settings menu to the
	amiga gui.

2016-04-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/screen-shot.c: Some #ifdef fixes.

2016-04-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/ui.c: Fixed.

2016-04-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_screenshot.c, src/arch/sdl/menu_screenshot.h,
	src/arch/sdl/x128_ui.c, src/arch/sdl/x64_ui.c,
	src/arch/sdl/x64dtv_ui.c, src/arch/sdl/x64sc_ui.c,
	src/arch/sdl/xcbm2_ui.c, src/arch/sdl/xpet_ui.c,
	src/arch/sdl/xplus4_ui.c, src/arch/sdl/xscpu64_ui.c,
	src/arch/sdl/xvic_ui.c: Added doodle/koala settings menu to the sdl
	gui.

2016-04-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc: Better TFE failure message.

2016-04-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Fixed for unixware.

2016-04-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/archdep.c: Define 'DEFFILEMODE' if not already
	defined.

2016-04-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/xaw/console.c: Better fix.

2016-04-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.txt, src/arch/beos/ui.cc, src/arch/beos/vicemenu.cc: Fixed.

2016-04-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/constants.txt, src/arch/beos/ui.cc,
	src/arch/beos/ui.h, src/arch/beos/vicemenu.cc,
	src/arch/beos/vsyncarch.c: Added proper single frame advance support
	to the beos port.

2016-04-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c128uires.h, src/arch/amigaos/c64dtvuires.h,
	src/arch/amigaos/c64uires.h, src/arch/amigaos/cbm2uires.h,
	src/arch/amigaos/cbm5x0uires.h, src/arch/amigaos/intl.txt,
	src/arch/amigaos/intl_text.c, src/arch/amigaos/petuires.h,
	src/arch/amigaos/plus4uires.h, src/arch/amigaos/scpu64uires.h,
	src/arch/amigaos/ui.c, src/arch/amigaos/ui.h,
	src/arch/amigaos/uires.h, src/arch/amigaos/vic20uires.h,
	src/arch/amigaos/vsyncapi.c: Added proper single frame advance support
	to the amiga port(s).

2016-03-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_minix_runtime_os.c: Final minix fix.

2016-03-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/xaw/console.c: Another minix fix.

2016-03-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/opencbm.h: Minix fix.

2016-03-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/c128ui.c, src/arch/win32/c64dtvui.c,
	src/arch/win32/c64ui.c, src/arch/win32/cbm2ui.c,
	src/arch/win32/cbm5x0ui.c, src/arch/win32/petui.c,
	src/arch/win32/plus4ui.c, src/arch/win32/res.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/resc64dtv.rc, src/arch/win32/rescbm2.rc,
	src/arch/win32/rescbm5x0.rc, src/arch/win32/respet.rc,
	src/arch/win32/resplus4.rc, src/arch/win32/resscpu64.rc,
	src/arch/win32/resstrings.txt, src/arch/win32/resvic20.rc,
	src/arch/win32/scpu64ui.c, src/arch/win32/ui.c, src/arch/win32/ui.h,
	src/arch/win32/vic20ui.c, src/arch/win32/vsidui.c,
	src/arch/win32/vsyncarch.c: Added proper single frame advance support
	to the windows port.

2016-03-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/utils/geninfocontrib.c, src/geninfocontrib_h.sh: Some
	cartconv.1 (man page) generation fixes.

2016-03-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Some updates.

2016-03-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_openbsd_version.h: Added OpenBSD 5.9 support.

2016-03-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* man/Makefile.am, man/c1541.1, man/cartconv.1, man/vice.1: Added a
	cartconv man page.

2016-03-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/msvc/ide-config.h: Fix for IA64.

2016-03-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.texi: Added missing cart items to the cartconv
	documentation section.

2016-03-29  groepaz <groepaz@gmx.net>

	* src/resources.c, src/resources.h, src/romset.c: improve behaviour on
	loading config/resource files that contain errors, when invalid values
	are being assigned other resources are now still loaded correctly and
	not everything reverted to default and it will only error out on
	actually fatal problems. should fix bug #694

2016-03-29  groepaz <groepaz@gmx.net>

	* src/vic20/cart/ultimem.c: accept 16meg ROMs for ultimem aswell,
	should fix bug #729

2016-03-29  groepaz <groepaz@gmx.net>

	* src/c64/cart/freezemachine.c: some cosmetics

2016-03-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/make-bindist.sh: Added support for haiku64 to the beos
	make bindist script.

2016-03-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: ppc beos fix.

2016-03-28  groepaz <groepaz@gmx.net>

	* src/samplerdrv/file_drv.c: fix warning

2016-03-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/Makefile.am, src/wrap-u-ar.sh: Added ar wrapper
	for 'u' option complaining ar's.

2016-03-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Some fixes.

2016-03-27  groepaz <groepaz@gmx.net>

	* src/c64/cart/freezemachine.c: fix loading of 16kb ROMs for freeze
	frame, fixes bug #730

2016-03-27  Kajtar Zsolt <soci@c64.rulez.org>

	* data/SCPU64/scpu64: Some serial routine and restore fixes

2016-03-25  Marcus Sutton <loggedoubt@gmail.com>

	* src/palette.c: Avoid using a null pointer.

2016-03-25  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/ui_video.cc: Changed the BeVICE Video settings dialog
	to use the new palette list code.

2016-03-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl_text.c: Added missing #endif.

2016-03-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Check for flac after ogg/vorbis, in case flac needs
	ogg.

2016-03-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Slight fix.

2016-03-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Some fixes.

2016-03-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Some amiga fixes.

2016-03-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/vicemenu.cc: Somehow the tape port menu got erased in
	a previous commit, re-adding it.

2016-03-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/vicemenu.cc: Fixed position.

2016-03-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/Makefile.am, src/arch/beos/constants.txt,
	src/arch/beos/ui.cc, src/arch/beos/ui_file.cc,
	src/arch/beos/ui_file.h, src/arch/beos/vicemenu.cc: Added sampler
	settings menu to the beos gui.

2016-03-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/constants.txt, src/arch/beos/ui.cc,
	src/arch/beos/vicemenu.cc: Added bbrtc save element to the beos gui.

2016-03-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Finished configure summary.

2016-03-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/vicefeatures.c: Added more ffmpeg elements.

2016-03-23  groepaz <groepaz@gmx.net>

	* src/monitor/mon_file.c: fix conditions for when the monitor would
	setup the kernal end-of-basic pointers after load

2016-03-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Updated with screen/ui options from all platforms.

2016-03-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/vicefeatures.c: Removed dos allegro 'feature' since it's
	mandatory for the dos port (not a feature).

2016-03-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Added enable/disable option comments to the
	configure summary output.

2016-03-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Added unix screen/ui section.

2016-03-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/vicefeatures.c: More fixes.

2016-03-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Started on 'configure summary'.

2016-03-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/vsidui.c: Fixed typo.

2016-03-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uisid.c: Prevent buffer overflow.

2016-03-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/vicefeatures.c: Some fixes.

2016-03-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/vicefeatures.c: Cosmetic fix.

2016-03-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/vsidui.c: Applied patch by Moiree: When then number of
	digits descreases the previous digits are still displayed, resulting
	in a display of "90" when one changes from tune 10 to 9.

2016-03-22  groepaz <groepaz@gmx.net>

	* src/c64/cart/crt.c: print a proper error message when crt header is
	broken

2016-03-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/vicemenu.cc: Final fix.

2016-03-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/vicemenu.cc: Fixed some typos.

2016-03-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/vicemenu.cc: Fixed.

2016-03-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/c64ui.cc,
	src/arch/beos/scpu64ui.cc: Some fixes.

2016-03-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/c64ui.cc,
	src/arch/beos/constants.txt, src/arch/beos/genconstants.c,
	src/arch/beos/scpu64ui.cc, src/arch/beos/vicemenu.cc,
	src/arch/beos/vicemenu.h: Added dynamic cart menus to the beos gui.

2016-03-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/constants.txt, src/arch/beos/ui.cc,
	src/arch/beos/ui_file.cc, src/arch/beos/ui_file.h,
	src/arch/beos/vicemenu.cc: Added tapeport menu and devices to the beos
	gui.

2016-03-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uisid.c: Fix for bug #725.

2016-03-21  groepaz <groepaz@gmx.net>

	* src/cbmdos.c: channel > 1 always opens the file, fixes bug #728.
	patch by greg king

2016-03-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/c64ui.cc,
	src/arch/beos/constants.txt, src/arch/beos/scpu64ui.cc,
	src/arch/beos/vicemenu.cc: Added rrnet mk3 to the beos gui.

2016-03-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/vicemenu.cc: Slight update.

2016-03-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/c64ui.cc,
	src/arch/beos/cbm2ui.cc, src/arch/beos/constants.txt,
	src/arch/beos/petui.cc, src/arch/beos/plus4ui.cc,
	src/arch/beos/scpu64ui.cc, src/arch/beos/vic20ui.cc,
	src/arch/beos/vicemenu.cc: Added userport devices to the beos gui.

2016-03-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/c64ui.cc,
	src/arch/beos/constants.txt, src/arch/beos/scpu64ui.cc,
	src/arch/beos/vicemenu.cc: Removed digimax cartridge userport option
	from the beos gui.

2016-03-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/c64ui.cc,
	src/arch/beos/constants.txt, src/arch/beos/scpu64ui.cc,
	src/arch/beos/vicemenu.cc: Added super snapshot 5 32kb ram addon to
	the beos gui.

2016-03-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/ui_file.cc, src/arch/beos/vicemenu.h: Some fixes.

2016-03-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/constants.txt, src/arch/beos/ui.cc,
	src/arch/beos/ui_file.cc, src/arch/beos/ui_file.h,
	src/arch/beos/vicemenu.cc, src/arch/beos/vicewindow.cc: Added
	screenshot support to the beos gui.

2016-03-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/c64ui.cc,
	src/arch/beos/constants.txt, src/arch/beos/scpu64ui.cc,
	src/arch/beos/vicemenu.cc: Added easyflash optimization option to the
	beos gui.

2016-03-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/plus4ui.cc: Fixed.

2016-03-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/constants.txt, src/arch/beos/plus4ui.cc,
	src/arch/beos/vicemenu.cc: Added plus4 memory hacks to the beos gui.

2016-03-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/c64dtvui.cc,
	src/arch/beos/c64ui.cc, src/arch/beos/cbm2ui.cc,
	src/arch/beos/cbm5x0ui.cc, src/arch/beos/genconstants.c,
	src/arch/beos/petui.cc, src/arch/beos/plus4ui.cc,
	src/arch/beos/scpu64ui.cc, src/arch/beos/vic20ui.cc,
	src/arch/beos/vicemenu.cc, src/arch/beos/vicemenu.h: Extended beos joy
	port support to 5 ports.

2016-03-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uivideo.c: Fixed palette loading for the windows gui.

2016-03-19  groepaz <groepaz@gmx.net>

	* src/vicii/vicii-color.c: fixed warning

2016-03-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/vic20ui.c: Added VFLI modification menu element to
	the dos tui.

2016-03-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uivideo.c: Added autogenerated palette items to the
	dos tui.

2016-03-20  pottendo  <pottendo@aon.at>

	* po/de.po: Updated.

2016-03-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resmenu.txt, src/arch/win32/resstrings.txt,
	src/arch/win32/resvic20.rc, src/arch/win32/vic20ui.c: Added VFLI
	modification menu element to the windows gui.

2016-03-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_vic20hw.c: Added VFLI modification menu element to
	the sdl gui.

2016-03-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/rtc.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/rtc.tgt, src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/rtc.tmpl, src/arch/win32/watcom/rtc.tgt,
	src/arch/win32/watcom/vice.wpj, src/rtc/Makefile.am,
	src/rtc/rtc-72421.c, src/rtc/rtc-72421.h: Added RTC 72421 emulation
	for possible future cmd hd emulation.

2016-03-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uiscpu64model.c: Cleanup (on isle 10).

2016-03-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* ChangeLog, build/android/build-android.sh, configure.proto,
	doc/vice.chm, doc/vice.guide, doc/vice.hlp, doc/vice.pdf,
	doc/vice.txt, po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po,
	po/it.po, po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	src/arch/android/AnVICE/AndroidManifest.xml,
	src/arch/win32/vice-version.bat, src/version.h: VICE 2.4.26

2016-03-19  groepaz <groepaz@gmx.net>

	* src/arch/unix/macosx/Resources/English.lproj/ResourceTree.plist:
	added VFLImod to osx ui

2016-03-19  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/vic20ui.c, src/translate.txt,
	src/translate_text.c, src/vic20/vic-cycle.c,
	src/vic20/vic20-cmdline-options.c, src/vic20/vic20-resources.c,
	src/vic20/vic20-resources.h, src/vic20/vic20mem.c,
	src/vic20/vic20via2.c: added mike's VFLI modification to xvic. see
	devlog

2016-03-19  pottendo  <pottendo@aon.at>

	* po/de.po: Updated and some cleanup.

2016-03-18  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uiscreenshot.c: fixed screenshot dialog a
	bit

2016-03-18  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uicommands.c: removed 'run c1541' option from unix
	gui

2016-03-18  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uinetplay.c: fixed netplay dialog a bit

2016-03-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, src/arch/amigaos/intl_text.c, src/arch/win32/res.rc,
	src/arch/win32/resc64dtv.rc, src/arch/win32/rescia.rc,
	src/arch/win32/rescpclockf83.rc, src/arch/win32/reseasyflash.rc,
	src/arch/win32/reside64.rc, src/arch/win32/resjoyport.rc,
	src/arch/win32/resretroreplay.rc, src/arch/win32/resrrnetmk3.rc,
	src/arch/win32/ressampler.rc, src/arch/win32/restapelog.rc,
	src/arch/win32/resuserportrtc58321a.rc,
	src/arch/win32/resuserportrtcds1307.rc, src/translate_text.c: Did a
	'make trans-update'.

2016-03-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, po/translations-status.txt: Updated.

2016-03-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt, src/arch/unix/gui/uiide64.c: Removed some
	items that don't need translations.

2016-03-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt: Did a 'make update-po',

2016-03-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uic64dtv.c, src/arch/msdos/uic64model.c: Removed
	'VICIINewLuminances' items from the generic dos vicii menu and added
	it to the dos c64dtv model selection menu.

2016-03-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uijoyport.c: Added bbrtc 'save rtc data when changed'
	item to the dos tui.

2016-03-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/c128ui.c,
	src/arch/msdos/c64ui.c, src/arch/msdos/cbm2ui.c,
	src/arch/msdos/cbm5x0ui.c, src/arch/msdos/petui.c,
	src/arch/msdos/plus4ui.c, src/arch/msdos/uitapeport.c,
	src/arch/msdos/uitapeport.h, src/arch/msdos/vic20ui.c: Added tape port
	devices menu and all currently available devices to the dos tui.

2016-03-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uiide64.c: Added ide64 shortbus menu and shortbus
	digimax device item to the dos tui.

2016-03-17  groepaz <groepaz@gmx.net>

	* src/arch/unix/macosx/Resources/English.lproj/ResourceTree.plist:
	some more trivial osx fixes

2016-03-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resdialogs.txt, src/arch/win32/resjoyport.rc,
	src/arch/win32/resstrings.txt, src/arch/win32/uijoyport.c: Added bbrtc
	'save rtc data when changed' item to the windows gui.

2016-03-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resc64dtv.rc, src/arch/win32/resvicii.rc,
	src/arch/win32/uic64dtvmodel.c, src/arch/win32/uivicii.c: Removed
	'VICIINewLuminances' items from the generic windows vicii dialog and
	added it to the windows c64dtv model selection dialog.

2016-03-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/POTFILES.in, src/arch/win32/Makefile.am, src/arch/win32/c128ui.c,
	src/arch/win32/c64ui.c, src/arch/win32/cbm2ui.c,
	src/arch/win32/cbm5x0ui.c, src/arch/win32/petui.c,
	src/arch/win32/plus4ui.c, src/arch/win32/res.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/rescbm2.rc, src/arch/win32/rescbm5x0.rc,
	src/arch/win32/rescpclockf83.rc, src/arch/win32/resdialogs.txt,
	src/arch/win32/resmenu.txt, src/arch/win32/respet.rc,
	src/arch/win32/resplus4.rc, src/arch/win32/resstrings.txt,
	src/arch/win32/restapelog.rc, src/arch/win32/resvic20.rc,
	src/arch/win32/uicpclockf83.c, src/arch/win32/uicpclockf83.h,
	src/arch/win32/uitapelog.c, src/arch/win32/uitapelog.h,
	src/arch/win32/vic20ui.c, src/arch/win32/vs_tmpl/arch_native.tmpl,
	src/arch/win32/vs_tmpl/x128.tmpl, src/arch/win32/vs_tmpl/x64.tmpl,
	src/arch/win32/vs_tmpl/x64sc.tmpl, src/arch/win32/vs_tmpl/xcbm2.tmpl,
	src/arch/win32/vs_tmpl/xcbm5x0.tmpl, src/arch/win32/vs_tmpl/xpet.tmpl,
	src/arch/win32/vs_tmpl/xplus4.tmpl, src/arch/win32/vs_tmpl/xvic.tmpl,
	src/arch/win32/watcom/cartconv.tgt, src/arch/win32/watcom/vice.wpj:
	Added tape port devices menu and all currently available devices to
	the windows gui.

2016-03-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uivideo.c: Added autogenerated palette items to the
	windows gui.

2016-03-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/palette.c: Cosmetic fix.

2016-03-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resdialogs.txt, src/arch/win32/reside64.rc,
	src/arch/win32/resstrings.txt, src/arch/win32/uiide64.c: Added ide64
	shortbus menu and shortbus digimax device item to the windows gui.

2016-03-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/uijoyport.c: Added bbrtc 'save rtc data when
	changed' item to the unix gui.

2016-03-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64scui.c,
	src/arch/unix/gui/c64ui.c, src/arch/unix/gui/cbm2ui.c,
	src/arch/unix/gui/petui.c, src/arch/unix/gui/plus4ui.c,
	src/arch/unix/gui/vic20ui.c: Forgot to hook in the tape port menus.

2016-03-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/Makefile.am, src/arch/unix/gui/uitapeport.c,
	src/arch/unix/gui/uitapeport.h: Added tape port devices menu and all
	currently available devices to the unix gui.

2016-03-15  groepaz <groepaz@gmx.net>

	* src/arch/unix/macosx/Resources/English.lproj/ResourceTree.plist:
	couple updates from devlog

2016-03-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/uiide64.c: Added ide64 shortbus menu and shortbus
	digimax device item to the unix gui.

2016-03-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_joyport.c: Added bbrtc 'save rtc data when
	changed' item to the sdl gui.

2016-03-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_video.c, src/arch/sdl/menu_video.h,
	src/arch/sdl/x128_ui.c, src/arch/sdl/x64_ui.c,
	src/arch/sdl/x64sc_ui.c, src/arch/sdl/xcbm2_ui.c,
	src/arch/sdl/xpet_ui.c, src/arch/sdl/xplus4_ui.c,
	src/arch/sdl/xscpu64_ui.c, src/arch/sdl/xvic_ui.c: Added autogenerated
	palette menus to the sdl gui.

2016-03-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/core/fmopl.c: Added comment that shows that this file is now
	licensed under GPL 2.0+ (as currently also present/shown in the mame
	fmopl.cc).

2016-03-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c64dtvhw.c, src/arch/sdl/menu_video.c: Removed
	'VICIINewLuminances' items from the generic sdl video menu and added
	it to the sdl c64dtv model selection menu.

2016-03-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c128hw.c, src/arch/sdl/menu_c64hw.c,
	src/arch/sdl/menu_cbm2hw.c, src/arch/sdl/menu_pethw.c,
	src/arch/sdl/menu_plus4hw.c, src/arch/sdl/menu_tape.c,
	src/arch/sdl/menu_tape.h, src/arch/sdl/menu_vic20hw.c: Added tape port
	devices menu and all currently available devices to the sdl gui.

2016-03-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c64_common_expansions.c: Added shortbus menu and
	shortbus digimax device to the sdl gui.

2016-03-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/paperclip64.c: Fixed a warning.

2016-03-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/joyport.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/joyport.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/joyport.tmpl,
	src/arch/win32/watcom/joyport.tgt, src/arch/win32/watcom/vice.wpj,
	src/c128/c128.c, src/c64/c64.c, src/c64dtv/c64dtv.c, src/cbm2/cbm2.c,
	src/cbm2/cbm5x0.c, src/joyport/Makefile.am, src/joyport/joyport.c,
	src/joyport/joyport.h, src/joyport/paperclip64.c,
	src/joyport/paperclip64.h, src/pet/pet.c, src/plus4/plus4.c,
	src/scpu64/scpu64.c, src/translate.txt, src/translate_text.c,
	src/vic20/vic20.c: Added (not yet working) paperclip64 dongle
	emulation.

2016-03-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/tapeport.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/tapeport.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/tapeport.tmpl,
	src/arch/win32/watcom/tapeport.tgt, src/arch/win32/watcom/vice.wpj,
	src/c64/c64pla.c, src/cbm2/cbm2tpi1.c, src/datasette.c,
	src/pet/petpia1.c, src/tapeport/Makefile.am,
	src/tapeport/cp-clockf83.c, src/tapeport/dtl-basic-dongle.c,
	src/tapeport/dtl-basic-dongle.h, src/tapeport/sense-dongle.c,
	src/tapeport/tapelog.c, src/tapeport/tapeport.c,
	src/tapeport/tapeport.h, src/translate.txt, src/translate_text.c,
	src/vic20/vic20via2.c: Added (not yet working) dtl basic dongle
	emulation.

2016-03-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/c64dtv.tgt, src/arch/os2/watcom/cbm2common.tgt,
	src/arch/os2/watcom/pet.tgt, src/arch/os2/watcom/plus4.tgt,
	src/arch/os2/watcom/vic20cart.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/os2/watcom/vsidlib.tgt: Fixed os/2 ow project files for
	debugcart additions.

2016-03-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/c64dtv.tgt,
	src/arch/sdl/win32-watcom/cbm2common.tgt,
	src/arch/sdl/win32-watcom/pet.tgt,
	src/arch/sdl/win32-watcom/plus4.tgt,
	src/arch/sdl/win32-watcom/vic20cart.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/sdl/win32-watcom/vsidlib.tgt: Fixed sdl ow project files for
	debugcart additions.

2016-03-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/c64dtv.tmpl,
	src/arch/win32/vs_tmpl/cbm2common.tmpl,
	src/arch/win32/vs_tmpl/pet.tmpl, src/arch/win32/vs_tmpl/plus4.tmpl,
	src/arch/win32/vs_tmpl/vic20cart.tmpl,
	src/arch/win32/vs_tmpl/vsidlib.tmpl: Fixed win32 msvc project files
	for debugcart additions.

2016-03-12  groepaz <groepaz@gmx.net>

	* src/autostart.c: remove cbm2 hack, its not required afterall

2016-03-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/watcom/c64dtv.tgt,
	src/arch/win32/watcom/cbm2common.tgt, src/arch/win32/watcom/pet.tgt,
	src/arch/win32/watcom/plus4.tgt, src/arch/win32/watcom/vic20cart.tgt,
	src/arch/win32/watcom/vice.wpj, src/arch/win32/watcom/vsidlib.tgt:
	Fixed win32 ow project files for debugcart additions.

2016-03-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/watcom/vsid.tgt: Make vsid use the correct vicii lib
	in the win32 ow project files.

2016-03-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/watcom-source-wrappers/Makefile.am,
	src/arch/watcom-source-wrappers/c64dtv-debugcart.c,
	src/arch/watcom-source-wrappers/cbm2-debugcart.c,
	src/arch/watcom-source-wrappers/pet-debugcart.c,
	src/arch/watcom-source-wrappers/plus4-debugcart.c,
	src/arch/watcom-source-wrappers/vic20-debugcart.c: Added ow
	debugcart.c wrappers, needed for ow project files fixing (soon).

2016-03-11  groepaz <groepaz@gmx.net>

	* src/c128/c128.c, src/cbm2/cbm2.c, src/cbm2/cbm5x0.c, src/pet/pet.c,
	src/plus4/plus4.c, src/vic20/vic20.c: do not call ui_init in console
	mode

2016-03-11  groepaz <groepaz@gmx.net>

	* src/vic20/cart/Makefile.am, src/vic20/cart/debugcart.c,
	src/vic20/cart/debugcart.h, src/vic20/cart/vic20cart.c: added
	-debugcart to vic20

2016-03-11  groepaz <groepaz@gmx.net>

	* src/cbm2/cbm2mem.c, src/cbm2/cbm5x0mem.c, src/scpu64/scpu64mem.c:
	added missing zero_read functions

2016-03-11  groepaz <groepaz@gmx.net>

	* src/autostart.c, src/cbm2/cbm2rom.c, src/cbm2/cbm5x0rom.c: make
	autostart work for xcbm2 and xcbm5x0

2016-03-11  groepaz <groepaz@gmx.net>

	* src/c64/vsid-debugcart.c: fix warning

2016-03-11  groepaz <groepaz@gmx.net>

	* src/cbm2/Makefile.am, src/cbm2/cbm2.c, src/cbm2/cbm2io.c,
	src/cbm2/cbm5x0.c, src/cbm2/debugcart.c, src/cbm2/debugcart.h: added
	-debugcart to cbm2

2016-03-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/cartio.h, src/vic20/vic20.c, src/vic20/vic20io.c,
	src/vic20/vic20mem.c: Extended vic20 i/o system to include i/o-0.

2016-03-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/bbrtc.c: Slight fix.

2016-03-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128.c, src/c64/c64.c, src/c64dtv/c64dtv.c,
	src/cbm2/cbm2.c, src/cbm2/cbm5x0.c, src/joyport/bbrtc.c,
	src/joyport/bbrtc.h, src/pet/pet.c, src/plus4/plus4.c,
	src/scpu64/scpu64.c, src/vic20/vic20.c: Use consistent function names
	for bbrtc.

2016-03-11  groepaz <groepaz@gmx.net>

	* src/c64/Makefile.am, src/c64/vsid-debugcart.c,
	src/c64/vsid-debugcart.h, src/c64/vsid.c, src/c64/vsidmeminit.c:
	-debugcart for vsid

2016-03-11  groepaz <groepaz@gmx.net>

	* src/c64dtv/c64dtvmeminit.c: fix debugcart i/o

2016-03-10  groepaz <groepaz@gmx.net>

	* src/plus4/plus4.c: fix machine_addr_in_ram(), makes autostart work
	reliable for xplus4

2016-03-10  groepaz <groepaz@gmx.net>

	* src/plus4/Makefile.am, src/plus4/debugcart.c,	src/plus4/debugcart.h,
	src/plus4/plus4.c: added -debugcart to xplus4

2016-03-10  groepaz <groepaz@gmx.net>

	* src/pet/Makefile.am, src/pet/debugcart.c, src/pet/debugcart.h,
	src/pet/pet.c, src/pet/petmem.c: added -debugcart to xpet

2016-03-10  groepaz <groepaz@gmx.net>

	* src/c64dtv/Makefile.am, src/c64dtv/c64dtv.c, src/c64dtv/c64dtvmem.c,
	src/c64dtv/c64dtvmeminit.c, src/c64dtv/debugcart.c,
	src/c64dtv/debugcart.h: added -debugcart to x64dtv

2016-03-10  groepaz <groepaz@gmx.net>

	* src/core/flash040core.c: fix regression from r30370 - addr=2 must be
	always 0 on older chips

2016-03-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/c64cart.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/c64cart.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/c64cart.tmpl,
	src/arch/win32/watcom/c64cart.tgt, src/arch/win32/watcom/vice.wpj,
	src/c64/cart/Makefile.am, src/c64/cart/c64cart.c,
	src/c64/cart/c64carthooks.c, src/c64/cart/crt.c,
	src/c64/cart/easycalc.c, src/c64/cart/easycalc.h, src/cartconv.c,
	src/cartridge.h, src/translate.txt, src/translate_text.c: Added easy
	calc result cart support (crt id 59).

2016-03-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/tapeport.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/tapeport.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/tapeport.tmpl,
	src/arch/win32/watcom/tapeport.tgt, src/arch/win32/watcom/vice.wpj,
	src/tapeport/Makefile.am, src/tapeport/sense-dongle.c,
	src/tapeport/sense-dongle.h, src/tapeport/tapeport.c,
	src/translate.txt, src/translate_text.c: Added generic tape sense
	(asserting) dongle support.

2016-03-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/rtc/pcf8583.c: Updated.

2016-03-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/c128.tgt, src/arch/os2/watcom/c64commonsc.tgt,
	src/arch/os2/watcom/cbm2.tgt, src/arch/os2/watcom/cbm5x0.tgt,
	src/arch/os2/watcom/tapeport.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/c128.tgt,
	src/arch/sdl/win32-watcom/c64commonsc.tgt,
	src/arch/sdl/win32-watcom/cbm2.tgt,
	src/arch/sdl/win32-watcom/cbm5x0.tgt,
	src/arch/sdl/win32-watcom/tapeport.tgt,
	src/arch/sdl/win32-watcom/vice.wpj, src/arch/win32/vs_tmpl/c128.tmpl,
	src/arch/win32/vs_tmpl/cbm2.tmpl, src/arch/win32/vs_tmpl/cbm5x0.tmpl,
	src/arch/win32/vs_tmpl/tapeport.tmpl, src/arch/win32/watcom/c128.tgt,
	src/arch/win32/watcom/c64commonsc.tgt,
	src/arch/win32/watcom/c64commonsc128.tgt,
	src/arch/win32/watcom/cbm2.tgt, src/arch/win32/watcom/cbm5x0.tgt,
	src/arch/win32/watcom/tapeport.tgt, src/arch/win32/watcom/vice.wpj,
	src/tapeport/Makefile.am, src/tapeport/cp-clockf83.c,
	src/tapeport/cp-clockf83.h, src/tapeport/tapelog.c,
	src/tapeport/tapeport.c, src/tapeport/tapertc.c,
	src/tapeport/tapertc.h, src/translate_text.c: Changed name of tapertc
	to cp-clockf83 and fixed various project files.

2016-03-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/rtc/pcf8583.c, src/rtc/pcf8583.h, src/tapeport/tapertc.c: Added
	tape rtc support.

2016-03-08  groepaz <groepaz@gmx.net>

	* src/core/viacore.c: fix bug introduced by r30700, see
	testprogs/VIC20/via_t1crash

2016-03-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/rtc/pcf8583.h: Added missing include.

2016-03-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/tapeport/tapeport.c: Some fixes.

2016-03-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/tapeport.tgt,
	src/arch/sdl/win32-watcom/tapeport.tgt,
	src/arch/win32/vs_tmpl/tapeport.tmpl,
	src/arch/win32/watcom/tapeport.tgt, src/rtc/pcf8583.c,
	src/rtc/pcf8583.h, src/tapeport/Makefile.am, src/tapeport/tapeport.c,
	src/tapeport/tapertc.c, src/tapeport/tapertc.h, src/translate.txt,
	src/translate_text.c: Added a tapeport rtc, wip, name will change once
	the official name is determined.

2016-03-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/gfxoutputdrv/doodledrv.c, src/gfxoutputdrv/koaladrv.c: Fixed
	crash of compressed native screenshot saving.

2016-03-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/cbm2/cbm2io.c, src/cbm2/cbm2mem.c: Undid $00/$01 unconnected
	memory space influence assumptions.

2016-03-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/tapeport.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/tapeport.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/tapeport.tmpl,
	src/arch/win32/watcom/tapeport.tgt, src/arch/win32/watcom/vice.wpj,
	src/c128/Makefile.am, src/c128/c128.c, src/c64/c64.c, src/cbm2/cbm2.c,
	src/cbm2/cbm5x0.c, src/pet/pet.c, src/plus4/plus4.c,
	src/tapeport/Makefile.am, src/tapeport/tapelog.c,
	src/tapeport/tapelog.h, src/tapeport/tapeport.c, src/translate.txt,
	src/translate_text.c, src/vic20/vic20.c: Added 'tape log' device, a
	diagnostic tape port device that shows/logs the traffic going through
	it.

2016-03-06  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uicrtc.c, src/arch/unix/gui/uited.c,
	src/arch/unix/gui/uivdc.c, src/arch/unix/gui/uivic.c,
	src/arch/unix/gui/uivicii.c: make GTK UI use palette list API

2016-03-06  groepaz <groepaz@gmx.net>

	* src/palette.c, src/palette.h: API for generating palette entry from
	a central list, see devlog

2016-03-06  groepaz <groepaz@gmx.net>

	* src/vic20/vic-resources.c, src/vicii/vicii-resources.c,
	src/viciisc/vicii-resources.c: better default palette

2016-03-06  groepaz <groepaz@gmx.net>

	* data/C128/Makefile.am, data/C128/pepto-ntsc-sony.vpl,
	data/C128/pepto-ntsc.vpl, data/C128/rgb.vpl, data/C64DTV/Makefile.am,
	data/C64DTV/spiff.vpl, data/CBM-II/Makefile.am,
	data/CBM-II/pepto-ntsc-sony.vpl, data/CBM-II/pepto-ntsc.vpl,
	data/CBM-II/rgb.vpl, data/CBM-II/vice.vpl, data/PLUS4/Makefile.am,
	data/PLUS4/vice.vpl, data/SCPU64/Makefile.am,
	data/SCPU64/pepto-ntsc-sony.vpl, data/SCPU64/pepto-ntsc.vpl,
	data/SCPU64/rgb.vpl: updated/added some palette files

2016-03-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/joyport.tgt,
	src/arch/sdl/win32-watcom/joyport.tgt,
	src/arch/win32/vs_tmpl/joyport.tmpl,
	src/arch/win32/watcom/joyport.tgt, src/c128/c128.c, src/c64/c64.c,
	src/c64dtv/c64dtv.c, src/cbm2/cbm2.c, src/cbm2/cbm5x0.c,
	src/joyport/Makefile.am, src/joyport/bbrtc.c, src/joyport/bbrtc.h,
	src/joyport/joyport.c, src/joyport/joyport.h, src/pet/pet.c,
	src/plus4/plus4.c, src/rtc/ds1602.c, src/scpu64/scpu64.c,
	src/translate.txt, src/translate_text.c, src/vic20/vic20.c: Added
	bbrtc joyport device.

2016-03-06  groepaz <groepaz@gmx.net>

	* src/core/viacore.c: powerup values for T1 and T2 are apparently not
	0 but 0xff

2016-03-05  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/c64dtvui.c, src/arch/unix/gui/c64ui.c,
	src/arch/unix/gui/uic64dtv.c, src/arch/unix/gui/uic64dtv.h,
	src/arch/unix/gui/uivicii.c, src/c128/c128model.c, src/c64/c64model.c,
	src/c64/c64model.h, src/c64/c64scmodel.c, src/scpu64/scpu64model.c,
	src/vicii/vicii-cmdline-options.c, src/vicii/vicii-color.c,
	src/vicii/vicii-resources.c, src/vicii/vicii-resources.h, src/vicii.h,
	src/viciisc/vicii-chip-model.c, src/viciisc/vicii-cmdline-options.c,
	src/viciisc/vicii-color.c, src/viciisc/vicii-resources.c,
	src/viciisc/vicii-resources.h: get rid of VICIINewLuminances, except
	in x64dtv (see devlog)

2016-03-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/rtc.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/rtc.tgt, src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/rtc.tmpl, src/arch/win32/watcom/rtc.tgt,
	src/arch/win32/watcom/vice.wpj, src/rtc/Makefile.am,
	src/rtc/pcf8583.c, src/rtc/pcf8583.h: Added the pcf8583 rtc (as used
	in the tape port rtc, which is not yet emulated), not used by any hw
	device yet.

2016-03-05  Kajtar Zsolt <soci@c64.rulez.org>

	* src/core/viacore.c: Timer A null and B interrupt position fix

2016-03-05  Kajtar Zsolt <soci@c64.rulez.org>

	* src/cbmdos.c: Use "prg" for unspecified secondary 0 open too

2016-03-05  pottendo  <pottendo@aon.at>

	* po/de.po: Updated.

2016-03-04  groepaz <groepaz@gmx.net>

	* doc/gui-feature-checking.txt: moved to wiki

2016-03-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/rtc/ds1602.c: Some fixes.

2016-03-04  groepaz <groepaz@gmx.net>

	* doc/resource-and-cmdline-checking.txt: moved to wiki

2016-03-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/rtc.tgt, src/arch/sdl/win32-watcom/rtc.tgt,
	src/arch/sdl/win32-watcom/vice.wpj, src/arch/win32/vs_tmpl/rtc.tmpl,
	src/arch/win32/watcom/rtc.tgt, src/arch/win32/watcom/vice.wpj,
	src/rtc/Makefile.am, src/rtc/ds1602.c, src/rtc/ds1602.h: Added the
	ds1602 rtc (as used in the c64 bbrtc, which is not yet emulated), not
	used by any hw device yet.

2016-03-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/rtc/ds1307.c: Added a comment to show where the ds1307 rtc code
	is used.

2016-03-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/rtc/rtc-58321a.c: Cosmetic fix.

2016-03-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/watcom/Makefile.am,
	src/arch/os2/watcom/c64commonsc128.tgt,
	src/arch/os2/watcom/c64commonscvsid128.tgt,
	src/arch/os2/watcom/c64commonvsidscpu.tgt,
	src/arch/os2/watcom/c64dtv.tgt, src/arch/os2/watcom/c64sc.tgt,
	src/arch/os2/watcom/cbm2common.tgt, src/arch/os2/watcom/mainsrc.tgt,
	src/arch/os2/watcom/pet.tgt, src/arch/os2/watcom/plus4.tgt,
	src/arch/os2/watcom/scpu64.tgt, src/arch/os2/watcom/tapeport.tgt,
	src/arch/os2/watcom/vic20.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/os2/watcom/vsid.tgt, src/arch/os2/watcom/vsidlib.tgt,
	src/arch/os2/watcom/x128.tgt, src/arch/os2/watcom/x64.tgt,
	src/arch/os2/watcom/x64sc.tgt, src/arch/os2/watcom/xcbm2.tgt,
	src/arch/os2/watcom/xcbm5x0.tgt, src/arch/os2/watcom/xpet.tgt,
	src/arch/os2/watcom/xplus4.tgt, src/arch/os2/watcom/xscpu64.tgt,
	src/arch/os2/watcom/xvic.tgt: Fixed os/2 ow project files for recent
	changes.

2016-03-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/Makefile.am,
	src/arch/sdl/win32-watcom/base.tgt,
	src/arch/sdl/win32-watcom/c64commonsc128.tgt,
	src/arch/sdl/win32-watcom/c64commonscvsid128.tgt,
	src/arch/sdl/win32-watcom/c64commonvsid.tgt,
	src/arch/sdl/win32-watcom/c64dtv.tgt,
	src/arch/sdl/win32-watcom/c64sc.tgt,
	src/arch/sdl/win32-watcom/cbm2common.tgt,
	src/arch/sdl/win32-watcom/pet.tgt,
	src/arch/sdl/win32-watcom/plus4.tgt,
	src/arch/sdl/win32-watcom/scpu64.tgt,
	src/arch/sdl/win32-watcom/tapeport.tgt,
	src/arch/sdl/win32-watcom/vic20.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/sdl/win32-watcom/vsidlib.tgt,
	src/arch/sdl/win32-watcom/x128.tgt, src/arch/sdl/win32-watcom/x64.tgt,
	src/arch/sdl/win32-watcom/x64sc.tgt,
	src/arch/sdl/win32-watcom/xcbm2.tgt,
	src/arch/sdl/win32-watcom/xcbm5x0.tgt,
	src/arch/sdl/win32-watcom/xpet.tgt,
	src/arch/sdl/win32-watcom/xplus4.tgt,
	src/arch/sdl/win32-watcom/xvic.tgt: Fixed win32 sdl ow project files
	for recent changes.

2016-03-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/datasette.c, src/translate.txt, src/translate_text.c: Added
	datasette enable/disable command line options.

2016-03-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/watcom/Makefile.am, src/arch/win32/watcom/base.tgt,
	src/arch/win32/watcom/c64commonsc128.tgt,
	src/arch/win32/watcom/c64commonscvsid128.tgt,
	src/arch/win32/watcom/c64commonvsid.tgt,
	src/arch/win32/watcom/c64dtv.tgt, src/arch/win32/watcom/c64sc.tgt,
	src/arch/win32/watcom/cbm2common.tgt, src/arch/win32/watcom/pet.tgt,
	src/arch/win32/watcom/plus4.tgt, src/arch/win32/watcom/scpu64.tgt,
	src/arch/win32/watcom/tapeport.tgt, src/arch/win32/watcom/vic20.tgt,
	src/arch/win32/watcom/vice.wpj, src/arch/win32/watcom/vsidlib.tgt,
	src/arch/win32/watcom/x128.tgt, src/arch/win32/watcom/x64.tgt,
	src/arch/win32/watcom/x64sc.tgt, src/arch/win32/watcom/xcbm2.tgt,
	src/arch/win32/watcom/xcbm5x0.tgt, src/arch/win32/watcom/xpet.tgt,
	src/arch/win32/watcom/xplus4.tgt, src/arch/win32/watcom/xvic.tgt:
	Fixed win32 ow project files for recent changes.

2016-03-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64model.c, src/c64/c64scmodel.c: Added disabling of the
	tapeport for certain c64 models.

2016-03-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/Makefile.am,
	src/arch/win32/vs_tmpl/Makefile.am, src/arch/win32/vs_tmpl/base.tmpl,
	src/arch/win32/vs_tmpl/c64.tmpl, src/arch/win32/vs_tmpl/c64c128.tmpl,
	src/arch/win32/vs_tmpl/c64dtv.tmpl, src/arch/win32/vs_tmpl/c64sc.tmpl,
	src/arch/win32/vs_tmpl/cbm2common.tmpl,
	src/arch/win32/vs_tmpl/mkmsvc.exe, src/arch/win32/vs_tmpl/pet.tmpl,
	src/arch/win32/vs_tmpl/plus4.tmpl, src/arch/win32/vs_tmpl/scpu64.tmpl,
	src/arch/win32/vs_tmpl/tapeport.tmpl,
	src/arch/win32/vs_tmpl/vic20.tmpl, src/arch/win32/vs_tmpl/vice.tmpl,
	src/arch/win32/vs_tmpl/vsidlib.tmpl, src/arch/win32/vs_tmpl/x128.tmpl,
	src/arch/win32/vs_tmpl/x64.tmpl, src/arch/win32/vs_tmpl/x64sc.tmpl,
	src/arch/win32/vs_tmpl/xcbm2.tmpl,
	src/arch/win32/vs_tmpl/xcbm5x0.tmpl, src/arch/win32/vs_tmpl/xpet.tmpl,
	src/arch/win32/vs_tmpl/xplus4.tmpl, src/arch/win32/vs_tmpl/xvic.tmpl,
	src/c64/Makefile.am, src/c64/c64datasette.c, src/c64/c64pla.c,
	src/c64/vsidpla.c, src/c64/vsidstubs.c, src/c64dtv/Makefile.am,
	src/c64dtv/c64dtv.c, src/c64dtv/c64dtvmem.c, src/cbm2/Makefile.am,
	src/cbm2/cbm2datasette.c, src/cbm2/cbm2tpi1.c, src/datasette.c,
	src/datasette.h, src/pet/Makefile.am, src/pet/petdatasette.c,
	src/pet/petpia1.c, src/pet/petvia.c, src/plus4/Makefile.am,
	src/plus4/plus4datasette.c, src/plus4/plus4mem.c, src/rtc/ds1307.c,
	src/scpu64/Makefile.am, src/scpu64/scpu64stubs.c, src/tapeport,
	src/tapeport/Makefile.am, src/tapeport/tapeport.c,
	src/tapeport/tapeport.h, src/translate.txt, src/translate_text.c,
	src/vic20/Makefile.am, src/vic20/vic20datasette.c,
	src/vic20/vic20via1.c, src/vic20/vic20via2.c: Added a tapeport system
	to take care of devices on the 'tape port', only device supported
	currently is the datasette, but now it's able to be
	disabled/unplugged, the system takes care of pass-through tape devices
	automatically.

2016-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/petui.c: Fixed typo.

2016-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/petui.c: Fixed.

2016-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/ui_datasette.cc: Fixed size and position.

2016-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/cbm2ui.c, src/arch/unix/gui/uiprinterieee.c,
	src/arch/unix/gui/uiprinterieee.h: Fixed for xcbm5x0 userport printer.

2016-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/cbm2ui.c: Fixed for xcbm5x0 userport elements.

2016-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/scpu64/scpu64.c: Added missing userport sampler inits.

2016-03-02  groepaz <groepaz@gmx.net>

	* src/c64/c64rom.c: KernalRev is not available for DTV

2016-03-02  groepaz <groepaz@gmx.net>

	* src/c64dtv/c64dtvmem.c: hide debug output

2016-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/ui_datasette.cc: Added missing include.

2016-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/ui_datasette.cc: Added missing include.

2016-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/ui_datasette.cc, src/arch/beos/ui_datasette.h: Added
	tape wobble to the beos gui.

2016-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/ui_vicii.cc, src/arch/beos/ui_vicii.h: Added vsp bug
	item to the x64sc beos gui.

2016-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/rrnetmk3.c: Disable rrnet mk3 debug.

2016-03-02  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/sdl/archdep_beos.h: Added missing defines for default RS232
	devices.

2016-03-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/petui.cc: Fixed too.

2016-03-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/cbm2ui.cc: Fixed.

2016-03-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/samplerdrv: Added a missing svn ignore.

2016-03-01  groepaz <groepaz@gmx.net>

	* src/c64/cart/c64cartmem.c, src/c64/cart/retroreplay.c,
	src/c64/cart/retroreplay.h: fix mapping issues also for nordic replay

2016-03-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64cia1.c, src/c64/c64cia2.c, src/c64/c64iec.c,
	src/c64/c64iec.h, src/c64/c64model.c, src/c64/c64scmodel.c: Added the
	ability to completely disable all iec i/o, which makes the c64 models
	that don't have an iec port behave correctly (where the iec port is
	concerned), how gui's handle menu items when switching machine types
	still needs some thought.

2016-03-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/retroreplay.c: Some warning fixes.

2016-03-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64cia1.c, src/c64/c64keyboard.c, src/c64/c64keyboard.h,
	src/c64/c64model.c, src/c64/c64scmodel.c: Added the ability to
	completely disable all keyboard i/o, which makes the c64 models that
	don't have a keyboard behave correctly (where the keyboard is
	concerned), how gui's handle menu items when switching machine types
	still needs some thought.

2016-03-01  groepaz <groepaz@gmx.net>

	* src/c64/cart/retroreplay.c: fix retroreplay mapping according to
	tlrs test program, should finally fix bug #720 and #721

2016-03-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64model.c, src/c64/c64scmodel.c, src/userport/userport.c,
	src/userport/userport.h: Added the ability to completely disable all
	userport i/o, which makes the c64 models that don't have a userport
	behave correctly (where the userport is concerned), how gui's handle
	menu items when switching machine types still needs some thought.

2016-02-29  groepaz <groepaz@gmx.net>

	* src/c64/cart/retroreplay.c: improve mapping in frozen state, should
	fix bug #720

2016-02-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/c64cart.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/c64cart.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/c64cart.tmpl,
	src/arch/win32/watcom/c64cart.tgt, src/arch/win32/watcom/vice.wpj,
	src/c64/cart/Makefile.am, src/c64/cart/c64carthooks.c,
	src/c64/cart/digimax.h, src/c64/cart/ide64.c, src/c64/cart/ide64.h,
	src/c64/cart/shortbus.c, src/c64/cart/shortbus.h,
	src/c64/cart/shortbus_digimax.c, src/c64/cart/shortbus_digimax.h,
	src/digimaxcore.c, src/translate.txt, src/translate_text.c,
	src/userport/userport_digimax.h: Added ide64 shortbus system and
	shortbus digimax device support, no gui changes yet.

2016-02-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/c64ui.cc,
	src/arch/beos/constants.txt, src/arch/beos/scpu64ui.cc,
	src/arch/beos/vic20ui.cc, src/arch/beos/vicemenu.cc: Added ds12c887
	running mode item to the beos gui.

2016-02-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/genwt.bat, src/arch/os2/watcom/genwt.cmd: Fixed.

2016-02-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Remove vac++ items from configure as well.

2016-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/cbm2.tgt, src/arch/os2/watcom/cbm2common.tgt,
	src/arch/os2/watcom/cbm5x0.tgt, src/arch/os2/watcom/printerdrv.tgt,
	src/arch/os2/watcom/vice.wpj: Updated os/2 ow project files.

2016-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dialogs.h, src/arch/os2/dialogs/dialogs.rc,
	src/arch/os2/dialogs/dlg-fileio.rc,
	src/arch/os2/dialogs/dlg-monitor.rc, src/arch/os2/dialogs/menubar.c,
	src/arch/os2/dialogs/menubar.rc: Reverted the previous vac++ os/2
	dialog fixes.

2016-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/Makefile.am, src/arch/os2/vac++: Removed os/2 vac++
	directory, not worth the trouble of updating it for a proprietary
	compiler when a more modern free compiler can do the job.

2016-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/cbm2.tgt,
	src/arch/sdl/win32-watcom/cbm2common.tgt,
	src/arch/sdl/win32-watcom/cbm5x0.tgt,
	src/arch/sdl/win32-watcom/printerdrv.tgt,
	src/arch/sdl/win32-watcom/userport.tgt,
	src/arch/sdl/win32-watcom/vice.wpj: Updated sdl ow project files.

2016-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/watcom/arch.tgt, src/arch/win32/watcom/cartconv.tgt,
	src/arch/win32/watcom/cbm2.tgt, src/arch/win32/watcom/cbm2common.tgt,
	src/arch/win32/watcom/cbm5x0.tgt,
	src/arch/win32/watcom/printerdrv.tgt,
	src/arch/win32/watcom/userport.tgt, src/arch/win32/watcom/vice.wpj:
	Updated windows ow project files.

2016-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/cbm2.tmpl,
	src/arch/win32/vs_tmpl/cbm2common.tmpl,
	src/arch/win32/vs_tmpl/cbm5x0.tmpl,
	src/arch/win32/vs_tmpl/printerdrv.tmpl: Updated msvc project file
	templates.

2016-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128.c, src/c64/c64.c, src/c64/c64cia2.c,
	src/c64/c64printer.c, src/cbm2/Makefile.am, src/cbm2/cbm2.c,
	src/cbm2/cbm2cia1.c, src/cbm2/cbm2printer.c, src/cbm2/cbm5x0cia1.c,
	src/cbm2/cbm5x0printer.c, src/pet/pet.c, src/pet/petprinter.c,
	src/pet/petvia.c, src/plus4/plus4.c, src/printer.h,
	src/printerdrv/Makefile.am, src/printerdrv/interface-userport.c,
	src/printerdrv/interface-userport.h,
	src/printerdrv/printer-userport.c, src/scpu64/scpu64.c,
	src/translate.txt, src/translate_text.c, src/userport/userport.c,
	src/userport/userport.h, src/userport/userport_4bit_sampler.c,
	src/userport/userport_8bss.c, src/userport/userport_dac.c,
	src/userport/userport_digimax.c, src/userport/userport_joystick.c,
	src/userport/userport_rtc_58321a.c,
	src/userport/userport_rtc_ds1307.c, src/vic20/vic20.c,
	src/vic20/vic20printer.c, src/vic20/vic20via2.c: Transitioned
	userport printer code to use the generic userport routines, added a
	generic userport flag set routine and added userport pa2 setting code
	to pet and vic20.

2016-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uirrnetmk3.c: Removed unused variable.

2016-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am: Fixed windows rrnet mk3 dialog.

2016-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/ko.po, po/translations-status.txt: Updated.

2016-02-26  groepaz <groepaz@gmx.net>

	* doc/resource-and-cmdline-checking.txt, po/nl.po, po/pl.po, po/sv.po,
	src/arch/beos/vicemenu.cc, src/arch/msdos/uic64model.c,
	src/arch/msdos/uiciamodel.c, src/arch/msdos/uiscpu64model.c,
	src/arch/os2/dialogs/menubar.rc, src/arch/sdl/menu_c128hw.c,
	src/arch/sdl/menu_c64model.c, src/arch/sdl/menu_cbm2hw.c,
	src/arch/unix/gui/c128ui.c, src/arch/unix/gui/cbm2ui.c,
	src/arch/unix/macosx/Resources/English.lproj/ResourceTree.plist,
	src/c128/c128-resources.c: renamed some forgotten '6526A' to '6526'.
	the A suffix is (only) used to refer to the 2Mhz version of the chip,
	and it has no relation to the old/new interrupt timing behaviour as it
	was commonly (and wrongly) assumed once in the past.

2016-02-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po: Did a
	'make update-po'.

2016-02-25  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/os2/kbd.h, src/keyboard.h: Moved OS/2-specific prototypes
	into arch/os2/kbd.h.

2016-02-25  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/sdl/archdep_amiga.c, src/arch/sdl/archdep_beos.c,
	src/arch/sdl/archdep_cegcc.c, src/arch/sdl/archdep_dingoo.c,
	src/arch/sdl/archdep_xbox.c: Added long-missing includes of
	keyboard.h. Now we know which SDL ports haven't been built recently.

2016-02-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/POTFILES.in, src/arch/win32/Makefile.am, src/arch/win32/c128ui.c,
	src/arch/win32/c64ui.c, src/arch/win32/res.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/resdialogs.txt, src/arch/win32/resmenu.txt,
	src/arch/win32/resrrnetmk3.rc, src/arch/win32/resscpu64.rc,
	src/arch/win32/resstrings.txt, src/arch/win32/scpu64ui.c,
	src/arch/win32/uirrnetmk3.c, src/arch/win32/uirrnetmk3.h,
	src/arch/win32/vs_tmpl/arch_native.tmpl,
	src/arch/win32/vs_tmpl/x128.tmpl, src/arch/win32/vs_tmpl/x64.tmpl,
	src/arch/win32/vs_tmpl/x64sc.tmpl,
	src/arch/win32/vs_tmpl/xscpu64.tmpl, src/arch/win32/watcom/arch.tgt,
	src/arch/win32/watcom/cartconv.tgt, src/arch/win32/watcom/vice.wpj:
	Added rrnet mk3 dialog to the windows gui.

2016-02-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/POTFILES.in, src/arch/win32/Makefile.am, src/arch/win32/c128ui.c,
	src/arch/win32/c64ui.c, src/arch/win32/cbm2ui.c,
	src/arch/win32/petui.c, src/arch/win32/plus4ui.c,
	src/arch/win32/res.rc, src/arch/win32/resc128.rc,
	src/arch/win32/resc64.rc, src/arch/win32/rescbm2.rc,
	src/arch/win32/resdialogs.txt, src/arch/win32/resmenu.txt,
	src/arch/win32/respet.rc, src/arch/win32/resplus4.rc,
	src/arch/win32/resscpu64.rc, src/arch/win32/resstrings.txt,
	src/arch/win32/resuserportrtc58321a.rc,
	src/arch/win32/resuserportrtcds1307.rc, src/arch/win32/resvic20.rc,
	src/arch/win32/scpu64ui.c, src/arch/win32/uiuserportrtc58321a.c,
	src/arch/win32/uiuserportrtcds1307.c,
	src/arch/win32/uiuserportrtcds1307.h, src/arch/win32/vic20ui.c,
	src/arch/win32/vs_tmpl/arch_native.tmpl,
	src/arch/win32/vs_tmpl/x128.tmpl, src/arch/win32/vs_tmpl/x64.tmpl,
	src/arch/win32/vs_tmpl/x64sc.tmpl, src/arch/win32/vs_tmpl/xcbm2.tmpl,
	src/arch/win32/vs_tmpl/xpet.tmpl, src/arch/win32/vs_tmpl/xscpu64.tmpl,
	src/arch/win32/vs_tmpl/xvic.tmpl, src/arch/win32/watcom/arch.tgt,
	src/arch/win32/watcom/cartconv.tgt, src/arch/win32/watcom/vice.wpj:
	Added all userport devices to the windows gui.

2016-02-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uidigimax.c: Removed userport choice from the windows
	digimax cart dialog.

2016-02-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/c128ui.c, src/arch/win32/c64ui.c,
	src/arch/win32/res.rc, src/arch/win32/resc128.rc,
	src/arch/win32/resc64.rc, src/arch/win32/resmenu.txt,
	src/arch/win32/resscpu64.rc, src/arch/win32/resstrings.txt,
	src/arch/win32/scpu64ui.c: Added SS5 32K RAM expansion item to the
	windows gui.

2016-02-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc, src/arch/win32/resdialogs.txt,
	src/arch/win32/resdrivec128.rc, src/arch/win32/resdrivec64.rc,
	src/arch/win32/resdrivepetcbm2.rc, src/arch/win32/resdriveplus4.rc,
	src/arch/win32/resdrivevic20.rc, src/arch/win32/resstrings.txt,
	src/arch/win32/uidrivec128.c, src/arch/win32/uidrivec64.c,
	src/arch/win32/uidrivec64dtv.c, src/arch/win32/uidrivepetcbm2.c,
	src/arch/win32/uidriveplus4.c, src/arch/win32/uidrivevic20.c: Added
	drive rpm and wobble dialog items to the windows gui.

2016-02-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resdialogs.txt, src/arch/win32/reseasyflash.rc,
	src/arch/win32/resstrings.txt, src/arch/win32/uieasyflash.c: Added
	'easyflash crt optimize' toggle to the windows gui.

2016-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/c128ui.c,
	src/arch/msdos/c64ui.c, src/arch/msdos/scpu64ui.c,
	src/arch/msdos/uirrnetmk3.c, src/arch/msdos/uirrnetmk3.h: Added rrnet
	mk3 menu to the dos tui.

2016-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/scpu64ui.c: Forgot scpu64 for dos userport updates.

2016-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uidigimax.c: Removed userport item from the digimax
	cart menu in the dos tui.

2016-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/c128ui.c,
	src/arch/msdos/c64ui.c, src/arch/msdos/cbm2ui.c,
	src/arch/msdos/petui.c, src/arch/msdos/plus4ui.c,
	src/arch/msdos/uiuserport.c, src/arch/msdos/uiuserport.h,
	src/arch/msdos/vic20ui.c: Added all userport devices to the dos tui.

2016-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/c128ui.c,
	src/arch/msdos/c64ui.c, src/arch/msdos/scpu64ui.c,
	src/arch/msdos/uiss5.c, src/arch/msdos/uiss5.h: Added SS5 settings
	menu to the dos tui.

2016-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/c128ui.c, src/arch/msdos/c64ui.c,
	src/arch/msdos/scpu64ui.c: Fixed the retroreplay menu in the dos tui.

2016-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uidrivec128.c, src/arch/msdos/uidrivec64.c,
	src/arch/msdos/uidrivec64dtv.c, src/arch/msdos/uidriveieee.c,
	src/arch/msdos/uidriveplus4.c, src/arch/msdos/uidrivevic20.c: Added
	drive rpm and wobble menus to the dos tui.

2016-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/uiide64.c: Fixed the
	ide64 version menu for the dos tui.

2016-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uieasyflash.c: Added 'easyflash crt optimize' toggle
	to the dos tui.

2016-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/plus4ui.c,
	src/arch/msdos/uiplus4memoryhacks.c,
	src/arch/msdos/uiplus4memoryhacks.h: Added 'plus4 memory hacks' menu
	to the dos tui.

2016-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/menudefs.c: Added 'random tape wobble' to the dos
	tui.

2016-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/c64ui.c, src/arch/msdos/uivideo.c,
	src/arch/msdos/uivideo.h: Added 'VSP bug' item to the dos c64sc tui.

2016-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uic64cart.c: Made the dos c64 cart menus dynamically
	generated.

2016-02-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/menudefs.c: Added compile features listing to the dos
	tui.

2016-02-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uids12c887rtc.c: Added ds12c887 running mode item to
	the dos tui.

2016-02-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/vsidstubs.c: Fixed for dos.

2016-02-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/uidigimax.c: Removed the userport option from the
	*nix digimax cart menu.

2016-02-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/plus4ui.c, src/arch/unix/gui/uiuserport.c: Added
	all userport devices to the unix gui.

2016-02-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* AUTHORS, man/vice.1, src/arch/unix/gui/uiuserport.c,
	src/arch/unix/gui/vic20ui.c: Fixed.

2016-02-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/Makefile.am, src/arch/unix/gui/c128ui.c,
	src/arch/unix/gui/c64scui.c, src/arch/unix/gui/c64ui.c,
	src/arch/unix/gui/cbm2ui.c, src/arch/unix/gui/petui.c,
	src/arch/unix/gui/scpu64ui.c, src/arch/unix/gui/uiuserport.c,
	src/arch/unix/gui/uiuserport.h,
	src/arch/unix/gui/uiuserportrtc58321a.c,
	src/arch/unix/gui/uiuserportrtc58321a.h: Renamed uiuserportrtc58321a.*
	to uiuserport.* in the *nix gui, to turn it into a userport devices
	menu instead, the other devices will be added in due time.

2016-02-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c64cart.c: Added rrnet mk3 menu to the sdl gui.

2016-02-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c128hw.c, src/arch/sdl/menu_c64hw.c,
	src/arch/sdl/menu_cbm2hw.c, src/arch/sdl/menu_pethw.c,
	src/arch/sdl/menu_plus4hw.c, src/arch/sdl/menu_scpu64hw.c,
	src/arch/sdl/menu_vic20hw.c: Made a 'userport devices' submenu for the
	sdl gui.

2016-02-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c128hw.c, src/arch/sdl/menu_c64hw.c,
	src/arch/sdl/menu_cbm2hw.c, src/arch/sdl/menu_pethw.c,
	src/arch/sdl/menu_vic20hw.c: Added userport DS1307 RTC gui elements
	for the sdl gui.

2016-02-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c128hw.c, src/arch/sdl/menu_c64hw.c,
	src/arch/sdl/menu_cbm2hw.c: Added userport 8bit stereo sampler gui
	elements for the sdl gui.

2016-02-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c128hw.c, src/arch/sdl/menu_c64hw.c,
	src/arch/sdl/menu_cbm2hw.c: Added userport 4bit sampler gui elements
	for the sdl gui.

2016-02-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c128hw.c,
	src/arch/sdl/menu_c64_common_expansions.c, src/arch/sdl/menu_c64hw.c,
	src/arch/sdl/menu_cbm2hw.c: Added userport digimax gui elements for
	the sdl gui.

2016-02-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c128hw.c, src/arch/sdl/menu_c64hw.c,
	src/arch/sdl/menu_cbm2hw.c, src/arch/sdl/menu_pethw.c,
	src/arch/sdl/menu_plus4hw.c, src/arch/sdl/menu_vic20hw.c: Extended
	userport 8bit dac support to c64, c128, cbm2, plus4 and vic20 in the
	sdl gui.

2016-02-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c64hw.c: Fixed.

2016-02-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64dtv/c64dtvcia2.c: No userport printer for c64dtv (not enough
	pins).

2016-02-20  Kajtar Zsolt <soci@c64.rulez.org>

	* src/joyport/joyport.c, src/joyport/joyport.h,
	src/joyport/joystick.c, src/joyport/lightpen.c, src/joyport/mouse.c,
	src/joyport/sampler2bit.c, src/joyport/sampler2bit.h,
	src/joyport/sampler4bit.c, src/joyport/sampler4bit.h: Enable
	Neos/Amiga/ST mouse on ports without POT. These devices use the pot
	lines for middle/right buttons. Sure these buttons won't work but the
	devices are still functional as a mouse with a left button only.

2016-02-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/ports-status.txt: Added a 'ports-status' text file, to be used
	to indicate the status of the various vice ports.

2016-02-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/archdep.c, src/arch/amigaos/mui/mui.h,
	src/arch/amigaos/mui/uijoyport.c, src/arch/amigaos/mui/uisampler.c,
	src/joyport/joystick.h: Some amigaos4 fixes.

2016-02-19  Marcus Sutton <loggedoubt@gmail.com>

	* src/c64dtv/c64dtvcia1.c, src/c64dtv/hummeradc.c,
	src/joyport/joystick.h, src/keyboard.h: Moved the declaration of
	joystick_value[] into joystick.h.

2016-02-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/make-bindist.sh: Fixed some typos.

2016-02-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.chm, doc/vice.guide, doc/vice.hlp, doc/vice.inf: Updated.

2016-02-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64cia2.c, src/c64dtv/c64dtvcia2.c, src/cbm2/cbm2cia1.c,
	src/pet/petvia.c, src/plus4/plus4pio1.c, src/userport/userport.c,
	src/userport/userport.h, src/vic20/vic20via2.c: Fixed userport input
	issues, should fix bug #716.

2016-02-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/translations-status.txt: Updated.

2016-02-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/archdep.c: Added log1p for amiga os 3.x (configure
	detects the presence because it checks for it with ixemul present, but
	the actual compile uses libnix).

2016-02-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c1541.c: Got rid of another ctrl-z char.

2016-02-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* AUTHORS, man/vice.1, src/arch/amigaos/c128ui.c,
	src/arch/amigaos/c64dtvui.c, src/arch/amigaos/c64ui.c,
	src/arch/amigaos/cbm2ui.c, src/arch/amigaos/cbm5x0ui.c,
	src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/Makefile.am, src/arch/amigaos/mui/uijoyport.c,
	src/arch/amigaos/mui/uisampler.c, src/arch/amigaos/petui.c,
	src/arch/amigaos/plus4ui.c, src/arch/amigaos/scpu64ui.c,
	src/arch/amigaos/scpu64uires.h, src/arch/amigaos/uires.h,
	src/arch/amigaos/vic20ui.c, src/arch/os2/dialogs/dialogs.rc,
	src/monitor/mon_parse.c, src/monitor/mon_parse.h: Some amiga fixes.

2016-02-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c: Added
	missing item.

2016-02-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_x86_runtime_cpu.c: Removed 'ctrl-z' character
	(how the hell did it get there).

2016-02-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Exclude windows port from TFE libs test.

2016-02-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/Makefile.am, src/arch/os2/vac++/clean.cmd,
	src/arch/os2/vac++/nonx128-proc.c, src/arch/os2/vac++/x64sc-menubar.c:
	Even more vac++ fixes.

2016-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dialogs.h, src/arch/os2/dialogs/dialogs.rc,
	src/arch/os2/dialogs/dlg-fileio.rc,
	src/arch/os2/dialogs/dlg-monitor.rc, src/arch/os2/dialogs/menubar.rc,
	src/arch/os2/vac++/VICE.ICC: Some more vac++ fixes.

2016-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Fixed order of checking for '--enable-ethernet'.

2016-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/rrnetmk3.c: Some warning fixes.

2016-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/c64cart.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/c64cart.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/c64cart.tmpl,
	src/arch/win32/watcom/c64cart.tgt, src/arch/win32/watcom/vice.wpj:
	Added rrnet mk3 to the msvc/ow project files.

2016-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Error out when '--enable-ethernet' is given but the
	needed libs are not present.

2016-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/archdep.c, src/arch/os2/dialogs/menubar.c: vac++ petcat
	fixes.

2016-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/archdep.c: vac++ petcat fix.

2016-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/Makefile.am,
	src/arch/os2/vac++/geninfocontrib.exe,
	src/arch/os2/vac++/gentranslate.exe: Added geninfocontrib.exe and
	gentranslate.exe for vac++ file generation.

2016-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/Makefile.am, src/arch/os2/vac++/PETcat.ICC,
	src/arch/os2/vac++/VICE.ICC, src/arch/os2/vac++/X1541.ICC,
	src/arch/os2/vac++/cartconv.ICC, src/arch/os2/vac++/debug.h,
	src/arch/os2/vac++/geninfo1.icc, src/arch/os2/vac++/geninfo2.icc,
	src/arch/os2/vac++/gentransfiles.icc,
	src/arch/os2/vac++/gentranslate.icc,
	src/arch/os2/vac++/incl/Makefile.am,
	src/arch/os2/vac++/incl/diskimage.icc,
	src/arch/os2/vac++/incl/fileio.icc,
	src/arch/os2/vac++/incl/imagecontents.icc,
	src/arch/os2/vac++/incl/mainsrc.icc, src/arch/os2/vac++/incl/p64.icc,
	src/arch/os2/vac++/incl/platform.icc,
	src/arch/os2/vac++/incl/serial.icc, src/arch/os2/vac++/incl/tape.icc,
	src/arch/os2/vac++/nonx1541-log.c,
	src/arch/os2/vac++/petcat-archdep.c,
	src/arch/os2/vac++/petcat-signals.c,
	src/arch/os2/vac++/x1541-archdep.c,
	src/arch/os2/vac++/x1541-signals.c, src/sid/sid.c: Some more vac++
	fixes.

2016-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c1541.c, src/init.c, src/platform/platform_x86_runtime_cpu.c:
	Some vac++ fixes.

2016-02-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/incl/Makefile.am,
	src/arch/os2/vac++/incl/archdep.icc, src/arch/os2/vac++/incl/c128.icc,
	src/arch/os2/vac++/incl/c64.icc, src/arch/os2/vac++/incl/c64cart.icc,
	src/arch/os2/vac++/incl/c64commonall.icc,
	src/arch/os2/vac++/incl/c64commonc64sc.icc,
	src/arch/os2/vac++/incl/c64commoncart.icc,
	src/arch/os2/vac++/incl/c64commonsc.icc,
	src/arch/os2/vac++/incl/c64commonsc128.icc,
	src/arch/os2/vac++/incl/c64commonsc128scpu.icc,
	src/arch/os2/vac++/incl/c64commonscdtv128scpu.icc,
	src/arch/os2/vac++/incl/c64commonscdtvscpu.icc,
	src/arch/os2/vac++/incl/c64commonscscpu.icc,
	src/arch/os2/vac++/incl/c64commonscvsid.icc,
	src/arch/os2/vac++/incl/c64commonscvsid128.icc,
	src/arch/os2/vac++/incl/c64commonvsid.icc,
	src/arch/os2/vac++/incl/c64commonvsidsc128scpu.icc,
	src/arch/os2/vac++/incl/c64commonvsidscdtv.icc,
	src/arch/os2/vac++/incl/c64commonvsidscdtvscpu.icc,
	src/arch/os2/vac++/incl/c64commonvsidscpu.icc,
	src/arch/os2/vac++/incl/c64commonvsidscscpu.icc,
	src/arch/os2/vac++/incl/c64dtv.icc, src/arch/os2/vac++/incl/c64sc.icc,
	src/arch/os2/vac++/incl/cbm2.icc,
	src/arch/os2/vac++/incl/cbm2common.icc,
	src/arch/os2/vac++/incl/cbm5x0.icc, src/arch/os2/vac++/incl/core.icc,
	src/arch/os2/vac++/incl/crtc.icc, src/arch/os2/vac++/incl/dialogs.icc,
	src/arch/os2/vac++/incl/diskimage.icc,
	src/arch/os2/vac++/incl/drive.icc, src/arch/os2/vac++/incl/fileio.icc,
	src/arch/os2/vac++/incl/fsdevice.icc,
	src/arch/os2/vac++/incl/gfxoutputdrv.icc,
	src/arch/os2/vac++/incl/iec.icc, src/arch/os2/vac++/incl/iecbus.icc,
	src/arch/os2/vac++/incl/iecc64exp.icc,
	src/arch/os2/vac++/incl/iecieee.icc,
	src/arch/os2/vac++/incl/iecplus4exp.icc,
	src/arch/os2/vac++/incl/ieee.icc,
	src/arch/os2/vac++/incl/imagecontents.icc,
	src/arch/os2/vac++/incl/joyport.icc, src/arch/os2/vac++/incl/kbd.icc,
	src/arch/os2/vac++/incl/mainsrc.icc,
	src/arch/os2/vac++/incl/monitor.icc, src/arch/os2/vac++/incl/p64.icc,
	src/arch/os2/vac++/incl/parallel.icc, src/arch/os2/vac++/incl/pet.icc,
	src/arch/os2/vac++/incl/platform.icc,
	src/arch/os2/vac++/incl/plus4.icc,
	src/arch/os2/vac++/incl/printerdrv.icc,
	src/arch/os2/vac++/incl/raster.icc,
	src/arch/os2/vac++/incl/rs232drv.icc, src/arch/os2/vac++/incl/rtc.icc,
	src/arch/os2/vac++/incl/samplerdrv.icc,
	src/arch/os2/vac++/incl/scpu64.icc,
	src/arch/os2/vac++/incl/serial.icc,
	src/arch/os2/vac++/incl/sounddrv.icc,
	src/arch/os2/vac++/incl/tape.icc,
	src/arch/os2/vac++/incl/userport.icc, src/arch/os2/vac++/incl/vdc.icc,
	src/arch/os2/vac++/incl/vdrive.icc, src/arch/os2/vac++/incl/vic20.icc,
	src/arch/os2/vac++/incl/vic20cart.icc,
	src/arch/os2/vac++/incl/vicii.icc,
	src/arch/os2/vac++/incl/viciicommon.icc,
	src/arch/os2/vac++/incl/viciidtv.icc,
	src/arch/os2/vac++/incl/video.icc,
	src/arch/os2/vac++/incl/vsidlib.icc: Started vac++ project files
	fixing run.

2016-02-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/vsidcia1.c: Removed 'joystick_value' elements from
	vsidcia1.c, no need for joystick support for vsid.

2016-02-12  Marcus Sutton <loggedoubt@gmail.com>

	* src/c128/c128.c, src/c64/c64.c, src/c64/c64keyboard.c,
	src/c64dtv/c64dtv.c, src/cbm2/cbm2.c, src/cbm2/cbm5x0.c,
	src/keyboard.h, src/pet/pet.c, src/plus4/plus4.c, src/scpu64/scpu64.c:
	Removed include of joystick.h from keyboard.h.

2016-02-11  groepaz <groepaz@gmx.net>

	* doc/vice.pdf, doc/vice.texi, doc/vice.txt: updated docs

2016-02-11  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/Makefile.am, src/arch/unix/gui/c128ui.c,
	src/arch/unix/gui/c64scui.c, src/arch/unix/gui/c64ui.c,
	src/arch/unix/gui/scpu64ui.c, src/arch/unix/gui/uirrnetmk3.c,
	src/arch/unix/gui/uirrnetmk3.h, src/c64/cart/Makefile.am,
	src/c64/cart/c64cart.c, src/c64/cart/c64carthooks.c,
	src/c64/cart/c64cartmem.c, src/c64/cart/crt.c,
	src/c64/cart/rrnetmk3.c, src/c64/cart/rrnetmk3.h, src/c64/cart/tfe.c,
	src/cartconv.c, src/cartridge.h, src/translate.txt,
	src/translate_text.c, src/vic20/cart/mascuerade-stubs.c: add support
	for rrnet mk3, UIs need updating (see devlog)

2016-02-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/Makefile.am, src/arch/os2/watcom/archdep.tgt,
	src/arch/os2/watcom/c128.tgt, src/arch/os2/watcom/c64.tgt,
	src/arch/os2/watcom/c64cart.tgt, src/arch/os2/watcom/c64commonall.tgt,
	src/arch/os2/watcom/c64commoncart.tgt,
	src/arch/os2/watcom/c64commonsc.tgt,
	src/arch/os2/watcom/c64commonsc128.tgt,
	src/arch/os2/watcom/c64commonsc128scpu.tgt,
	src/arch/os2/watcom/c64commonscdtv128scpu.tgt,
	src/arch/os2/watcom/c64commonscdtvscpu.tgt,
	src/arch/os2/watcom/c64commonscscpu.tgt,
	src/arch/os2/watcom/c64commonscvsid.tgt,
	src/arch/os2/watcom/c64commonscvsid128.tgt,
	src/arch/os2/watcom/c64commonvsid.tgt,
	src/arch/os2/watcom/c64commonvsidsc128scpu.tgt,
	src/arch/os2/watcom/c64commonvsidscdtv.tgt,
	src/arch/os2/watcom/c64commonvsidscdtvscpu.tgt,
	src/arch/os2/watcom/c64commonvsidscpu.tgt,
	src/arch/os2/watcom/c64commonvsidscscpu.tgt,
	src/arch/os2/watcom/c64dtv.tgt, src/arch/os2/watcom/c64sc.tgt,
	src/arch/os2/watcom/cartconv.tgt, src/arch/os2/watcom/cbm2.tgt,
	src/arch/os2/watcom/cbm2common.tgt, src/arch/os2/watcom/cbm5x0.tgt,
	src/arch/os2/watcom/core.tgt, src/arch/os2/watcom/crtc.tgt,
	src/arch/os2/watcom/dialogs.tgt, src/arch/os2/watcom/diskimage.tgt,
	src/arch/os2/watcom/drive.tgt, src/arch/os2/watcom/fileio.tgt,
	src/arch/os2/watcom/fsdevice.tgt, src/arch/os2/watcom/genic.tgt,
	src/arch/os2/watcom/geninfocontrib32.tgt,
	src/arch/os2/watcom/geninfocontribos2.tgt,
	src/arch/os2/watcom/gentr.tgt, src/arch/os2/watcom/gentranslate32.tgt,
	src/arch/os2/watcom/gentranslateos2.tgt,
	src/arch/os2/watcom/gfxoutputdrv.tgt, src/arch/os2/watcom/iec.tgt,
	src/arch/os2/watcom/iecbus.tgt, src/arch/os2/watcom/iecc64exp.tgt,
	src/arch/os2/watcom/iecieee.tgt, src/arch/os2/watcom/iecplus4exp.tgt,
	src/arch/os2/watcom/ieee.tgt, src/arch/os2/watcom/imagecontents.tgt,
	src/arch/os2/watcom/joyport.tgt, src/arch/os2/watcom/kbd.tgt,
	src/arch/os2/watcom/mainsrc.tgt, src/arch/os2/watcom/monitor.tgt,
	src/arch/os2/watcom/nonresid-specific.tgt,
	src/arch/os2/watcom/nonvic1or2-specific.tgt,
	src/arch/os2/watcom/nonx128-specific.tgt,
	src/arch/os2/watcom/nonx1541-specific.tgt,
	src/arch/os2/watcom/nonx64-specific.tgt, src/arch/os2/watcom/p64.tgt,
	src/arch/os2/watcom/parallel.tgt, src/arch/os2/watcom/pet.tgt,
	src/arch/os2/watcom/petcat-specific.tgt,
	src/arch/os2/watcom/petcat.tgt, src/arch/os2/watcom/platform.tgt,
	src/arch/os2/watcom/plus4.tgt, src/arch/os2/watcom/printerdrv.tgt,
	src/arch/os2/watcom/raster.tgt,
	src/arch/os2/watcom/resid-specific.tgt, src/arch/os2/watcom/resid.tgt,
	src/arch/os2/watcom/rs232drv.tgt, src/arch/os2/watcom/rtc.tgt,
	src/arch/os2/watcom/samplerdrv.tgt, src/arch/os2/watcom/scpu64.tgt,
	src/arch/os2/watcom/serial.tgt, src/arch/os2/watcom/sounddrv.tgt,
	src/arch/os2/watcom/tape.tgt, src/arch/os2/watcom/tcbm.tgt,
	src/arch/os2/watcom/userport.tgt, src/arch/os2/watcom/vdc.tgt,
	src/arch/os2/watcom/vdrive.tgt, src/arch/os2/watcom/vic20.tgt,
	src/arch/os2/watcom/vic20cart.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/os2/watcom/vicii.tgt, src/arch/os2/watcom/viciicommon.tgt,
	src/arch/os2/watcom/viciidtv.tgt, src/arch/os2/watcom/viciisc.tgt,
	src/arch/os2/watcom/video.tgt, src/arch/os2/watcom/vsid.tgt,
	src/arch/os2/watcom/vsidlib.tgt,
	src/arch/os2/watcom/x128-specific.tgt, src/arch/os2/watcom/x128.tgt,
	src/arch/os2/watcom/x1541-specific.tgt, src/arch/os2/watcom/x1541.tgt,
	src/arch/os2/watcom/x64-specific.tgt, src/arch/os2/watcom/x64.tgt,
	src/arch/os2/watcom/x64dtv-specific.tgt,
	src/arch/os2/watcom/x64dtv.tgt, src/arch/os2/watcom/x64sc.tgt,
	src/arch/os2/watcom/x64x128-specific.tgt,
	src/arch/os2/watcom/xall-specific.tgt,
	src/arch/os2/watcom/xcbm2-specific.tgt, src/arch/os2/watcom/xcbm2.tgt,
	src/arch/os2/watcom/xcbm5x0.tgt,
	src/arch/os2/watcom/xpet-specific.tgt, src/arch/os2/watcom/xpet.tgt,
	src/arch/os2/watcom/xplus4-specific.tgt,
	src/arch/os2/watcom/xplus4.tgt,
	src/arch/os2/watcom/xscpu64-specific.tgt,
	src/arch/os2/watcom/xscpu64.tgt,
	src/arch/os2/watcom/xvic-specific.tgt, src/arch/os2/watcom/xvic.tgt:
	Split off rtc from mainsrc in the os/2 ow project files.

2016-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/cbm2ui.c: Fixed typo.

2016-02-09  groepaz <groepaz@gmx.net>

	* src/c64/cart/final3.c, src/c64/cart/mmc64.c,
	src/c64/cart/mmcreplay.c, src/c64/cart/retroreplay.c,
	src/c64/cart/tfe.c, src/core/cs8900.c, src/core/cs8900.h: some
	clockport/rr-net related fixes

2016-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/watcom/archdep.tgt,
	src/arch/os2/watcom/c128.tgt, src/arch/os2/watcom/c64.tgt,
	src/arch/os2/watcom/c64cart.tgt, src/arch/os2/watcom/c64commonall.tgt,
	src/arch/os2/watcom/c64commoncart.tgt,
	src/arch/os2/watcom/c64commonsc.tgt,
	src/arch/os2/watcom/c64commonsc128.tgt,
	src/arch/os2/watcom/c64commonsc128scpu.tgt,
	src/arch/os2/watcom/c64commonscdtv128scpu.tgt,
	src/arch/os2/watcom/c64commonscdtvscpu.tgt,
	src/arch/os2/watcom/c64commonscscpu.tgt,
	src/arch/os2/watcom/c64commonscvsid.tgt,
	src/arch/os2/watcom/c64commonscvsid128.tgt,
	src/arch/os2/watcom/c64commonvsid.tgt,
	src/arch/os2/watcom/c64commonvsidsc128scpu.tgt,
	src/arch/os2/watcom/c64commonvsidscdtv.tgt,
	src/arch/os2/watcom/c64commonvsidscdtvscpu.tgt,
	src/arch/os2/watcom/c64commonvsidscpu.tgt,
	src/arch/os2/watcom/c64commonvsidscscpu.tgt,
	src/arch/os2/watcom/c64dtv.tgt, src/arch/os2/watcom/c64sc.tgt,
	src/arch/os2/watcom/cartconv.tgt, src/arch/os2/watcom/cbm2.tgt,
	src/arch/os2/watcom/cbm2common.tgt, src/arch/os2/watcom/cbm5x0.tgt,
	src/arch/os2/watcom/core.tgt, src/arch/os2/watcom/crtc.tgt,
	src/arch/os2/watcom/dialogs.tgt, src/arch/os2/watcom/diskimage.tgt,
	src/arch/os2/watcom/drive.tgt, src/arch/os2/watcom/fileio.tgt,
	src/arch/os2/watcom/fsdevice.tgt, src/arch/os2/watcom/genic.tgt,
	src/arch/os2/watcom/geninfocontrib32.tgt,
	src/arch/os2/watcom/geninfocontribos2.tgt,
	src/arch/os2/watcom/gentr.tgt, src/arch/os2/watcom/gentranslate32.tgt,
	src/arch/os2/watcom/gentranslateos2.tgt,
	src/arch/os2/watcom/gfxoutputdrv.tgt, src/arch/os2/watcom/iec.tgt,
	src/arch/os2/watcom/iecbus.tgt, src/arch/os2/watcom/iecc64exp.tgt,
	src/arch/os2/watcom/iecieee.tgt, src/arch/os2/watcom/iecplus4exp.tgt,
	src/arch/os2/watcom/ieee.tgt, src/arch/os2/watcom/imagecontents.tgt,
	src/arch/os2/watcom/joyport.tgt, src/arch/os2/watcom/kbd.tgt,
	src/arch/os2/watcom/mainsrc.tgt, src/arch/os2/watcom/monitor.tgt,
	src/arch/os2/watcom/nonresid-specific.tgt,
	src/arch/os2/watcom/nonvic1or2-specific.tgt,
	src/arch/os2/watcom/nonx128-specific.tgt,
	src/arch/os2/watcom/nonx1541-specific.tgt,
	src/arch/os2/watcom/nonx64-specific.tgt, src/arch/os2/watcom/p64.tgt,
	src/arch/os2/watcom/parallel.tgt, src/arch/os2/watcom/pet.tgt,
	src/arch/os2/watcom/petcat-specific.tgt,
	src/arch/os2/watcom/petcat.tgt, src/arch/os2/watcom/platform.tgt,
	src/arch/os2/watcom/plus4.tgt, src/arch/os2/watcom/printerdrv.tgt,
	src/arch/os2/watcom/raster.tgt,
	src/arch/os2/watcom/resid-specific.tgt, src/arch/os2/watcom/resid.tgt,
	src/arch/os2/watcom/rs232drv.tgt, src/arch/os2/watcom/samplerdrv.tgt,
	src/arch/os2/watcom/scpu64.tgt, src/arch/os2/watcom/serial.tgt,
	src/arch/os2/watcom/sounddrv.tgt, src/arch/os2/watcom/tape.tgt,
	src/arch/os2/watcom/tcbm.tgt, src/arch/os2/watcom/userport.tgt,
	src/arch/os2/watcom/vdc.tgt, src/arch/os2/watcom/vdrive.tgt,
	src/arch/os2/watcom/vic20.tgt, src/arch/os2/watcom/vic20cart.tgt,
	src/arch/os2/watcom/vice.wpj, src/arch/os2/watcom/vicii.tgt,
	src/arch/os2/watcom/viciicommon.tgt, src/arch/os2/watcom/viciidtv.tgt,
	src/arch/os2/watcom/viciisc.tgt, src/arch/os2/watcom/video.tgt,
	src/arch/os2/watcom/vsid.tgt, src/arch/os2/watcom/vsidlib.tgt,
	src/arch/os2/watcom/x128-specific.tgt, src/arch/os2/watcom/x128.tgt,
	src/arch/os2/watcom/x1541-specific.tgt, src/arch/os2/watcom/x1541.tgt,
	src/arch/os2/watcom/x64-specific.tgt, src/arch/os2/watcom/x64.tgt,
	src/arch/os2/watcom/x64dtv-specific.tgt,
	src/arch/os2/watcom/x64dtv.tgt, src/arch/os2/watcom/x64sc.tgt,
	src/arch/os2/watcom/x64x128-specific.tgt,
	src/arch/os2/watcom/xall-specific.tgt,
	src/arch/os2/watcom/xcbm2-specific.tgt, src/arch/os2/watcom/xcbm2.tgt,
	src/arch/os2/watcom/xcbm5x0.tgt,
	src/arch/os2/watcom/xpet-specific.tgt, src/arch/os2/watcom/xpet.tgt,
	src/arch/os2/watcom/xplus4-specific.tgt,
	src/arch/os2/watcom/xplus4.tgt,
	src/arch/os2/watcom/xscpu64-specific.tgt,
	src/arch/os2/watcom/xscpu64.tgt,
	src/arch/os2/watcom/xvic-specific.tgt, src/arch/os2/watcom/xvic.tgt:
	Fixed.

2016-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/POTFILES.in, src/arch/amigaos/c128ui.c,
	src/arch/amigaos/c128uires.h, src/arch/amigaos/c64ui.c,
	src/arch/amigaos/c64uires.h, src/arch/amigaos/cbm2ui.c,
	src/arch/amigaos/cbm2uires.h, src/arch/amigaos/intl.txt,
	src/arch/amigaos/intl_text.c, src/arch/amigaos/petui.c,
	src/arch/amigaos/petuires.h, src/arch/amigaos/scpu64ui.c,
	src/arch/amigaos/scpu64uires.h, src/arch/amigaos/uires.h,
	src/arch/amigaos/vic20ui.c, src/arch/amigaos/vic20uires.h,
	src/arch/beos/c128ui.cc, src/arch/beos/c64ui.cc,
	src/arch/beos/cbm2ui.cc, src/arch/beos/constants.txt,
	src/arch/beos/petui.cc, src/arch/beos/scpu64ui.cc,
	src/arch/beos/vic20ui.cc, src/arch/beos/vicemenu.cc,
	src/arch/msdos/c128ui.c, src/arch/msdos/c64ui.c,
	src/arch/msdos/cbm2ui.c, src/arch/msdos/petui.c,
	src/arch/msdos/scpu64ui.c, src/arch/msdos/vic20ui.c,
	src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc, src/arch/os2/watcom/userport.tgt,
	src/arch/os2/watcom/vice.wpj, src/arch/sdl/menu_c128hw.c,
	src/arch/sdl/menu_c64hw.c, src/arch/sdl/menu_cbm2hw.c,
	src/arch/sdl/menu_pethw.c, src/arch/sdl/menu_scpu64hw.c,
	src/arch/sdl/menu_vic20hw.c, src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/unix/gui/Makefile.am, src/arch/unix/gui/c128ui.c,
	src/arch/unix/gui/c64scui.c, src/arch/unix/gui/c64ui.c,
	src/arch/unix/gui/cbm2ui.c, src/arch/unix/gui/petui.c,
	src/arch/unix/gui/scpu64ui.c, src/arch/unix/gui/uiuserportrtc.c,
	src/arch/unix/gui/uiuserportrtc.h,
	src/arch/unix/gui/uiuserportrtc58321a.c,
	src/arch/unix/gui/uiuserportrtc58321a.h, src/arch/unix/gui/vic20ui.c,
	src/arch/win32/Makefile.am, src/arch/win32/c128ui.c,
	src/arch/win32/c64ui.c, src/arch/win32/cbm2ui.c,
	src/arch/win32/petui.c, src/arch/win32/res.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/rescbm2.rc, src/arch/win32/resdialogs.txt,
	src/arch/win32/resmenu.txt, src/arch/win32/respet.rc,
	src/arch/win32/resscpu64.rc, src/arch/win32/resstrings.txt,
	src/arch/win32/resuserportrtc.rc,
	src/arch/win32/resuserportrtc58321a.rc, src/arch/win32/resvic20.rc,
	src/arch/win32/scpu64ui.c, src/arch/win32/uiuserportrtc.c,
	src/arch/win32/uiuserportrtc.h, src/arch/win32/uiuserportrtc58321a.c,
	src/arch/win32/uiuserportrtc58321a.h, src/arch/win32/vic20ui.c,
	src/arch/win32/vs_tmpl/arch_native.tmpl,
	src/arch/win32/vs_tmpl/userport.tmpl,
	src/arch/win32/vs_tmpl/x128.tmpl, src/arch/win32/vs_tmpl/x64.tmpl,
	src/arch/win32/vs_tmpl/x64sc.tmpl, src/arch/win32/vs_tmpl/xcbm2.tmpl,
	src/arch/win32/vs_tmpl/xpet.tmpl, src/arch/win32/vs_tmpl/xscpu64.tmpl,
	src/arch/win32/vs_tmpl/xvic.tmpl, src/arch/win32/watcom/cartconv.tgt,
	src/arch/win32/watcom/userport.tgt, src/arch/win32/watcom/vice.wpj,
	src/c128/c128.c, src/c64/c64.c, src/cbm2/cbm2.c, src/pet/pet.c,
	src/rtc/ds1307.c, src/scpu64/scpu64.c, src/translate.txt,
	src/translate_text.c, src/userport/Makefile.am,
	src/userport/userport_rtc_58321a.c,
	src/userport/userport_rtc_ds1307.c,
	src/userport/userport_rtc_ds1307.h, src/vic20/vic20.c: Renamed 58321a
	userport rtc resources and command line options, and implemented
	ds1307 userport rtc device emulation.

2016-02-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/userport/userport_rtc_58321a.h: Cosmetic fix.

2016-02-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/userport.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/userport.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/userport.tmpl,
	src/arch/win32/watcom/userport.tgt, src/arch/win32/watcom/vice.wpj,
	src/c128/c128.c, src/c64/c64.c, src/cbm2/cbm2.c, src/pet/pet.c,
	src/scpu64/scpu64.c, src/userport/Makefile.am,
	src/userport/userport_rtc.c, src/userport/userport_rtc.h,
	src/userport/userport_rtc_58321a.c,
	src/userport/userport_rtc_58321a.h, src/vic20/vic20.c: Renamed
	'userport_rtc' to 'userport_rtc_58321a' because of the upcoming
	userport ds1307 rtc.

2016-02-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/mainsrc.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/rtc.tgt, src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/rtc.tmpl, src/arch/win32/watcom/rtc.tgt,
	src/arch/win32/watcom/vice.wpj, src/monitor/mon_parse.c,
	src/monitor/mon_parse.h, src/rtc/Makefile.am, src/rtc/ds1307.c,
	src/rtc/ds1307.h: Added ds1307 rtc core.

2016-02-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vsyncarch.c: Dynload 'SendInput'.

2016-02-08  groepaz <groepaz@gmx.net>

	* doc/resource-and-cmdline-checking.txt, src/datasette.c: set
	DatasetteSpeedTuning to 0 by default (why was it 1 in the first
	place?)

2016-02-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/mkmsvc.c, src/arch/win32/vs_tmpl/mkmsvc.exe:
	Fixed msvc14 project file header generation.

2016-02-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/mkmsvc.c, src/arch/win32/vs_tmpl/mkmsvc.exe:
	Fixed for msvc14.

2016-02-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/mkmsvc.c, src/arch/win32/vs_tmpl/mkmsvc.exe:
	Some more include fixes.

2016-02-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/mkmsvc.c, src/arch/win32/vs_tmpl/mkmsvc.exe:
	Fixed for msvc8.

2016-02-06  pottendo  <pottendo@aon.at>

	* po/de.po: Summary: Updated.

2016-02-05  groepaz <groepaz@gmx.net>

	* src/c64/cart/sfx_soundexpander.c: added note on the weird wiring of
	the passthrough port

2016-02-04  groepaz <groepaz@gmx.net>

	* src/c64/cart/Makefile.am: added missing file

2016-02-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	ChangeLog, build/android/build-android.sh, configure.proto,
	doc/vice.chm, doc/vice.hlp, doc/vice.pdf, po/da.po, po/de.po,
	po/es.po, po/fr.po, po/hu.po, po/it.po, po/ko.po, po/nl.po, po/pl.po,
	po/ru.po, po/sv.po, po/tr.po,
	src/arch/android/AnVICE/AndroidManifest.xml,
	src/arch/win32/vice-version.bat, src/version.h: VICE 2.4.25

2016-02-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, src/arch/amigaos/intl_text.c, src/arch/win32/res.rc,
	src/arch/win32/resc64.rc, src/arch/win32/resjoyport.rc,
	src/arch/win32/resplus4.rc, src/arch/win32/resplus4memoryhacks.rc,
	src/arch/win32/ressampler.rc, src/arch/win32/resvic20.rc,
	src/arch/win32/resvicii.rc, src/translate_text.c: Did a
	'make trans-update'.

2016-02-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, po/translations-status.txt: Updated.

2016-02-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt: Did a 'make update-po'.

2016-02-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/scpu64/scpu64.c: Added userport digimax inits to scpu64.

2016-02-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/userport/userport.c: Some small improvements.

2016-02-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/userport/userport.c: Removed unused var.

2016-02-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/userport/userport_digimax.c, src/userport/userport_joystick.c:
	Removed unused vars.

2016-02-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64cia2.c, src/userport/userport.c, src/userport/userport.h:
	Fixed userport pa2/pa3 reads.

2016-01-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/userport.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/userport.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/userport.tmpl,
	src/arch/win32/watcom/userport.tgt, src/arch/win32/watcom/vice.wpj,
	src/c128/c128.c, src/c64/c64.c, src/cbm2/cbm2.c, src/translate.txt,
	src/translate_text.c, src/userport/Makefile.am,
	src/userport/userport_4bit_sampler.c, src/userport/userport_8bss.c,
	src/userport/userport_8bss.h: Added 8bit stereo userport sampler
	(8bss) emulation for c64, c128 and cbm2.

2016-01-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/userport.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/userport.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/userport.tmpl,
	src/arch/win32/watcom/userport.tgt, src/arch/win32/watcom/vice.wpj,
	src/c128/c128.c, src/c64/c64.c, src/cbm2/cbm2.c, src/translate.txt,
	src/translate_text.c, src/userport/Makefile.am,
	src/userport/userport_4bit_sampler.c,
	src/userport/userport_4bit_sampler.h: Added 4bit userport sampler
	emulation for c64, c128 and cbm2.

2016-01-29  groepaz <groepaz@gmx.net>

	* src/vic20/vic-cycle.c, src/vic20/vic-timing.h: fix vertical NTSC
	display area, patch by tokra

2016-01-26  groepaz <groepaz@gmx.net>

	* src/vic20/vic-timing.c, src/vic20/vic-timing.h, src/vic20/vic.c,
	src/vic20/victypes.h: better handling of NTSC screen dimensions, fixes
	bug #689. patch by tokra

2016-01-26  groepaz <groepaz@gmx.net>

	* src/autostart.c: only enable virtual drive traps for t64 images

2016-01-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/Makefile.am,
	src/arch/os2/watcom/makebindist.cmd: Added makebindist.cmd for native
	os/2 ow bindist generation.

2016-01-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/genwt.bat, src/arch/os2/watcom/genwt.cmd: Fixed
	to show what platform files are being generated for.

2016-01-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/Makefile.am, src/arch/os2/watcom/debug.h: Added
	debug.h to the os/2 ow directory.

2016-01-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uijoyport.c: Fixed a typo.

2016-01-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/Makefile.am,
	src/arch/os2/watcom/geninfocontribos2.tgt,
	src/arch/os2/watcom/gentranslateos2.tgt,
	src/arch/os2/watcom/genwt.cmd, src/arch/os2/watcom/vice.wpj,
	src/arch/os2/watcom/xall-specific.tgt,
	src/arch/watcom-source-wrappers/Makefile.am,
	src/arch/watcom-source-wrappers/geninfocontribos2.c,
	src/arch/watcom-source-wrappers/gentranslateos2.c: Attempt to fix os2
	native ow compile.

2016-01-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64cia2.c, src/userport/userport.c, src/userport/userport.h:
	Retain original sdr value when no new valid values are being read,
	fixes bug #711.

2016-01-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/Makefile.am,
	src/arch/os2/watcom/c64commonsc.tgt,
	src/arch/os2/watcom/c64commonsc128.tgt,
	src/arch/os2/watcom/c64commonsc128scpu.tgt,
	src/arch/os2/watcom/vice.wpj, src/arch/os2/watcom/x128.tgt,
	src/arch/os2/watcom/x64.tgt, src/arch/os2/watcom/x64sc.tgt,
	src/arch/os2/watcom/xscpu64.tgt: Finished fixing the os/2 ow project
	files.

2016-01-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c,
	src/arch/os2/watcom/c64commonscvsid128.tgt,
	src/arch/os2/watcom/c64commonvsidsc128scpu.tgt,
	src/arch/os2/watcom/c64commonvsidscscpu.tgt,
	src/arch/os2/watcom/c64sc.tgt, src/arch/os2/watcom/cbm2.tgt,
	src/arch/os2/watcom/cbm2common.tgt, src/arch/os2/watcom/cbm5x0.tgt,
	src/arch/os2/watcom/pet.tgt, src/arch/os2/watcom/plus4.tgt,
	src/arch/os2/watcom/vic20cart.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/os2/watcom/video.tgt, src/arch/os2/watcom/vsid.tgt,
	src/arch/os2/watcom/vsidlib.tgt, src/arch/os2/watcom/x128.tgt,
	src/arch/os2/watcom/x64dtv.tgt, src/arch/os2/watcom/x64sc.tgt,
	src/arch/os2/watcom/xcbm2.tgt, src/arch/os2/watcom/xcbm5x0.tgt,
	src/arch/os2/watcom/xpet.tgt, src/arch/os2/watcom/xplus4.tgt,
	src/arch/os2/watcom/xvic.tgt: Some more os/2 ow fixes.

2016-01-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/Makefile.am, src/arch/os2/watcom/c64cart.tgt,
	src/arch/os2/watcom/c64commonsc.tgt,
	src/arch/os2/watcom/c64commonsc128scpu.tgt,
	src/arch/os2/watcom/genwt.bat, src/arch/os2/watcom/gfxoutputdrv.tgt,
	src/arch/os2/watcom/joyport.tgt, src/arch/os2/watcom/mainsrc.tgt,
	src/arch/os2/watcom/samplerdrv.tgt, src/arch/os2/watcom/userport.tgt,
	src/arch/os2/watcom/vice.wpj, src/arch/os2/watcom/x1541.tgt,
	src/arch/os2/watcom/x64.tgt, src/digimaxcore.c, src/init.c,
	src/sounddrv/sounddart.c: Some more os/2 ow fixes.

2016-01-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dlg-drive.c,
	src/arch/os2/dialogs/dlg-monitor.c, src/arch/os2/dialogs/menubar.c,
	src/arch/os2/watcom/archdep.tgt, src/arch/os2/watcom/c128.tgt,
	src/arch/os2/watcom/c64commonall.tgt,
	src/arch/os2/watcom/c64commoncart.tgt,
	src/arch/os2/watcom/c64commonsc.tgt,
	src/arch/os2/watcom/c64commonscscpu.tgt,
	src/arch/os2/watcom/c64dtv.tgt, src/arch/os2/watcom/cbm2.tgt,
	src/arch/os2/watcom/cbm2common.tgt, src/arch/os2/watcom/cbm5x0.tgt,
	src/arch/os2/watcom/mainsrc.tgt,
	src/arch/os2/watcom/nonresid-specific.tgt,
	src/arch/os2/watcom/nonvic1or2-specific.tgt,
	src/arch/os2/watcom/nonx128-specific.tgt, src/arch/os2/watcom/pet.tgt,
	src/arch/os2/watcom/plus4.tgt, src/arch/os2/watcom/scpu64.tgt,
	src/arch/os2/watcom/userport.tgt, src/arch/os2/watcom/vic20.tgt,
	src/arch/os2/watcom/vice.wpj, src/arch/os2/watcom/vsidlib.tgt,
	src/arch/os2/watcom/x128-specific.tgt,
	src/arch/os2/watcom/x64-specific.tgt, src/arch/os2/watcom/x64.tgt,
	src/arch/os2/watcom/x64dtv-specific.tgt,
	src/arch/os2/watcom/x64x128-specific.tgt,
	src/arch/os2/watcom/xcbm2-specific.tgt,
	src/arch/os2/watcom/xscpu64-specific.tgt,
	src/arch/os2/watcom/xvic-specific.tgt: Start of fixing the os/2 build.

2016-01-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am, src/c128/c128.c, src/c64/c64.c, src/c64/c64cia2.c,
	src/c64/cart/digimax.c, src/c64/cart/digimax.h, src/cbm2/cbm2.c,
	src/cbm2/cbm2cia1.c, src/digimaxcore.c, src/translate.txt,
	src/translate_text.c, src/userport/userport_digimax.c,
	src/userport/userport_digimax.h: Transitioned the userport digimax
	device to the new userport system, also seperated the digimax cart
	code from the digimax userport device.

2016-01-22  groepaz <groepaz@gmx.net>

	* data/PET/Makefile.am, data/PET/win_sym.vkm: copied win_sym_uk.vkm to
	win_sym.vkm. fixes bug #667

2016-01-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/userport/userport.c, src/userport/userport.h,
	src/userport/userport_dac.c, src/userport/userport_joystick.c,
	src/userport/userport_rtc.c: Changed the pc-pin element to be an
	indicator instead of a function for the new userport system.

2016-01-20  groepaz <groepaz@gmx.net>

	* src/autostart-prg.c, src/autostart.c: use basic start address when
	autostarting prg files and -basicload is used, fixes bug #708

2016-01-20  groepaz <groepaz@gmx.net>

	* src/gfxoutputdrv/ffmpegdrv.c, src/main.c: kludges to prevent crash
	at startup when using --help and VICE is configured for external
	ffmpeg. fixes bug #709

2016-01-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/cbm2ui.c, src/arch/unix/gui/petui.c,
	src/arch/unix/gui/vic20ui.c: Added userport rtc elements for xcbm2,
	xpet and xvic to the unix gui.

2016-01-20  groepaz <groepaz@gmx.net>

	* src/c64/cart/easyflash.c: skip mmu translation when flashrom context
	is not initialized

2016-01-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_cbm2hw.c, src/arch/sdl/menu_pethw.c,
	src/arch/sdl/menu_vic20hw.c: Added userport rtc elements for xcbm2,
	xpet and xvic to the sdl gui.

2016-01-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c64hw.c: Added missing menu entry.

2016-01-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/cbm2ui.c, src/arch/msdos/petui.c,
	src/arch/msdos/vic20ui.c: Added userport rtc elements for xcbm2, xpet
	and xvic to the dos tui.

2016-01-20  groepaz <groepaz@gmx.net>

	* src/c64/cart/retroreplay.c: skip mmu translation when flashrom
	context is not initialized, fixes bug #710

2016-01-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/cbm2ui.cc, src/arch/beos/petui.cc,
	src/arch/beos/vic20ui.cc, src/arch/beos/vicemenu.cc: Added userport
	rtc elements for xcbm2, xpet and xvic to the beos gui.

2016-01-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/cbm2ui.c, src/arch/amigaos/cbm2uires.h,
	src/arch/amigaos/petui.c, src/arch/amigaos/petuires.h,
	src/arch/amigaos/vic20ui.c, src/arch/amigaos/vic20uires.h: Added
	userport rtc elements for xcbm2, xpet and xvic to the amiga gui.

2016-01-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am, src/arch/win32/cbm2ui.c,
	src/arch/win32/petui.c, src/arch/win32/rescbm2.rc,
	src/arch/win32/respet.rc, src/arch/win32/resvic20.rc,
	src/arch/win32/vic20ui.c, src/arch/win32/vs_tmpl/xcbm2.tmpl,
	src/arch/win32/vs_tmpl/xpet.tmpl, src/arch/win32/vs_tmpl/xvic.tmpl,
	src/arch/win32/watcom/cartconv.tgt, src/arch/win32/watcom/vice.wpj:
	Added userport rtc elements for xcbm2, xpet and xvic to the windows
	gui.

2016-01-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128.c, src/c64/c64.c, src/cbm2/cbm2.c, src/pet/pet.c,
	src/pet/petvia.c, src/plus4/plus4.c, src/rtc/rtc-58321a.c,
	src/scpu64/scpu64.c, src/translate.txt, src/translate_text.c,
	src/userport/userport_dac.c, src/userport/userport_dac.h,
	src/vic20/vic20.c: Transitioned the (pet) userport dac emulation to
	the new userport system, and extended it to work on c64, c128, cbm2,
	plus4 and vic20 as well, gui items for those still need to be made.

2016-01-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am: Fixed link issue.

2016-01-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64cia2.c, src/cbm2/cbm2.c, src/pet/pet.c,
	src/translate.txt, src/translate_text.c, src/userport/userport_rtc.c,
	src/userport/userport_rtc.h, src/vic20/vic20.c: Transitioned the
	userport rtc (58321A) emulation to the new userport system, and
	extended it to work on cbm2, pet and vic20 as well, gui items for
	those still need to be made.

2016-01-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128cia1.c, src/c64/c64cia1.c, src/c64/c64cia2.c,
	src/c64dtv/c64dtvcia2.c, src/cbm2/cbm2cia1.c, src/cbm2/cbm5x0cia1.c,
	src/pet/petvia.c, src/plus4/plus4pio1.c, src/translate.txt,
	src/translate_text.c, src/userport/userport.c,
	src/userport/userport.h, src/userport/userport_joystick.c,
	src/userport/userport_joystick.h, src/vic20/vic20via2.c: Transitioned
	the userport joystick adapters to the new userport system.

2016-01-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/vic20ui.c: Fixed.

2016-01-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/cbm2ui.c: Fixed.

2016-01-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/uijoystick2.c: Use plus4 submenu.

2016-01-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64dtvui.c,
	src/arch/unix/gui/c64scui.c, src/arch/unix/gui/c64ui.c,
	src/arch/unix/gui/cbm2ui.c, src/arch/unix/gui/petui.c,
	src/arch/unix/gui/plus4ui.c, src/arch/unix/gui/scpu64ui.c,
	src/arch/unix/gui/uijoyport.c, src/arch/unix/gui/uijoyport.h,
	src/arch/unix/gui/uijoystick2.c: Added plus4 userport support to the
	unix gui.

2016-01-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_joyport.c, src/arch/sdl/menu_joyport.h,
	src/arch/sdl/menu_joystick.c, src/arch/sdl/x128_ui.c,
	src/arch/sdl/x64_ui.c, src/arch/sdl/x64dtv_ui.c,
	src/arch/sdl/x64sc_ui.c, src/arch/sdl/xcbm2_ui.c,
	src/arch/sdl/xpet_ui.c, src/arch/sdl/xplus4_ui.c,
	src/arch/sdl/xscpu64_ui.c, src/arch/sdl/xvic_ui.c: Added plus4
	userport support to the sdl gui.

2016-01-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/c128ui.c, src/arch/msdos/c64dtvui.c,
	src/arch/msdos/c64ui.c, src/arch/msdos/cbm2ui.c,
	src/arch/msdos/cbm5x0ui.c, src/arch/msdos/menudefs.c,
	src/arch/msdos/petui.c, src/arch/msdos/plus4ui.c,
	src/arch/msdos/scpu64ui.c, src/arch/msdos/uijoyport.c,
	src/arch/msdos/uijoyport.h, src/arch/msdos/vic20ui.c: Added plus4
	userport support to the dos tui.

2016-01-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c128ui.c, src/arch/amigaos/c64ui.c,
	src/arch/amigaos/cbm2ui.c, src/arch/amigaos/cbm5x0ui.c,
	src/arch/amigaos/mui/uijoyport.c, src/arch/amigaos/mui/uijoyport.h,
	src/arch/amigaos/petui.c, src/arch/amigaos/plus4ui.c,
	src/arch/amigaos/scpu64ui.c, src/arch/amigaos/vic20ui.c: Added plus4
	userport support to the amiga gui.

2016-01-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/c128ui.c, src/arch/win32/c64dtvui.c,
	src/arch/win32/c64ui.c, src/arch/win32/cbm2ui.c,
	src/arch/win32/cbm5x0ui.c, src/arch/win32/petui.c,
	src/arch/win32/plus4ui.c, src/arch/win32/resdialogs.txt,
	src/arch/win32/resjoyport.rc, src/arch/win32/resmenu.txt,
	src/arch/win32/resplus4.rc, src/arch/win32/scpu64ui.c,
	src/arch/win32/uijoyport.c, src/arch/win32/uijoyport.h,
	src/arch/win32/uijoystick.c, src/arch/win32/uijoystick.h,
	src/arch/win32/vic20ui.c: Added plus4 userport support to the windows
	gui.

2016-01-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64cia2.c, src/c64dtv/c64dtvcia2.c, src/cbm2/cbm2cia1.c,
	src/pet/petvia.c, src/plus4/plus4pio1.c, src/vic20/vic20via2.c: Added
	userport pbx read/store functions for the transition to the new
	userport system.

2016-01-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/userport/userport_joystick.c: Don't use classic userport
	joystick adapter as default for xplus4.

2016-01-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/plus4/plus4.c: Added missing include.

2016-01-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/plus4/plus4.c: Hooked in the userport joystick resource and
	cmdline init calls for xplus4.

2016-01-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/joy.c, src/arch/amigaos/joyll.c,
	src/arch/beos/joy.cc, src/arch/msdos/joy.c, src/arch/os2/joy.c,
	src/arch/sdl/joy.c, src/arch/sdl/joy.h, src/arch/unix/joy.c,
	src/arch/unix/macosx/joy.c, src/arch/unix/x11/gnome/uijoystatus.c,
	src/arch/win32/joy.c, src/arch/win32/res.rc,
	src/arch/win32/resstrings.txt, src/joyport/joyport.c,
	src/joyport/joyport.h, src/joyport/joystick.c, src/joyport/joystick.h,
	src/plus4/plus4.c, src/plus4/plus4pio1.c,
	src/userport/userport_joystick.c: Extended the joystick system to
	handle 5 joysticks, and added userport joystick adapter support to
	xplus4, which 'pushes' the sidcart control port to become extra joy
	device #3.

2016-01-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/c64ui.c: Fixed a warning.

2016-01-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/userport/userport_joystick.c: Fixed to be more clear about what
	is happening.

2016-01-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/petvia.c: Fixed the userport joystick adapter read call.

2016-01-10  groepaz <groepaz@gmx.net>

	* data/C64/win_shortcuts.vsc: udpated

2016-01-10  groepaz <groepaz@gmx.net>

	* src/arch/win32/c64ui.c, src/arch/win32/resmenu.txt: add some more
	hotkeys to x64, patch by erhan

2016-01-10  groepaz <groepaz@gmx.net>

	* src/arch/sdl/menu_joyport.c, src/arch/sdl/menu_sampler.c,
	src/arch/sdl/ui.c: fixed some warnings

2016-01-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64cia2.c, src/c64/c64parallel.c, src/c64/c64parallel.h,
	src/c64/cart/formel64.c, src/c64dtv/c64dtvcia2.c,
	src/plus4/plus4parallel.c, src/plus4/plus4parallel.h,
	src/plus4/plus4pio1.c, src/rs232drv/rsuser.c, src/rsuser.h,
	src/vic20/vic20via2.c: Made the current userport system a little bit
	more sane, this will keep things working as expected while the
	transition to the new userport system is going on.

2016-01-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128.c, src/c64/c64.c, src/c64dtv/c64dtv.c,
	src/cbm2/cbm2.c, src/cbm2/cbm5x0.c, src/pet/pet.c, src/plus4/plus4.c,
	src/scpu64/scpu64.c, src/userport/userport.c, src/userport/userport.h,
	src/vic20/vic20.c: Added userport property registration hooks for the
	various emulators.

2016-01-10  groepaz <groepaz@gmx.net>

	* src/arch/sdl/uimenu.c: remove unnecessary delay, patch by moiree

2016-01-10  groepaz <groepaz@gmx.net>

	* src/arch/unix/macosx/cocoa/view/viceglview.m: fix bug #637, patch by
	P-a Backstrom

2016-01-10  groepaz <groepaz@gmx.net>

	* src/arch/unix/macosx/Info.plist: add high resolution key to fix
	display on retina display, patch by P-a Backstrom

2016-01-10  groepaz <groepaz@gmx.net>

	* src/arch/unix/macosx/Resources/English.lproj/x64.nib/designable.nib:
	applied fix-gui-errors patch by TMLPiper

2016-01-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/plus4.tgt,
	src/arch/sdl/win32-watcom/vice.wpj, src/arch/win32/watcom/plus4.tgt,
	src/arch/win32/watcom/vice.wpj: Added missing include dir.

2016-01-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/plus4.tmpl: Added missing include dir.

2016-01-09  groepaz <groepaz@gmx.net>

	* src/plus4/Makefile.am: added missing include dir

2016-01-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128.c, src/c64/c64.c, src/c64dtv/c64dtv.c,
	src/cbm2/cbm2.c, src/cbm2/cbm5x0.c, src/machine.h, src/pet/pet.c,
	src/plus4/plus4.c, src/scpu64/scpu64.c, src/userport/userport.c,
	src/userport/userport.h, src/vic20/vic20.c: Hooked in the userport
	resources and cmdline init's.

2016-01-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/translate.txt, src/translate_text.c, src/userport/userport.c:
	Added resources and cmdline options to the userport system, not hooked
	in yet.

2016-01-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/userport.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/userport.tmpl,
	src/arch/win32/watcom/userport.tgt, src/arch/win32/watcom/vice.wpj,
	src/userport/Makefile.am, src/userport/userport.c,
	src/userport/userport.h: Started on a proper userport system, not
	hooked in yet (wip).

2016-01-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/sampler2bit.c, src/joyport/sampler4bit.c: Added
	sampler <--> control port pins information.

2016-01-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/mouse.c: Added mice/paddles/pad <--> control port pins
	information.

2016-01-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/lightpen.c: Added lighpen/gun <--> control port pins
	information.

2016-01-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/joystick.c: Added joystick <--> control port pins
	information.

2016-01-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/uisampler.c: Added missing includes.

2016-01-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/menudefs.c,
	src/arch/msdos/uijoyport.c, src/arch/msdos/uisampler.c,
	src/arch/msdos/uisampler.h: Added sampler settings support to the dos
	tui.

2016-01-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/Makefile.am, src/arch/unix/gui/c128ui.c,
	src/arch/unix/gui/c64dtvui.c, src/arch/unix/gui/c64scui.c,
	src/arch/unix/gui/c64ui.c, src/arch/unix/gui/cbm2ui.c,
	src/arch/unix/gui/petui.c, src/arch/unix/gui/plus4ui.c,
	src/arch/unix/gui/scpu64ui.c, src/arch/unix/gui/uisampler.c,
	src/arch/unix/gui/uisampler.h, src/arch/unix/gui/vic20ui.c: Added
	sampler settings support to the unix gui.

2016-01-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, src/arch/sdl/menu_sampler.c,
	src/arch/sdl/menu_sampler.h, src/arch/sdl/win32-watcom/arch.tgt,
	src/arch/sdl/win32-watcom/vice.wpj, src/arch/sdl/x128_ui.c,
	src/arch/sdl/x64_ui.c, src/arch/sdl/x64dtv_ui.c,
	src/arch/sdl/x64sc_ui.c, src/arch/sdl/xcbm2_ui.c,
	src/arch/sdl/xpet_ui.c, src/arch/sdl/xplus4_ui.c,
	src/arch/sdl/xscpu64_ui.c, src/arch/sdl/xvic_ui.c: Added sampler
	settings support to the sdl gui.

2016-01-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uisampler.c, src/arch/win32/vs_tmpl/arch_sdl.tmpl,
	src/arch/win32/watcom/arch.tgt, src/arch/win32/watcom/vice.wpj: Fixed
	ow and msvc project files.

2016-01-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c128ui.c, src/arch/amigaos/c128uires.h,
	src/arch/amigaos/c64dtvui.c, src/arch/amigaos/c64dtvuires.h,
	src/arch/amigaos/c64ui.c, src/arch/amigaos/c64uires.h,
	src/arch/amigaos/cbm2ui.c, src/arch/amigaos/cbm2uires.h,
	src/arch/amigaos/cbm5x0ui.c, src/arch/amigaos/cbm5x0uires.h,
	src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/Makefile.am, src/arch/amigaos/mui/uisampler.c,
	src/arch/amigaos/mui/uisampler.h, src/arch/amigaos/petui.c,
	src/arch/amigaos/petuires.h, src/arch/amigaos/plus4ui.c,
	src/arch/amigaos/plus4uires.h, src/arch/amigaos/scpu64ui.c,
	src/arch/amigaos/scpu64uires.h, src/arch/amigaos/uires.h,
	src/arch/amigaos/vic20ui.c, src/arch/amigaos/vic20uires.h: Added
	sampler settings support to the amiga gui.

2016-01-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* AUTHORS, po/POTFILES.in, src/arch/win32/Makefile.am,
	src/arch/win32/c128ui.c, src/arch/win32/c64dtvui.c,
	src/arch/win32/c64ui.c, src/arch/win32/cbm2ui.c,
	src/arch/win32/cbm5x0ui.c, src/arch/win32/petui.c,
	src/arch/win32/plus4ui.c, src/arch/win32/res.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/resc64dtv.rc, src/arch/win32/rescbm2.rc,
	src/arch/win32/rescbm5x0.rc, src/arch/win32/resdialogs.txt,
	src/arch/win32/resmenu.txt, src/arch/win32/respet.rc,
	src/arch/win32/resplus4.rc, src/arch/win32/ressampler.rc,
	src/arch/win32/resscpu64.rc, src/arch/win32/resstrings.txt,
	src/arch/win32/resvic20.rc, src/arch/win32/scpu64ui.c,
	src/arch/win32/uisampler.c, src/arch/win32/uisampler.h,
	src/arch/win32/vic20ui.c, src/arch/win32/vs_tmpl/arch_native.tmpl,
	src/arch/win32/vs_tmpl/x128.tmpl, src/arch/win32/vs_tmpl/x64.tmpl,
	src/arch/win32/vs_tmpl/x64dtv.tmpl, src/arch/win32/vs_tmpl/x64sc.tmpl,
	src/arch/win32/vs_tmpl/xcbm2.tmpl,
	src/arch/win32/vs_tmpl/xcbm5x0.tmpl, src/arch/win32/vs_tmpl/xpet.tmpl,
	src/arch/win32/vs_tmpl/xplus4.tmpl,
	src/arch/win32/vs_tmpl/xscpu64.tmpl, src/arch/win32/vs_tmpl/xvic.tmpl,
	src/arch/win32/watcom/cartconv.tgt, src/arch/win32/watcom/vice.wpj:
	Added sampler settings support to the windows gui.

2016-01-04  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uimenu.c: added a missing (void)

2016-01-04  pottendo  <pottendo@aon.at>

	* src/arch/unix/x11/gnome/x11ui.c: Summary: setup_aspect_geo():
	removed specfic HW handling; makes FS without HW scaling somehow
	usable.

2016-01-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/samplerdrv/file_drv.c, src/samplerdrv/portaudio_drv.c: Changed
